var typewriter;
/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "./node_modules/@typewriter/delta/dist/AttributeMap.js":
/*!*************************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/AttributeMap.js ***!
  \*************************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/* eslint-disable @typescript-eslint/no-explicit-any */
const cloneDeep_1 = __importDefault(__webpack_require__(/*! ./util/cloneDeep */ "./node_modules/@typewriter/delta/dist/util/cloneDeep.js"));
const isEqual_1 = __importDefault(__webpack_require__(/*! ./util/isEqual */ "./node_modules/@typewriter/delta/dist/util/isEqual.js"));
function isObject(value) {
    return value === Object(value) && !Array.isArray(value);
}
function isDeepNull(value) {
    if (value == null)
        return true;
    if (!isObject(value))
        return false;
    for (const key in value) {
        if (!isDeepNull(value[key]))
            return false;
    }
    return true;
}
var AttributeMap;
(function (AttributeMap) {
    function compose(a = {}, b = {}, keepNull) {
        if (typeof a !== 'object') {
            a = {};
        }
        if (typeof b !== 'object') {
            b = {};
        }
        let attributes = (0, cloneDeep_1.default)(b);
        for (const key in a) {
            if (isObject(a[key]) && isObject(attributes[key])) {
                attributes[key] = compose(a[key], attributes[key], keepNull);
            }
        }
        if (!keepNull) {
            attributes = Object.keys(attributes).reduce((copy, key) => {
                if (!isDeepNull(attributes[key])) {
                    copy[key] = attributes[key];
                }
                return copy;
            }, {});
        }
        for (const key in a) {
            if (a[key] !== undefined && b[key] === undefined) {
                attributes[key] = a[key];
            }
        }
        return Object.keys(attributes).length > 0 ? attributes : undefined;
    }
    AttributeMap.compose = compose;
    function diff(a = {}, b = {}) {
        if (typeof a !== 'object') {
            a = {};
        }
        if (typeof b !== 'object') {
            b = {};
        }
        const attributes = Object.keys(a)
            .concat(Object.keys(b))
            .reduce((attrs, key) => {
            if (!(0, isEqual_1.default)(a[key], b[key])) {
                if (b[key] === undefined) {
                    attrs[key] = null;
                }
                else if (isObject(a[key]) && isObject(b[key])) {
                    attrs[key] = diff(a[key], b[key]);
                }
                else {
                    attrs[key] = b[key];
                }
            }
            return attrs;
        }, {});
        return Object.keys(attributes).length > 0 ? attributes : undefined;
    }
    AttributeMap.diff = diff;
    function invert(attr = {}, base = {}) {
        attr = attr || {};
        const baseInverted = Object.keys(base).reduce((memo, key) => {
            if (!(0, isEqual_1.default)(base[key], attr[key]) && attr[key] !== undefined) {
                if (isObject(attr[key]) && isObject(base[key])) {
                    memo[key] = invert(attr[key], base[key]);
                }
                else {
                    memo[key] = base[key];
                }
            }
            return memo;
        }, {});
        return Object.keys(attr).reduce((memo, key) => {
            if (attr[key] !== base[key] && base[key] === undefined) {
                memo[key] = null;
            }
            return memo;
        }, baseInverted);
    }
    AttributeMap.invert = invert;
    function transform(a, b, priority = false) {
        if (typeof a !== 'object') {
            return b;
        }
        if (typeof b !== 'object') {
            return undefined;
        }
        if (!priority) {
            return b; // b simply overwrites us without priority
        }
        const attributes = Object.keys(b).reduce((attrs, key) => {
            if (a[key] === undefined) {
                attrs[key] = b[key]; // null is a valid value
            }
            else if (isObject(a[key]) && isObject(b[key])) {
                attrs[key] = transform(a[key], b[key], true);
            }
            return attrs;
        }, {});
        return Object.keys(attributes).length > 0 ? attributes : undefined;
    }
    AttributeMap.transform = transform;
})(AttributeMap || (AttributeMap = {}));
exports["default"] = AttributeMap;
//# sourceMappingURL=AttributeMap.js.map

/***/ }),

/***/ "./node_modules/@typewriter/delta/dist/Delta.js":
/*!******************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/Delta.js ***!
  \******************************************************/
/***/ (function(module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
/* eslint-disable @typescript-eslint/no-explicit-any */
const fast_diff_1 = __importDefault(__webpack_require__(/*! fast-diff */ "./node_modules/fast-diff/diff.js"));
const isEqual_1 = __importDefault(__webpack_require__(/*! ./util/isEqual */ "./node_modules/@typewriter/delta/dist/util/isEqual.js"));
const AttributeMap_1 = __importDefault(__webpack_require__(/*! ./AttributeMap */ "./node_modules/@typewriter/delta/dist/AttributeMap.js"));
const Op_1 = __importDefault(__webpack_require__(/*! ./Op */ "./node_modules/@typewriter/delta/dist/Op.js"));
const NULL_CHARACTER = String.fromCharCode(0); // Placeholder char for embed in diff()
class Delta {
    constructor(ops) {
        // Assume we are given a well formed ops
        if (Array.isArray(ops)) {
            this.ops = ops;
        }
        else if (ops != null && Array.isArray(ops.ops)) {
            this.ops = ops.ops;
        }
        else {
            this.ops = [];
        }
    }
    insert(arg, attributes) {
        const newOp = {};
        if (typeof arg === 'string' && arg.length === 0) {
            return this;
        }
        newOp.insert = arg;
        if (attributes != null &&
            typeof attributes === 'object' &&
            Object.keys(attributes).length > 0) {
            newOp.attributes = attributes;
        }
        return this.push(newOp);
    }
    delete(length) {
        if (length <= 0) {
            return this;
        }
        return this.push({ delete: length });
    }
    retain(length, attributes) {
        if (length <= 0) {
            return this;
        }
        const newOp = { retain: length };
        if (attributes != null &&
            typeof attributes === 'object' &&
            Object.keys(attributes).length > 0) {
            newOp.attributes = attributes;
        }
        return this.push(newOp);
    }
    push(newOp) {
        let index = this.ops.length;
        let lastOp = this.ops[index - 1];
        if (typeof lastOp === 'object') {
            if (typeof newOp.delete === 'number' &&
                typeof lastOp.delete === 'number') {
                this.ops[index - 1] = { delete: lastOp.delete + newOp.delete };
                return this;
            }
            // Since it does not matter if we insert before or after deleting at the same index,
            // always prefer to insert first
            if (typeof lastOp.delete === 'number' && newOp.insert != null) {
                index -= 1;
                lastOp = this.ops[index - 1];
                if (typeof lastOp !== 'object') {
                    this.ops.unshift(newOp);
                    return this;
                }
            }
            if ((0, isEqual_1.default)(newOp.attributes, lastOp.attributes)) {
                if (typeof newOp.insert === 'string' &&
                    typeof lastOp.insert === 'string') {
                    this.ops[index - 1] = { insert: lastOp.insert + newOp.insert };
                    if (typeof newOp.attributes === 'object') {
                        this.ops[index - 1].attributes = newOp.attributes;
                    }
                    return this;
                }
                else if (typeof newOp.retain === 'number' &&
                    typeof lastOp.retain === 'number') {
                    this.ops[index - 1] = { retain: lastOp.retain + newOp.retain };
                    if (typeof newOp.attributes === 'object') {
                        this.ops[index - 1].attributes = newOp.attributes;
                    }
                    return this;
                }
            }
        }
        if (index === this.ops.length) {
            this.ops.push(newOp);
        }
        else {
            this.ops.splice(index, 0, newOp);
        }
        return this;
    }
    chop() {
        const lastOp = this.ops[this.ops.length - 1];
        if (lastOp && lastOp.retain && !lastOp.attributes) {
            this.ops.pop();
        }
        return this;
    }
    filter(predicate) {
        return this.ops.filter(predicate);
    }
    forEach(predicate) {
        this.ops.forEach(predicate);
    }
    map(predicate) {
        return this.ops.map(predicate);
    }
    partition(predicate) {
        const passed = [];
        const failed = [];
        this.forEach((op) => {
            const target = predicate(op) ? passed : failed;
            target.push(op);
        });
        return [passed, failed];
    }
    reduce(predicate, initialValue) {
        return this.ops.reduce(predicate, initialValue);
    }
    changeLength() {
        return this.reduce((length, elem) => {
            if (elem.insert) {
                return length + Op_1.default.length(elem);
            }
            else if (elem.delete) {
                return length - elem.delete;
            }
            return length;
        }, 0);
    }
    length() {
        return this.reduce((length, elem) => {
            return length + Op_1.default.length(elem);
        }, 0);
    }
    slice(start = 0, end = Infinity) {
        const ops = [];
        const iter = Op_1.default.iterator(this.ops);
        let index = 0;
        while (index < end && iter.hasNext()) {
            let nextOp;
            if (index < start) {
                nextOp = iter.next(start - index);
            }
            else {
                nextOp = iter.next(end - index);
                ops.push(nextOp);
            }
            index += Op_1.default.length(nextOp);
        }
        return new Delta(ops);
    }
    compose(other, discardNull) {
        const thisIter = Op_1.default.iterator(this.ops);
        const otherIter = Op_1.default.iterator(other.ops);
        const ops = [];
        const firstOther = otherIter.peek();
        if (firstOther != null &&
            typeof firstOther.retain === 'number' &&
            firstOther.attributes == null) {
            let firstLeft = firstOther.retain;
            while (thisIter.peekType() === 'insert' &&
                thisIter.peekLength() <= firstLeft) {
                firstLeft -= thisIter.peekLength();
                ops.push(thisIter.next());
            }
            if (firstOther.retain - firstLeft > 0) {
                otherIter.next(firstOther.retain - firstLeft);
            }
        }
        const delta = new Delta(ops);
        while (thisIter.hasNext() || otherIter.hasNext()) {
            if (otherIter.peekType() === 'insert') {
                delta.push(otherIter.next());
            }
            else if (thisIter.peekType() === 'delete') {
                delta.push(thisIter.next());
            }
            else {
                const length = Math.min(thisIter.peekLength(), otherIter.peekLength());
                const thisOp = thisIter.next(length);
                const otherOp = otherIter.next(length);
                if (typeof otherOp.retain === 'number') {
                    let newOp;
                    // Preserve null when composing with a retain, otherwise remove it for inserts
                    const attributes = otherOp.attributes &&
                        AttributeMap_1.default.compose(thisOp.attributes, otherOp.attributes, !discardNull && typeof thisOp.retain === 'number');
                    if (otherOp.attributes && !(0, isEqual_1.default)(attributes, thisOp.attributes)) {
                        newOp = {};
                        if (typeof thisOp.retain === 'number') {
                            newOp.retain = length;
                        }
                        else {
                            newOp.insert = thisOp.insert;
                        }
                        if (attributes) {
                            newOp.attributes = attributes;
                        }
                    }
                    else if (thisOp.retain === Infinity) {
                        newOp = otherOp;
                    }
                    else {
                        newOp = thisOp;
                    }
                    delta.push(newOp);
                    // Optimization if rest of other is just retain
                    if (otherOp.retain === Infinity ||
                        (!otherIter.hasNext() &&
                            (0, isEqual_1.default)(delta.ops[delta.ops.length - 1], newOp))) {
                        const rest = new Delta(thisIter.rest());
                        return delta.concat(rest).chop();
                    }
                    // Other op should be delete, we could be an insert or retain
                    // Insert + delete cancels out
                }
                else if (typeof otherOp.delete === 'number' &&
                    typeof thisOp.retain === 'number') {
                    delta.push(otherOp);
                }
            }
        }
        return delta.chop();
    }
    concat(other) {
        const delta = new Delta(this.ops.slice());
        if (other.ops.length > 0) {
            delta.push(other.ops[0]);
            delta.ops = delta.ops.concat(other.ops.slice(1));
        }
        return delta;
    }
    diff(other, cursor) {
        if (this.ops === other.ops) {
            return new Delta();
        }
        const strings = [this, other].map((delta) => {
            return delta
                .map((op) => {
                if (op.insert != null) {
                    return typeof op.insert === 'string' ? op.insert : NULL_CHARACTER;
                }
                const prep = delta === other ? 'on' : 'with';
                throw new Error('diff() called ' + prep + ' non-document');
            })
                .join('');
        });
        const retDelta = new Delta();
        const diffResult = (0, fast_diff_1.default)(strings[0], strings[1], cursor);
        const thisIter = Op_1.default.iterator(this.ops);
        const otherIter = Op_1.default.iterator(other.ops);
        diffResult.forEach((component) => {
            let length = component[1].length;
            while (length > 0) {
                let opLength = 0;
                switch (component[0]) {
                    case fast_diff_1.default.INSERT:
                        opLength = Math.min(otherIter.peekLength(), length);
                        retDelta.push(otherIter.next(opLength));
                        break;
                    case fast_diff_1.default.DELETE:
                        opLength = Math.min(length, thisIter.peekLength());
                        thisIter.next(opLength);
                        retDelta.delete(opLength);
                        break;
                    case fast_diff_1.default.EQUAL:
                        opLength = Math.min(thisIter.peekLength(), otherIter.peekLength(), length);
                        const thisOp = thisIter.next(opLength);
                        const otherOp = otherIter.next(opLength);
                        if ((0, isEqual_1.default)(thisOp.insert, otherOp.insert)) {
                            retDelta.retain(opLength, AttributeMap_1.default.diff(thisOp.attributes, otherOp.attributes));
                        }
                        else {
                            retDelta.push(otherOp).delete(opLength);
                        }
                        break;
                }
                length -= opLength;
            }
        });
        return retDelta.chop();
    }
    eachLine(predicate, newline = '\n') {
        const iter = Op_1.default.iterator(this.ops);
        let line = new Delta();
        let i = 0;
        while (iter.hasNext()) {
            if (iter.peekType() !== 'insert') {
                return;
            }
            const thisOp = iter.peek();
            const start = Op_1.default.length(thisOp) - iter.peekLength();
            const index = typeof thisOp.insert === 'string'
                ? thisOp.insert.indexOf(newline, start) - start
                : -1;
            if (index < 0) {
                line.push(iter.next());
            }
            else if (index > 0) {
                line.push(iter.next(index));
            }
            else {
                if (predicate(line, iter.next(1).attributes || {}, i) === false) {
                    return;
                }
                i += 1;
                line = new Delta();
            }
        }
        if (line.length() > 0) {
            predicate(line, {}, i);
        }
    }
    invert(base) {
        const inverted = new Delta();
        this.reduce((baseIndex, op) => {
            if (op.insert) {
                inverted.delete(Op_1.default.length(op));
            }
            else if (op.retain && op.attributes == null) {
                inverted.retain(op.retain);
                return baseIndex + op.retain;
            }
            else if (op.delete || op.retain) {
                const length = (op.delete || op.retain);
                const slice = base.slice(baseIndex, baseIndex + length);
                slice.forEach((baseOp) => {
                    if (op.delete) {
                        inverted.push(baseOp);
                    }
                    else if (op.retain && op.attributes) {
                        inverted.retain(Op_1.default.length(baseOp), AttributeMap_1.default.invert(op.attributes, baseOp.attributes));
                    }
                });
                return baseIndex + length;
            }
            return baseIndex;
        }, 0);
        return inverted.chop();
    }
    transform(arg, priority = false) {
        priority = !!priority;
        if (typeof arg === 'number') {
            return this.transformPosition(arg, priority);
        }
        const other = arg;
        const thisIter = Op_1.default.iterator(this.ops);
        const otherIter = Op_1.default.iterator(other.ops);
        const delta = new Delta();
        while (thisIter.hasNext() || otherIter.hasNext()) {
            if (thisIter.peekType() === 'insert' &&
                (priority || otherIter.peekType() !== 'insert')) {
                delta.retain(Op_1.default.length(thisIter.next()));
            }
            else if (otherIter.peekType() === 'insert') {
                delta.push(otherIter.next());
            }
            else {
                const length = Math.min(thisIter.peekLength(), otherIter.peekLength());
                const thisOp = thisIter.next(length);
                const otherOp = otherIter.next(length);
                if (thisOp.delete) {
                    // Our delete either makes their delete redundant or removes their retain
                    continue;
                }
                else if (otherOp.delete) {
                    delta.push(otherOp);
                }
                else {
                    // We retain either their retain or insert
                    delta.retain(length, AttributeMap_1.default.transform(thisOp.attributes, otherOp.attributes, priority));
                }
            }
        }
        return delta.chop();
    }
    transformPosition(index, priority = false) {
        priority = !!priority;
        const thisIter = Op_1.default.iterator(this.ops);
        let offset = 0;
        while (thisIter.hasNext() && offset <= index) {
            const length = thisIter.peekLength();
            const nextType = thisIter.peekType();
            thisIter.next();
            if (nextType === 'delete') {
                index -= Math.min(length, index - offset);
                continue;
            }
            else if (nextType === 'insert' && (offset < index || !priority)) {
                index += length;
            }
            offset += length;
        }
        return index;
    }
}
Delta.Op = Op_1.default;
Delta.AttributeMap = AttributeMap_1.default;
exports["default"] = Delta;
if (true) {
    module.exports = Delta;
    module.exports["default"] = Delta;
}
//# sourceMappingURL=Delta.js.map

/***/ }),

/***/ "./node_modules/@typewriter/delta/dist/Op.js":
/*!***************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/Op.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.OpIterator = void 0;
var Op;
(function (Op) {
    function iterator(ops) {
        return new OpIterator(ops);
    }
    Op.iterator = iterator;
    function length(op) {
        if (typeof op.delete === 'number') {
            return op.delete;
        }
        else if (typeof op.retain === 'number') {
            return op.retain;
        }
        else {
            return typeof op.insert === 'string' ? op.insert.length : 1;
        }
    }
    Op.length = length;
})(Op || (Op = {}));
exports["default"] = Op;
class OpIterator {
    constructor(ops) {
        this.ops = ops;
        this.index = 0;
        this.offset = 0;
    }
    hasNext() {
        return !!this.peek();
    }
    next(length) {
        if (!length) {
            length = Infinity;
        }
        const nextOp = this.ops[this.index];
        if (nextOp) {
            const offset = this.offset;
            const opLength = Op.length(nextOp);
            if (length >= opLength - offset) {
                length = opLength - offset;
                this.index += 1;
                this.offset = 0;
            }
            else {
                this.offset += length;
            }
            if (typeof nextOp.delete === 'number') {
                return { delete: length };
            }
            else {
                if (opLength === length)
                    return nextOp;
                const retOp = {};
                if (nextOp.attributes) {
                    retOp.attributes = nextOp.attributes;
                }
                if (typeof nextOp.retain === 'number') {
                    retOp.retain = length;
                }
                else if (typeof nextOp.insert === 'string') {
                    retOp.insert = nextOp.insert.substr(offset, length);
                }
                else {
                    // offset should === 0, length should === 1
                    retOp.insert = nextOp.insert;
                }
                return retOp;
            }
        }
        else {
            return { retain: Infinity };
        }
    }
    peek() {
        return this.ops[this.index];
    }
    peekLength() {
        if (this.ops[this.index]) {
            // Should never return 0 if our index is being managed correctly
            return Op.length(this.ops[this.index]) - this.offset;
        }
        else {
            return Infinity;
        }
    }
    peekType() {
        const op = this.ops[this.index];
        if (op) {
            if (typeof op.delete === 'number') {
                return 'delete';
            }
            else if (typeof op.retain === 'number') {
                return 'retain';
            }
            else {
                return 'insert';
            }
        }
        return 'retain';
    }
    rest() {
        if (!this.hasNext()) {
            return [];
        }
        else if (this.offset === 0) {
            return this.ops.slice(this.index);
        }
        else {
            const offset = this.offset;
            const index = this.index;
            const next = this.next();
            const rest = this.ops.slice(this.index);
            this.offset = offset;
            this.index = index;
            return [next].concat(rest);
        }
    }
}
exports.OpIterator = OpIterator;
//# sourceMappingURL=Op.js.map

/***/ }),

/***/ "./node_modules/@typewriter/delta/dist/index.js":
/*!******************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/index.js ***!
  \******************************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.diff = exports.isEqual = exports.cloneDeep = exports.OpIterator = exports.Op = exports.Delta = exports.AttributeMap = void 0;
var AttributeMap_1 = __webpack_require__(/*! ./AttributeMap */ "./node_modules/@typewriter/delta/dist/AttributeMap.js");
Object.defineProperty(exports, "AttributeMap", ({ enumerable: true, get: function () { return __importDefault(AttributeMap_1).default; } }));
var Delta_1 = __webpack_require__(/*! ./Delta */ "./node_modules/@typewriter/delta/dist/Delta.js");
Object.defineProperty(exports, "Delta", ({ enumerable: true, get: function () { return __importDefault(Delta_1).default; } }));
var Op_1 = __webpack_require__(/*! ./Op */ "./node_modules/@typewriter/delta/dist/Op.js");
Object.defineProperty(exports, "Op", ({ enumerable: true, get: function () { return __importDefault(Op_1).default; } }));
Object.defineProperty(exports, "OpIterator", ({ enumerable: true, get: function () { return Op_1.OpIterator; } }));
const cloneDeep_1 = __importDefault(__webpack_require__(/*! ./util/cloneDeep */ "./node_modules/@typewriter/delta/dist/util/cloneDeep.js"));
exports.cloneDeep = cloneDeep_1.default;
const isEqual_1 = __importDefault(__webpack_require__(/*! ./util/isEqual */ "./node_modules/@typewriter/delta/dist/util/isEqual.js"));
exports.isEqual = isEqual_1.default;
const fast_diff_1 = __importDefault(__webpack_require__(/*! fast-diff */ "./node_modules/fast-diff/diff.js"));
exports.diff = fast_diff_1.default;
//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./node_modules/@typewriter/delta/dist/util/cloneDeep.js":
/*!***************************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/util/cloneDeep.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

/* eslint-disable @typescript-eslint/no-explicit-any */
Object.defineProperty(exports, "__esModule", ({ value: true }));
// Just work with plain objects and arrays
function cloneDeep(value) {
    if (!value)
        return value;
    if (typeof value.toJSON === 'function')
        value = value.toJSON();
    if (Array.isArray(value))
        return value.map(cloneDeep);
    if (typeof value === 'object') {
        const clone = {};
        Object.keys(value).forEach((key) => (clone[key] = cloneDeep(value[key])));
        return clone;
    }
    return value;
}
exports["default"] = cloneDeep;
//# sourceMappingURL=cloneDeep.js.map

/***/ }),

/***/ "./node_modules/@typewriter/delta/dist/util/isEqual.js":
/*!*************************************************************!*\
  !*** ./node_modules/@typewriter/delta/dist/util/isEqual.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

Object.defineProperty(exports, "__esModule", ({ value: true }));
/* eslint-disable @typescript-eslint/no-explicit-any */
const EMPTY_OBJ = {};
function isEqual(value, other, options = EMPTY_OBJ) {
    if (value === other)
        return true;
    const valueType = typeof value;
    const otherType = typeof value;
    // Special case for NaN
    if (valueType === 'number' &&
        otherType === 'number' &&
        isNaN(value) &&
        isNaN(other))
        return true;
    // If a basic type or not the same class
    if (!value ||
        !other ||
        valueType !== 'object' ||
        otherType !== 'object' ||
        value.constructor !== other.constructor) {
        return false;
    }
    // Dates
    if (value.valueOf() !== value) {
        return isEqual(value.valueOf(), other.valueOf(), options);
    }
    const compare = options.shallow ? exactlyEqual : isEqual;
    // Iterables including arrays
    if (typeof value[Symbol.iterator] === 'function') {
        const valueIter = value[Symbol.iterator]();
        const otherIter = other[Symbol.iterator]();
        let valueResult = valueIter.next();
        let otherResult = otherIter.next();
        while (!valueResult.done && !otherResult.done) {
            if (!compare(valueResult.value, otherResult.value, options))
                return false;
            valueResult = valueIter.next();
            otherResult = otherIter.next();
        }
        return valueResult.done === otherResult.done;
    }
    // Objects
    let valueKeys = Object.keys(value);
    let otherKeys = Object.keys(other);
    if (options.excludeProps) {
        const isIncluded = createIsIncluded(options.excludeProps);
        valueKeys = valueKeys.filter(isIncluded);
        otherKeys = otherKeys.filter(isIncluded);
    }
    return ((options.partial || valueKeys.length === otherKeys.length) &&
        otherKeys.every((key) => value.hasOwnProperty(key) && compare(other[key], value[key], options)));
}
exports["default"] = isEqual;
function exactlyEqual(value, other) {
    return value === other;
}
function createIsIncluded(excluded) {
    return (prop) => !excluded.has(prop);
}
//# sourceMappingURL=isEqual.js.map

/***/ }),

/***/ "./node_modules/fast-diff/diff.js":
/*!****************************************!*\
  !*** ./node_modules/fast-diff/diff.js ***!
  \****************************************/
/***/ ((module) => {

/**
 * This library modifies the diff-patch-match library by Neil Fraser
 * by removing the patch and match functionality and certain advanced
 * options in the diff function. The original license is as follows:
 *
 * ===
 *
 * Diff Match and Patch
 *
 * Copyright 2006 Google Inc.
 * http://code.google.com/p/google-diff-match-patch/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * The data structure representing a diff is an array of tuples:
 * [[DIFF_DELETE, 'Hello'], [DIFF_INSERT, 'Goodbye'], [DIFF_EQUAL, ' world.']]
 * which means: delete 'Hello', add 'Goodbye' and keep ' world.'
 */
var DIFF_DELETE = -1;
var DIFF_INSERT = 1;
var DIFF_EQUAL = 0;


/**
 * Find the differences between two texts.  Simplifies the problem by stripping
 * any common prefix or suffix off the texts before diffing.
 * @param {string} text1 Old string to be diffed.
 * @param {string} text2 New string to be diffed.
 * @param {Int|Object} [cursor_pos] Edit position in text1 or object with more info
 * @return {Array} Array of diff tuples.
 */
function diff_main(text1, text2, cursor_pos, _fix_unicode) {
  // Check for equality
  if (text1 === text2) {
    if (text1) {
      return [[DIFF_EQUAL, text1]];
    }
    return [];
  }

  if (cursor_pos != null) {
    var editdiff = find_cursor_edit_diff(text1, text2, cursor_pos);
    if (editdiff) {
      return editdiff;
    }
  }

  // Trim off common prefix (speedup).
  var commonlength = diff_commonPrefix(text1, text2);
  var commonprefix = text1.substring(0, commonlength);
  text1 = text1.substring(commonlength);
  text2 = text2.substring(commonlength);

  // Trim off common suffix (speedup).
  commonlength = diff_commonSuffix(text1, text2);
  var commonsuffix = text1.substring(text1.length - commonlength);
  text1 = text1.substring(0, text1.length - commonlength);
  text2 = text2.substring(0, text2.length - commonlength);

  // Compute the diff on the middle block.
  var diffs = diff_compute_(text1, text2);

  // Restore the prefix and suffix.
  if (commonprefix) {
    diffs.unshift([DIFF_EQUAL, commonprefix]);
  }
  if (commonsuffix) {
    diffs.push([DIFF_EQUAL, commonsuffix]);
  }
  diff_cleanupMerge(diffs, _fix_unicode);
  return diffs;
};


/**
 * Find the differences between two texts.  Assumes that the texts do not
 * have any common prefix or suffix.
 * @param {string} text1 Old string to be diffed.
 * @param {string} text2 New string to be diffed.
 * @return {Array} Array of diff tuples.
 */
function diff_compute_(text1, text2) {
  var diffs;

  if (!text1) {
    // Just add some text (speedup).
    return [[DIFF_INSERT, text2]];
  }

  if (!text2) {
    // Just delete some text (speedup).
    return [[DIFF_DELETE, text1]];
  }

  var longtext = text1.length > text2.length ? text1 : text2;
  var shorttext = text1.length > text2.length ? text2 : text1;
  var i = longtext.indexOf(shorttext);
  if (i !== -1) {
    // Shorter text is inside the longer text (speedup).
    diffs = [
      [DIFF_INSERT, longtext.substring(0, i)],
      [DIFF_EQUAL, shorttext],
      [DIFF_INSERT, longtext.substring(i + shorttext.length)]
    ];
    // Swap insertions for deletions if diff is reversed.
    if (text1.length > text2.length) {
      diffs[0][0] = diffs[2][0] = DIFF_DELETE;
    }
    return diffs;
  }

  if (shorttext.length === 1) {
    // Single character string.
    // After the previous speedup, the character can't be an equality.
    return [[DIFF_DELETE, text1], [DIFF_INSERT, text2]];
  }

  // Check to see if the problem can be split in two.
  var hm = diff_halfMatch_(text1, text2);
  if (hm) {
    // A half-match was found, sort out the return data.
    var text1_a = hm[0];
    var text1_b = hm[1];
    var text2_a = hm[2];
    var text2_b = hm[3];
    var mid_common = hm[4];
    // Send both pairs off for separate processing.
    var diffs_a = diff_main(text1_a, text2_a);
    var diffs_b = diff_main(text1_b, text2_b);
    // Merge the results.
    return diffs_a.concat([[DIFF_EQUAL, mid_common]], diffs_b);
  }

  return diff_bisect_(text1, text2);
};


/**
 * Find the 'middle snake' of a diff, split the problem in two
 * and return the recursively constructed diff.
 * See Myers 1986 paper: An O(ND) Difference Algorithm and Its Variations.
 * @param {string} text1 Old string to be diffed.
 * @param {string} text2 New string to be diffed.
 * @return {Array} Array of diff tuples.
 * @private
 */
function diff_bisect_(text1, text2) {
  // Cache the text lengths to prevent multiple calls.
  var text1_length = text1.length;
  var text2_length = text2.length;
  var max_d = Math.ceil((text1_length + text2_length) / 2);
  var v_offset = max_d;
  var v_length = 2 * max_d;
  var v1 = new Array(v_length);
  var v2 = new Array(v_length);
  // Setting all elements to -1 is faster in Chrome & Firefox than mixing
  // integers and undefined.
  for (var x = 0; x < v_length; x++) {
    v1[x] = -1;
    v2[x] = -1;
  }
  v1[v_offset + 1] = 0;
  v2[v_offset + 1] = 0;
  var delta = text1_length - text2_length;
  // If the total number of characters is odd, then the front path will collide
  // with the reverse path.
  var front = (delta % 2 !== 0);
  // Offsets for start and end of k loop.
  // Prevents mapping of space beyond the grid.
  var k1start = 0;
  var k1end = 0;
  var k2start = 0;
  var k2end = 0;
  for (var d = 0; d < max_d; d++) {
    // Walk the front path one step.
    for (var k1 = -d + k1start; k1 <= d - k1end; k1 += 2) {
      var k1_offset = v_offset + k1;
      var x1;
      if (k1 === -d || (k1 !== d && v1[k1_offset - 1] < v1[k1_offset + 1])) {
        x1 = v1[k1_offset + 1];
      } else {
        x1 = v1[k1_offset - 1] + 1;
      }
      var y1 = x1 - k1;
      while (
        x1 < text1_length && y1 < text2_length &&
        text1.charAt(x1) === text2.charAt(y1)
      ) {
        x1++;
        y1++;
      }
      v1[k1_offset] = x1;
      if (x1 > text1_length) {
        // Ran off the right of the graph.
        k1end += 2;
      } else if (y1 > text2_length) {
        // Ran off the bottom of the graph.
        k1start += 2;
      } else if (front) {
        var k2_offset = v_offset + delta - k1;
        if (k2_offset >= 0 && k2_offset < v_length && v2[k2_offset] !== -1) {
          // Mirror x2 onto top-left coordinate system.
          var x2 = text1_length - v2[k2_offset];
          if (x1 >= x2) {
            // Overlap detected.
            return diff_bisectSplit_(text1, text2, x1, y1);
          }
        }
      }
    }

    // Walk the reverse path one step.
    for (var k2 = -d + k2start; k2 <= d - k2end; k2 += 2) {
      var k2_offset = v_offset + k2;
      var x2;
      if (k2 === -d || (k2 !== d && v2[k2_offset - 1] < v2[k2_offset + 1])) {
        x2 = v2[k2_offset + 1];
      } else {
        x2 = v2[k2_offset - 1] + 1;
      }
      var y2 = x2 - k2;
      while (
        x2 < text1_length && y2 < text2_length &&
        text1.charAt(text1_length - x2 - 1) === text2.charAt(text2_length - y2 - 1)
      ) {
        x2++;
        y2++;
      }
      v2[k2_offset] = x2;
      if (x2 > text1_length) {
        // Ran off the left of the graph.
        k2end += 2;
      } else if (y2 > text2_length) {
        // Ran off the top of the graph.
        k2start += 2;
      } else if (!front) {
        var k1_offset = v_offset + delta - k2;
        if (k1_offset >= 0 && k1_offset < v_length && v1[k1_offset] !== -1) {
          var x1 = v1[k1_offset];
          var y1 = v_offset + x1 - k1_offset;
          // Mirror x2 onto top-left coordinate system.
          x2 = text1_length - x2;
          if (x1 >= x2) {
            // Overlap detected.
            return diff_bisectSplit_(text1, text2, x1, y1);
          }
        }
      }
    }
  }
  // Diff took too long and hit the deadline or
  // number of diffs equals number of characters, no commonality at all.
  return [[DIFF_DELETE, text1], [DIFF_INSERT, text2]];
};


/**
 * Given the location of the 'middle snake', split the diff in two parts
 * and recurse.
 * @param {string} text1 Old string to be diffed.
 * @param {string} text2 New string to be diffed.
 * @param {number} x Index of split point in text1.
 * @param {number} y Index of split point in text2.
 * @return {Array} Array of diff tuples.
 */
function diff_bisectSplit_(text1, text2, x, y) {
  var text1a = text1.substring(0, x);
  var text2a = text2.substring(0, y);
  var text1b = text1.substring(x);
  var text2b = text2.substring(y);

  // Compute both diffs serially.
  var diffs = diff_main(text1a, text2a);
  var diffsb = diff_main(text1b, text2b);

  return diffs.concat(diffsb);
};


/**
 * Determine the common prefix of two strings.
 * @param {string} text1 First string.
 * @param {string} text2 Second string.
 * @return {number} The number of characters common to the start of each
 *     string.
 */
function diff_commonPrefix(text1, text2) {
  // Quick check for common null cases.
  if (!text1 || !text2 || text1.charAt(0) !== text2.charAt(0)) {
    return 0;
  }
  // Binary search.
  // Performance analysis: http://neil.fraser.name/news/2007/10/09/
  var pointermin = 0;
  var pointermax = Math.min(text1.length, text2.length);
  var pointermid = pointermax;
  var pointerstart = 0;
  while (pointermin < pointermid) {
    if (
      text1.substring(pointerstart, pointermid) ==
      text2.substring(pointerstart, pointermid)
    ) {
      pointermin = pointermid;
      pointerstart = pointermin;
    } else {
      pointermax = pointermid;
    }
    pointermid = Math.floor((pointermax - pointermin) / 2 + pointermin);
  }

  if (is_surrogate_pair_start(text1.charCodeAt(pointermid - 1))) {
    pointermid--;
  }

  return pointermid;
};


/**
 * Determine the common suffix of two strings.
 * @param {string} text1 First string.
 * @param {string} text2 Second string.
 * @return {number} The number of characters common to the end of each string.
 */
function diff_commonSuffix(text1, text2) {
  // Quick check for common null cases.
  if (!text1 || !text2 || text1.slice(-1) !== text2.slice(-1)) {
    return 0;
  }
  // Binary search.
  // Performance analysis: http://neil.fraser.name/news/2007/10/09/
  var pointermin = 0;
  var pointermax = Math.min(text1.length, text2.length);
  var pointermid = pointermax;
  var pointerend = 0;
  while (pointermin < pointermid) {
    if (
      text1.substring(text1.length - pointermid, text1.length - pointerend) ==
      text2.substring(text2.length - pointermid, text2.length - pointerend)
    ) {
      pointermin = pointermid;
      pointerend = pointermin;
    } else {
      pointermax = pointermid;
    }
    pointermid = Math.floor((pointermax - pointermin) / 2 + pointermin);
  }

  if (is_surrogate_pair_end(text1.charCodeAt(text1.length - pointermid))) {
    pointermid--;
  }

  return pointermid;
};


/**
 * Do the two texts share a substring which is at least half the length of the
 * longer text?
 * This speedup can produce non-minimal diffs.
 * @param {string} text1 First string.
 * @param {string} text2 Second string.
 * @return {Array.<string>} Five element Array, containing the prefix of
 *     text1, the suffix of text1, the prefix of text2, the suffix of
 *     text2 and the common middle.  Or null if there was no match.
 */
function diff_halfMatch_(text1, text2) {
  var longtext = text1.length > text2.length ? text1 : text2;
  var shorttext = text1.length > text2.length ? text2 : text1;
  if (longtext.length < 4 || shorttext.length * 2 < longtext.length) {
    return null;  // Pointless.
  }

  /**
   * Does a substring of shorttext exist within longtext such that the substring
   * is at least half the length of longtext?
   * Closure, but does not reference any external variables.
   * @param {string} longtext Longer string.
   * @param {string} shorttext Shorter string.
   * @param {number} i Start index of quarter length substring within longtext.
   * @return {Array.<string>} Five element Array, containing the prefix of
   *     longtext, the suffix of longtext, the prefix of shorttext, the suffix
   *     of shorttext and the common middle.  Or null if there was no match.
   * @private
   */
  function diff_halfMatchI_(longtext, shorttext, i) {
    // Start with a 1/4 length substring at position i as a seed.
    var seed = longtext.substring(i, i + Math.floor(longtext.length / 4));
    var j = -1;
    var best_common = '';
    var best_longtext_a, best_longtext_b, best_shorttext_a, best_shorttext_b;
    while ((j = shorttext.indexOf(seed, j + 1)) !== -1) {
      var prefixLength = diff_commonPrefix(
        longtext.substring(i), shorttext.substring(j));
      var suffixLength = diff_commonSuffix(
        longtext.substring(0, i), shorttext.substring(0, j));
      if (best_common.length < suffixLength + prefixLength) {
        best_common = shorttext.substring(
          j - suffixLength, j) + shorttext.substring(j, j + prefixLength);
        best_longtext_a = longtext.substring(0, i - suffixLength);
        best_longtext_b = longtext.substring(i + prefixLength);
        best_shorttext_a = shorttext.substring(0, j - suffixLength);
        best_shorttext_b = shorttext.substring(j + prefixLength);
      }
    }
    if (best_common.length * 2 >= longtext.length) {
      return [
        best_longtext_a, best_longtext_b,
        best_shorttext_a, best_shorttext_b, best_common
      ];
    } else {
      return null;
    }
  }

  // First check if the second quarter is the seed for a half-match.
  var hm1 = diff_halfMatchI_(longtext, shorttext, Math.ceil(longtext.length / 4));
  // Check again based on the third quarter.
  var hm2 = diff_halfMatchI_(longtext, shorttext, Math.ceil(longtext.length / 2));
  var hm;
  if (!hm1 && !hm2) {
    return null;
  } else if (!hm2) {
    hm = hm1;
  } else if (!hm1) {
    hm = hm2;
  } else {
    // Both matched.  Select the longest.
    hm = hm1[4].length > hm2[4].length ? hm1 : hm2;
  }

  // A half-match was found, sort out the return data.
  var text1_a, text1_b, text2_a, text2_b;
  if (text1.length > text2.length) {
    text1_a = hm[0];
    text1_b = hm[1];
    text2_a = hm[2];
    text2_b = hm[3];
  } else {
    text2_a = hm[0];
    text2_b = hm[1];
    text1_a = hm[2];
    text1_b = hm[3];
  }
  var mid_common = hm[4];
  return [text1_a, text1_b, text2_a, text2_b, mid_common];
};


/**
 * Reorder and merge like edit sections.  Merge equalities.
 * Any edit section can move as long as it doesn't cross an equality.
 * @param {Array} diffs Array of diff tuples.
 * @param {boolean} fix_unicode Whether to normalize to a unicode-correct diff
 */
function diff_cleanupMerge(diffs, fix_unicode) {
  diffs.push([DIFF_EQUAL, '']);  // Add a dummy entry at the end.
  var pointer = 0;
  var count_delete = 0;
  var count_insert = 0;
  var text_delete = '';
  var text_insert = '';
  var commonlength;
  while (pointer < diffs.length) {
    if (pointer < diffs.length - 1 && !diffs[pointer][1]) {
      diffs.splice(pointer, 1);
      continue;
    }
    switch (diffs[pointer][0]) {
      case DIFF_INSERT:

        count_insert++;
        text_insert += diffs[pointer][1];
        pointer++;
        break;
      case DIFF_DELETE:
        count_delete++;
        text_delete += diffs[pointer][1];
        pointer++;
        break;
      case DIFF_EQUAL:
        var previous_equality = pointer - count_insert - count_delete - 1;
        if (fix_unicode) {
          // prevent splitting of unicode surrogate pairs.  when fix_unicode is true,
          // we assume that the old and new text in the diff are complete and correct
          // unicode-encoded JS strings, but the tuple boundaries may fall between
          // surrogate pairs.  we fix this by shaving off stray surrogates from the end
          // of the previous equality and the beginning of this equality.  this may create
          // empty equalities or a common prefix or suffix.  for example, if AB and AC are
          // emojis, `[[0, 'A'], [-1, 'BA'], [0, 'C']]` would turn into deleting 'ABAC' and
          // inserting 'AC', and then the common suffix 'AC' will be eliminated.  in this
          // particular case, both equalities go away, we absorb any previous inequalities,
          // and we keep scanning for the next equality before rewriting the tuples.
          if (previous_equality >= 0 && ends_with_pair_start(diffs[previous_equality][1])) {
            var stray = diffs[previous_equality][1].slice(-1);
            diffs[previous_equality][1] = diffs[previous_equality][1].slice(0, -1);
            text_delete = stray + text_delete;
            text_insert = stray + text_insert;
            if (!diffs[previous_equality][1]) {
              // emptied out previous equality, so delete it and include previous delete/insert
              diffs.splice(previous_equality, 1);
              pointer--;
              var k = previous_equality - 1;
              if (diffs[k] && diffs[k][0] === DIFF_INSERT) {
                count_insert++;
                text_insert = diffs[k][1] + text_insert;
                k--;
              }
              if (diffs[k] && diffs[k][0] === DIFF_DELETE) {
                count_delete++;
                text_delete = diffs[k][1] + text_delete;
                k--;
              }
              previous_equality = k;
            }
          }
          if (starts_with_pair_end(diffs[pointer][1])) {
            var stray = diffs[pointer][1].charAt(0);
            diffs[pointer][1] = diffs[pointer][1].slice(1);
            text_delete += stray;
            text_insert += stray;
          }
        }
        if (pointer < diffs.length - 1 && !diffs[pointer][1]) {
          // for empty equality not at end, wait for next equality
          diffs.splice(pointer, 1);
          break;
        }
        if (text_delete.length > 0 || text_insert.length > 0) {
          // note that diff_commonPrefix and diff_commonSuffix are unicode-aware
          if (text_delete.length > 0 && text_insert.length > 0) {
            // Factor out any common prefixes.
            commonlength = diff_commonPrefix(text_insert, text_delete);
            if (commonlength !== 0) {
              if (previous_equality >= 0) {
                diffs[previous_equality][1] += text_insert.substring(0, commonlength);
              } else {
                diffs.splice(0, 0, [DIFF_EQUAL, text_insert.substring(0, commonlength)]);
                pointer++;
              }
              text_insert = text_insert.substring(commonlength);
              text_delete = text_delete.substring(commonlength);
            }
            // Factor out any common suffixes.
            commonlength = diff_commonSuffix(text_insert, text_delete);
            if (commonlength !== 0) {
              diffs[pointer][1] =
                text_insert.substring(text_insert.length - commonlength) + diffs[pointer][1];
              text_insert = text_insert.substring(0, text_insert.length - commonlength);
              text_delete = text_delete.substring(0, text_delete.length - commonlength);
            }
          }
          // Delete the offending records and add the merged ones.
          var n = count_insert + count_delete;
          if (text_delete.length === 0 && text_insert.length === 0) {
            diffs.splice(pointer - n, n);
            pointer = pointer - n;
          } else if (text_delete.length === 0) {
            diffs.splice(pointer - n, n, [DIFF_INSERT, text_insert]);
            pointer = pointer - n + 1;
          } else if (text_insert.length === 0) {
            diffs.splice(pointer - n, n, [DIFF_DELETE, text_delete]);
            pointer = pointer - n + 1;
          } else {
            diffs.splice(pointer - n, n, [DIFF_DELETE, text_delete], [DIFF_INSERT, text_insert]);
            pointer = pointer - n + 2;
          }
        }
        if (pointer !== 0 && diffs[pointer - 1][0] === DIFF_EQUAL) {
          // Merge this equality with the previous one.
          diffs[pointer - 1][1] += diffs[pointer][1];
          diffs.splice(pointer, 1);
        } else {
          pointer++;
        }
        count_insert = 0;
        count_delete = 0;
        text_delete = '';
        text_insert = '';
        break;
    }
  }
  if (diffs[diffs.length - 1][1] === '') {
    diffs.pop();  // Remove the dummy entry at the end.
  }

  // Second pass: look for single edits surrounded on both sides by equalities
  // which can be shifted sideways to eliminate an equality.
  // e.g: A<ins>BA</ins>C -> <ins>AB</ins>AC
  var changes = false;
  pointer = 1;
  // Intentionally ignore the first and last element (don't need checking).
  while (pointer < diffs.length - 1) {
    if (diffs[pointer - 1][0] === DIFF_EQUAL &&
      diffs[pointer + 1][0] === DIFF_EQUAL) {
      // This is a single edit surrounded by equalities.
      if (diffs[pointer][1].substring(diffs[pointer][1].length -
        diffs[pointer - 1][1].length) === diffs[pointer - 1][1]) {
        // Shift the edit over the previous equality.
        diffs[pointer][1] = diffs[pointer - 1][1] +
          diffs[pointer][1].substring(0, diffs[pointer][1].length -
            diffs[pointer - 1][1].length);
        diffs[pointer + 1][1] = diffs[pointer - 1][1] + diffs[pointer + 1][1];
        diffs.splice(pointer - 1, 1);
        changes = true;
      } else if (diffs[pointer][1].substring(0, diffs[pointer + 1][1].length) ==
        diffs[pointer + 1][1]) {
        // Shift the edit over the next equality.
        diffs[pointer - 1][1] += diffs[pointer + 1][1];
        diffs[pointer][1] =
          diffs[pointer][1].substring(diffs[pointer + 1][1].length) +
          diffs[pointer + 1][1];
        diffs.splice(pointer + 1, 1);
        changes = true;
      }
    }
    pointer++;
  }
  // If shifts were made, the diff needs reordering and another shift sweep.
  if (changes) {
    diff_cleanupMerge(diffs, fix_unicode);
  }
};

function is_surrogate_pair_start(charCode) {
  return charCode >= 0xD800 && charCode <= 0xDBFF;
}

function is_surrogate_pair_end(charCode) {
  return charCode >= 0xDC00 && charCode <= 0xDFFF;
}

function starts_with_pair_end(str) {
  return is_surrogate_pair_end(str.charCodeAt(0));
}

function ends_with_pair_start(str) {
  return is_surrogate_pair_start(str.charCodeAt(str.length - 1));
}

function remove_empty_tuples(tuples) {
  var ret = [];
  for (var i = 0; i < tuples.length; i++) {
    if (tuples[i][1].length > 0) {
      ret.push(tuples[i]);
    }
  }
  return ret;
}

function make_edit_splice(before, oldMiddle, newMiddle, after) {
  if (ends_with_pair_start(before) || starts_with_pair_end(after)) {
    return null;
  }
  return remove_empty_tuples([
    [DIFF_EQUAL, before],
    [DIFF_DELETE, oldMiddle],
    [DIFF_INSERT, newMiddle],
    [DIFF_EQUAL, after]
  ]);
}

function find_cursor_edit_diff(oldText, newText, cursor_pos) {
  // note: this runs after equality check has ruled out exact equality
  var oldRange = typeof cursor_pos === 'number' ?
    { index: cursor_pos, length: 0 } : cursor_pos.oldRange;
  var newRange = typeof cursor_pos === 'number' ?
    null : cursor_pos.newRange;
  // take into account the old and new selection to generate the best diff
  // possible for a text edit.  for example, a text change from "xxx" to "xx"
  // could be a delete or forwards-delete of any one of the x's, or the
  // result of selecting two of the x's and typing "x".
  var oldLength = oldText.length;
  var newLength = newText.length;
  if (oldRange.length === 0 && (newRange === null || newRange.length === 0)) {
    // see if we have an insert or delete before or after cursor
    var oldCursor = oldRange.index;
    var oldBefore = oldText.slice(0, oldCursor);
    var oldAfter = oldText.slice(oldCursor);
    var maybeNewCursor = newRange ? newRange.index : null;
    editBefore: {
      // is this an insert or delete right before oldCursor?
      var newCursor = oldCursor + newLength - oldLength;
      if (maybeNewCursor !== null && maybeNewCursor !== newCursor) {
        break editBefore;
      }
      if (newCursor < 0 || newCursor > newLength) {
        break editBefore;
      }
      var newBefore = newText.slice(0, newCursor);
      var newAfter = newText.slice(newCursor);
      if (newAfter !== oldAfter) {
        break editBefore;
      }
      var prefixLength = Math.min(oldCursor, newCursor);
      var oldPrefix = oldBefore.slice(0, prefixLength);
      var newPrefix = newBefore.slice(0, prefixLength);
      if (oldPrefix !== newPrefix) {
        break editBefore;
      }
      var oldMiddle = oldBefore.slice(prefixLength);
      var newMiddle = newBefore.slice(prefixLength);
      return make_edit_splice(oldPrefix, oldMiddle, newMiddle, oldAfter);
    }
    editAfter: {
      // is this an insert or delete right after oldCursor?
      if (maybeNewCursor !== null && maybeNewCursor !== oldCursor) {
        break editAfter;
      }
      var cursor = oldCursor;
      var newBefore = newText.slice(0, cursor);
      var newAfter = newText.slice(cursor);
      if (newBefore !== oldBefore) {
        break editAfter;
      }
      var suffixLength = Math.min(oldLength - cursor, newLength - cursor);
      var oldSuffix = oldAfter.slice(oldAfter.length - suffixLength);
      var newSuffix = newAfter.slice(newAfter.length - suffixLength);
      if (oldSuffix !== newSuffix) {
        break editAfter;
      }
      var oldMiddle = oldAfter.slice(0, oldAfter.length - suffixLength);
      var newMiddle = newAfter.slice(0, newAfter.length - suffixLength);
      return make_edit_splice(oldBefore, oldMiddle, newMiddle, oldSuffix);
    }
  }
  if (oldRange.length > 0 && newRange && newRange.length === 0) {
    replaceRange: {
      // see if diff could be a splice of the old selection range
      var oldPrefix = oldText.slice(0, oldRange.index);
      var oldSuffix = oldText.slice(oldRange.index + oldRange.length);
      var prefixLength = oldPrefix.length;
      var suffixLength = oldSuffix.length;
      if (newLength < prefixLength + suffixLength) {
        break replaceRange;
      }
      var newPrefix = newText.slice(0, prefixLength);
      var newSuffix = newText.slice(newLength - suffixLength);
      if (oldPrefix !== newPrefix || oldSuffix !== newSuffix) {
        break replaceRange;
      }
      var oldMiddle = oldText.slice(prefixLength, oldLength - suffixLength);
      var newMiddle = newText.slice(prefixLength, newLength - suffixLength);
      return make_edit_splice(oldPrefix, oldMiddle, newMiddle, oldSuffix);
    }
  }

  return null;
}

function diff(text1, text2, cursor_pos) {
  // only pass fix_unicode=true at the top level, not when diff_main is
  // recursively invoked
  return diff_main(text1, text2, cursor_pos, true);
}

diff.INSERT = DIFF_INSERT;
diff.DELETE = DIFF_DELETE;
diff.EQUAL = DIFF_EQUAL;

module.exports = diff;


/***/ }),

/***/ "./src/Editor.ts":
/*!***********************!*\
  !*** ./src/Editor.ts ***!
  \***********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EditorChangeEvent": () => (/* binding */ EditorChangeEvent),
/* harmony export */   "EditorFormatEvent": () => (/* binding */ EditorFormatEvent),
/* harmony export */   "default": () => (/* binding */ Editor)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _typesetting_typeset__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./typesetting/typeset */ "./src/typesetting/typeset.ts");
/* harmony import */ var _modules_defaults__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./modules/defaults */ "./src/modules/defaults.ts");
/* harmony import */ var _typesetting_defaults__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./typesetting/defaults */ "./src/typesetting/defaults.ts");
/* harmony import */ var _rendering_html__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./rendering/html */ "./src/rendering/html.ts");
/* harmony import */ var _util_EventDispatcher__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./util/EventDispatcher */ "./src/util/EventDispatcher.ts");
/* harmony import */ var _rendering_position__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./rendering/position */ "./src/rendering/position.ts");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./Source */ "./src/Source.ts");








const EMPTY_OBJ = {};
const EMPTY_ARR = [];
const PROXIED_EVENTS = ['focus', 'blur', 'keydown', 'mousedown', 'mouseup', 'click'];
const eventProxies = new WeakMap();
class EditorChangeEvent extends Event {
    constructor(type, init) {
        super(type, init);
        this.old = init.old;
        this.doc = init.doc;
        this.change = init.change;
        this.changedLines = init.changedLines;
        this.source = init.source;
        // Fix Safari bug, see https://stackoverflow.com/a/58471803
        Object.setPrototypeOf(this, EditorChangeEvent.prototype);
    }
    // Modify the data during a "changing" event before doc is committed
    modify(delta) {
        if (!this.cancelable)
            throw new Error('Cannot modify an applied change, listen to the "changing" event');
        this.doc = this.doc.apply(delta);
        if (this.change)
            this.change.delta = this.change.delta.compose(delta);
        if (this.changedLines) {
            this.changedLines = this.old.lines === this.doc.lines ? EMPTY_ARR : getChangedLines(this.old, this.doc);
        }
    }
}
class EditorFormatEvent extends Event {
    constructor(type, init) {
        super(type, init);
        this.formats = init.formats;
    }
}
class Editor extends _util_EventDispatcher__WEBPACK_IMPORTED_MODULE_5__["default"] {
    constructor(options = {}) {
        super();
        this.activeFormats = EMPTY_OBJ;
        this.commands = {};
        this.shortcuts = {};
        this.modules = {};
        this.catchErrors = !options.dev;
        this.identifier = options.identifier;
        this.typeset = new _typesetting_typeset__WEBPACK_IMPORTED_MODULE_1__.Typeset(options.types || _typesetting_defaults__WEBPACK_IMPORTED_MODULE_3__.defaultTypes);
        if (options.doc) {
            this.doc = options.doc;
        }
        else if (options.html) {
            this.doc = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_4__.docFromHTML)(this, options.html);
        }
        else if (options.text) {
            this.doc = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().insert(options.text));
        }
        else {
            this.doc = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument();
        }
        this.throwOnError = options.throwOnError || false;
        this._enabled = options.enabled === undefined ? true : options.enabled;
        const includeDefaultModules = options.includeDefaultModules ?? true;
        this._modules = includeDefaultModules ? { ..._modules_defaults__WEBPACK_IMPORTED_MODULE_2__.defaultModules, ...options.modules } : { ...options.modules };
        if (options.root)
            this.setRoot(options.root);
    }
    get root() {
        if (!this._root) {
            this.setRoot(document.createElement('div'));
        }
        return this._root;
    }
    get enabled() {
        return this._enabled;
    }
    set enabled(value) {
        value = !!value;
        const changed = this._enabled !== value;
        if (!value && this.doc.selection)
            this.select(null, _Source__WEBPACK_IMPORTED_MODULE_7__.Source.api);
        this._enabled = value;
        if (this._root)
            this._root.contentEditable = value ? 'true' : 'inherit';
        if (changed)
            this.dispatchEvent(new Event('enabledchange'));
    }
    get change() {
        const change = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(this.doc);
        change.apply = (source = _Source__WEBPACK_IMPORTED_MODULE_7__.Source.user) => this.update(change, source);
        return change;
    }
    setRoot(root) {
        if (!root)
            throw new TypeError('Root must be set, cannot be ' + root);
        this.destroy();
        this._root = root;
        this.init();
        this.dispatchEvent(new Event('root'));
        return this;
    }
    update(changeOrDelta, source = _Source__WEBPACK_IMPORTED_MODULE_7__.Source.user) {
        if (!this.enabled && source !== _Source__WEBPACK_IMPORTED_MODULE_7__.Source.api) {
            return this;
        }
        const change = changeOrDelta.ops ? new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(this.doc, changeOrDelta) : changeOrDelta;
        const old = this.doc;
        const doc = old.apply(change, undefined, this.throwOnError);
        const changedLines = old.lines === doc.lines ? EMPTY_ARR : getChangedLines(old, doc);
        this.set(doc, source, change, changedLines);
        return this;
    }
    set(docOrDelta, source = _Source__WEBPACK_IMPORTED_MODULE_7__.Source.user, change, changedLines) {
        const old = this.doc;
        const doc = docOrDelta.ops ? new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(docOrDelta) : docOrDelta;
        if ((!this.enabled && source !== _Source__WEBPACK_IMPORTED_MODULE_7__.Source.api) || !doc || old.equals(doc)) {
            return this;
        }
        const changingEvent = new EditorChangeEvent('changing', { cancelable: true, old, doc, change, changedLines, source });
        this.dispatchEvent(changingEvent, this.catchErrors);
        if (changingEvent.defaultPrevented || old.equals(changingEvent.doc))
            return this;
        this.activeFormats = change?.activeFormats ? change.activeFormats : getActiveFormats(this, changingEvent.doc);
        this.doc = changingEvent.doc;
        this.dispatchEvent(new EditorChangeEvent('change', { ...changingEvent, cancelable: false }), this.catchErrors);
        this.dispatchEvent(new EditorChangeEvent('changed', { ...changingEvent, cancelable: false }), this.catchErrors);
        return this;
    }
    getHTML() {
        return (0,_rendering_html__WEBPACK_IMPORTED_MODULE_4__.docToHTML)(this, this.doc);
    }
    setHTML(html, selection = this.doc.selection, source) {
        return this.set((0,_rendering_html__WEBPACK_IMPORTED_MODULE_4__.docFromHTML)(this, html, selection));
    }
    getDelta() {
        return this.doc.toDelta();
    }
    setDelta(delta, selection = this.doc.selection, source) {
        return this.set(new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(delta, selection), source);
    }
    getText(range) {
        return this.doc.getText(range);
    }
    setText(text, selection = this.doc.selection, source) {
        return this.set(new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().insert(text), selection), source);
    }
    trimSelection(selection) {
        if (!selection)
            return selection;
        const selectedText = this.getText(selection);
        const [from, to] = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)([...selection]);
        // don't trim if all spaces are selected
        if (selectedText.trim()) {
            const [_, lead, text, tail] = selectedText.match(/(^ *)((?:.|\r|\n)*?)( *$)/);
            if (text && (lead || tail)) {
                return [from + lead.length, to - tail.length];
            }
        }
        return selection;
    }
    getActive() {
        const { selection } = this.doc;
        let active = selection
            ? selection[0] === selection[1]
                ? { ...this.activeFormats, ...this.doc.getLineFormat(selection) }
                : { ...this.doc.getFormats(selection) }
            : {};
        Object.values(this.modules).forEach(module => {
            if (module.getActive)
                active = { ...active, ...module.getActive() };
        });
        return active;
    }
    select(at, source) {
        return this.update(this.change.select(at), source);
    }
    insert(insert, format, selection = this.doc.selection, options) {
        if (!selection)
            return this;
        const inPlace = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(selection, this.doc.selection);
        if (format == null && typeof insert === 'string' && insert !== '\n') {
            format = inPlace ? this.activeFormats : getActiveFormats(this, this.doc, selection);
        }
        const type = this.typeset.lines.findByAttributes(format, true);
        const change = this.change.delete(selection);
        const at = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(selection)[0];
        if (inPlace)
            change.setActiveFormats(insert !== '\n' && format || getActiveFormats(this, this.doc, selection));
        if (insert === '\n' && type.frozen) {
            const lineFormat = { ...this.doc.getLineFormat(at) };
            const secondLine = { ...format };
            let lastLine = { ...lineFormat };
            const newlines = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta()
                .insert('\n', lineFormat);
            if (this.doc.getLineRange(at)[1] - 1 !== at) {
                newlines.insert('\n', secondLine);
            }
            else {
                lastLine = secondLine;
            }
            change.insertContent(at, newlines).formatLine(at, lastLine).select(at + 2);
        }
        else {
            change.insert(at, insert, format, options);
        }
        return this.update(change);
    }
    insertContent(content, selection = this.doc.selection) {
        if (!selection)
            return this;
        const change = this.change
            .delete(selection)
            .insertContent(selection[0], content);
        return this.update(change);
    }
    delete(directionOrSelection, options) {
        let range;
        let selectOffset = 0;
        const { typeset: { lines }, doc } = this;
        if (Array.isArray(directionOrSelection)) {
            range = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(directionOrSelection);
        }
        else {
            if (!this.doc.selection)
                return this;
            range = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(this.doc.selection);
            if (directionOrSelection) {
                if (range[0] === range[1]) {
                    if (directionOrSelection < 0)
                        range = [range[0] + directionOrSelection, range[1]];
                    else
                        range = [range[0], Math.min(range[1] + directionOrSelection, this.doc.length - 1)];
                }
                else if (directionOrSelection < 0 && lines.findByAttributes(doc.getLineAt(range[0]).attributes, true).frozen) {
                    selectOffset = -1;
                }
            }
        }
        const formats = getActiveFormats(this, this.doc, [range[0] + 1, range[0] + 1]);
        const docLength = this.doc.length - (range[1] - range[0]);
        let select = Math.max(0, Math.min(docLength - 1, range[0] + selectOffset));
        const change = this.change.delete(range, options).select(select).setActiveFormats(formats);
        return this.update(change);
    }
    formatText(format, selection = this.doc.selection) {
        if (!selection)
            return this;
        if (typeof format === 'string')
            format = { [format]: true };
        if (selection[0] === selection[1]) {
            this.activeFormats = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.compose(this.activeFormats, format) || EMPTY_OBJ;
            this.dispatchEvent(new EditorFormatEvent('format', { formats: this.activeFormats }));
            return this;
        }
        changeFormat(this, 'formatText', format, selection);
        return this;
    }
    toggleTextFormat(format, selection = this.doc.selection) {
        if (!selection)
            return this;
        if (typeof format === 'string')
            format = { [format]: true };
        if (selection[0] === selection[1]) {
            if ((0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.hasFormat)(format, this.activeFormats))
                format = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.invert(format);
            this.activeFormats = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.compose(this.activeFormats, format) || EMPTY_OBJ;
            this.dispatchEvent(new EditorFormatEvent('format', { formats: this.activeFormats }));
            return this;
        }
        changeFormat(this, 'toggleTextFormat', format, selection);
        return this;
    }
    formatLine(format, selection = this.doc.selection) {
        if (typeof format === 'string')
            format = { [format]: true };
        changeFormat(this, 'formatLine', format, selection);
        return this;
    }
    toggleLineFormat(format, selection = this.doc.selection) {
        if (typeof format === 'string')
            format = { [format]: true };
        changeFormat(this, 'toggleLineFormat', format, selection);
        return this;
    }
    indent() {
        indentLines(this, 1);
        return this;
    }
    outdent() {
        indentLines(this, -1);
        return this;
    }
    removeFormat(selection = this.doc.selection) {
        changeFormat(this, 'removeFormat', null, selection);
        return this;
    }
    getBounds(range, relativeTo, relativeInside) {
        if (typeof range === 'number')
            range = [range, range];
        if (!range)
            return undefined;
        let rect = (0,_rendering_position__WEBPACK_IMPORTED_MODULE_6__.getBoudingBrowserRange)(this, range)?.getBoundingClientRect();
        if (rect && relativeTo) {
            const relative = relativeTo.getBoundingClientRect();
            const leftOffset = (relativeInside ? relativeTo.scrollLeft : 0) - relative.x;
            const topOffset = (relativeInside ? relativeTo.scrollTop : 0) - relative.y;
            rect = new DOMRect(rect.x + leftOffset, rect.y + topOffset, rect.width, rect.height);
        }
        return rect;
    }
    getAllBounds(range, relativeTo, relativeInside) {
        if (typeof range === 'number')
            range = [range, range];
        const collection = (0,_rendering_position__WEBPACK_IMPORTED_MODULE_6__.getBoudingBrowserRange)(this, range)?.getClientRects();
        let list = collection && Array.from(collection);
        if (list && relativeTo) {
            const relative = relativeTo.getBoundingClientRect();
            const leftOffset = (relativeInside ? relativeTo.scrollLeft : 0) - relative.x;
            const topOffset = (relativeInside ? relativeTo.scrollTop : 0) - relative.y;
            list = list.map(rect => new DOMRect(rect.x + leftOffset, rect.y + topOffset, rect.width, rect.height));
        }
        return list;
    }
    getIndexFromPoint(x, y) {
        return (0,_rendering_position__WEBPACK_IMPORTED_MODULE_6__.getIndexFromPoint)(this, x, y);
    }
    render() {
        this.modules.decorations?.gatherDecorations();
        this.modules.rendering?.render();
        this.modules.selection?.renderSelection();
        return this;
    }
    init() {
        const root = this._root;
        if (root.editor)
            root.editor.destroy();
        root.editor = this;
        this.enabled = this._enabled;
        this.commands = {};
        PROXIED_EVENTS.forEach(type => this._root.addEventListener(type, getEventProxy(this)));
        this.typeset.lines.list.forEach(type => type.commands && mergeCommands(this, type.name, type.commands(this)));
        this.typeset.formats.list.forEach(type => type.commands && mergeCommands(this, type.name, type.commands(this)));
        this.typeset.embeds.list.forEach(type => type.commands && mergeCommands(this, type.name, type.commands(this)));
        Object.keys(this._modules).forEach(key => {
            if (!this._modules[key])
                return;
            const module = this.modules[key] = this._modules[key](this);
            if (module.commands)
                mergeCommands(this, key, module.commands);
        });
        this.shortcuts = createShortcutMap(this);
        Object.keys(this.modules).forEach(key => this.modules[key].init?.());
        this.render();
    }
    destroy() {
        const root = this._root;
        if (!root)
            return;
        PROXIED_EVENTS.forEach(type => root.removeEventListener(type, getEventProxy(this)));
        Object.values(this.modules).forEach(module => module.destroy && module.destroy());
        this._root = undefined;
        delete root.editor;
    }
}
function changeFormat(editor, op, format, selection) {
    if (!selection)
        return;
    selection = typeof selection === 'number' ? [selection, selection] : editor?.trimSelection(selection);
    const change = editor.change[op](selection, format);
    editor.update(change);
}
function getActiveFormats(editor, doc, selection = doc.selection) {
    const { formats } = editor.typeset;
    if (!selection || selection[0] === 0)
        return EMPTY_OBJ;
    const at = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(selection)[0];
    // If start of a non-empty line, use the format of the first character, otherwise use the format of the preceeding
    let formatAt = at;
    let formatTo = at + 1;
    const attributes = doc.getTextFormat(formatAt);
    const nextAttributes = doc.getTextFormat(formatTo);
    const format = {};
    // Sort them by the order found in marks and be efficient
    Object.keys(attributes).forEach(name => {
        const type = formats.get(name);
        if (type && type.greedy !== false) {
            format[name] = attributes[name];
        }
    });
    Object.keys(nextAttributes).forEach(name => {
        const type = formats.get(name);
        if (type && type.greedy === false) {
            format[name] = attributes[name];
        }
    });
    return format;
}
function getChangedLines(oldDoc, newDoc) {
    const set = new Set(oldDoc.lines);
    return newDoc.lines.filter(line => !set.has(line));
}
function mergeCommands(editor, name, other) {
    if (!other)
        return;
    if (typeof other === 'function')
        editor.commands[name] = enhanceCommand(editor, other);
    else
        Object.keys(other).forEach(key => editor.commands[key] = enhanceCommand(editor, other[key]));
}
function enhanceCommand(editor, command) {
    return (...args) => {
        const result = command(...args);
        if (editor.doc.selection)
            editor.root.focus();
        return result;
    };
}
function indentLines(editor, direction = 1) {
    const { typeset: { lines }, doc } = editor;
    const { selection } = doc;
    if (!selection)
        return doc;
    const change = editor.change;
    doc.getLinesAt(selection).forEach(line => {
        const type = lines.findByAttributes(line.attributes, true);
        if (!type.indentable)
            return;
        const range = doc.getLineRange(line);
        let indent = (line.attributes.indent || 0) + direction;
        if (indent <= 0)
            indent = null;
        change.formatLine(range[0], indent < 0 ? EMPTY_OBJ : { ...line.attributes, indent });
    });
    editor.update(change);
}
function getEventProxy(editor) {
    let proxy = eventProxies.get(editor);
    if (!proxy) {
        proxy = eventProxy.bind(editor);
        eventProxies.set(editor, proxy);
    }
    return proxy;
}
function eventProxy(event) {
    this.dispatchEvent(event);
}
function createShortcutMap(editor) {
    const all = {};
    const { typeset: { lines, formats, embeds }, modules } = editor;
    mergeTypeShortcuts(lines, all);
    mergeTypeShortcuts(formats, all);
    mergeTypeShortcuts(embeds, all);
    mergeModuleShortcuts(modules, all);
    return all;
}
function mergeTypeShortcuts(types, shortcuts) {
    types.list.forEach(type => {
        const typeShortcuts = type.shortcuts;
        if (!typeShortcuts)
            return;
        if (typeof typeShortcuts === 'string') {
            shortcuts[typeShortcuts] = type.name;
        }
        else {
            mergeShortcuts(typeShortcuts, shortcuts);
        }
    });
}
function mergeModuleShortcuts(modules, all) {
    Object.keys(modules).forEach(name => {
        const shortcuts = modules[name]?.shortcuts;
        if (shortcuts)
            mergeShortcuts(shortcuts, all);
    });
}
function mergeShortcuts(shortcuts, all) {
    Object.keys(shortcuts).forEach(shortcut => all[shortcut] = shortcuts[shortcut]);
}


/***/ }),

/***/ "./src/Source.ts":
/*!***********************!*\
  !*** ./src/Source.ts ***!
  \***********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Source": () => (/* binding */ Source)
/* harmony export */ });
var Source;
(function (Source) {
    Source["api"] = "api";
    Source["user"] = "user";
    Source["history"] = "history";
    Source["input"] = "input";
    Source["paste"] = "paste";
})(Source || (Source = {}));


/***/ }),

/***/ "./src/modules/copy.ts":
/*!*****************************!*\
  !*** ./src/modules/copy.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "copy": () => (/* binding */ copy)
/* harmony export */ });
/* harmony import */ var _rendering_html__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../rendering/html */ "./src/rendering/html.ts");
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");


const defaultOptions = {
    copyPlainText: true,
    copyHTML: true
};
const empty = { text: '', html: '' };
function copy(editor, options = defaultOptions) {
    function getCopy(selection) {
        const { doc } = editor;
        const range = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(selection || doc.selection);
        if (!range)
            return empty;
        const slice = doc.slice(range[0], range[1]);
        if (!slice.ops.length)
            return empty;
        const text = slice
            .map(op => typeof op.insert === 'string' ? op.insert : ' ')
            .join('');
        let html;
        if (text.includes('\n')) {
            slice.push({ insert: '\n', attributes: doc.getLineFormat(range[1]) });
            html = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_0__.docToHTML)(editor, new _typewriter_document__WEBPACK_IMPORTED_MODULE_1__.TextDocument(slice));
        }
        else {
            html = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_0__.inlineToHTML)(editor, slice);
        }
        return { text, html };
    }
    function onCopy(event) {
        if (!editor.enabled || !editor.doc.selection || event.defaultPrevented)
            return;
        event.preventDefault();
        const dataTransfer = event.clipboardData;
        if (!dataTransfer)
            return;
        const { text, html } = getCopy();
        if (options.copyHTML && html) {
            dataTransfer.setData('text/html', html);
        }
        if (options.copyPlainText && text) {
            dataTransfer.setData('text/plain', text);
        }
    }
    function onCut(event) {
        onCopy(event);
        editor.delete();
    }
    return {
        commands: {
            getCopy,
        },
        init() {
            editor.root.addEventListener('copy', onCopy);
            editor.root.addEventListener('cut', onCut);
        },
        destroy() {
            editor.root.removeEventListener('copy', onCopy);
            editor.root.removeEventListener('cut', onCut);
        }
    };
}


/***/ }),

/***/ "./src/modules/decorations.ts":
/*!************************************!*\
  !*** ./src/modules/decorations.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DecorateEvent": () => (/* binding */ DecorateEvent),
/* harmony export */   "Decorator": () => (/* binding */ Decorator),
/* harmony export */   "applyDecorations": () => (/* binding */ applyDecorations),
/* harmony export */   "decorations": () => (/* binding */ decorations)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_vdom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../rendering/vdom */ "./src/rendering/vdom.ts");


const endInSemicolon = /;\s*$/;
const formatDecoration = {
    name: 'decoration',
    selector: 'span.format.decoration',
    fromDom: false,
    render: (attributes, children) => {
        return applyDecorations((0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('span', {}, children), attributes, ['format', 'decoration']);
    }
};
const embedDecoration = {
    name: 'decoration',
    selector: '.embed.decoration',
    fromDom: false,
    noFill: true,
    render: (attributes, children) => {
        const classes = 'embed decoration';
        const { name: type, ...props } = attributes.decoration;
        props.class = props.class ? classes + ' ' + props.class : classes;
        return (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)(type || 'span', props, children);
    }
};
class DecorateEvent extends Event {
    constructor(type, init) {
        super(type, init);
        this.old = init.old;
        this.doc = init.doc;
        this.change = init.change;
        this.changedLines = init.changedLines;
    }
}
function decorations(editor) {
    editor.typeset.formats.add(formatDecoration);
    editor.typeset.embeds.add(embedDecoration);
    const decorations = new Map();
    let original = editor.doc;
    let old = original;
    let doc = original;
    let decorating = false;
    editor.on('change', onChange);
    editor.on('render', onRender);
    function getDecorator(name) {
        if (!name)
            throw new TypeError('A decoration name is required');
        const decoration = decorations.get(name);
        return new Decorator(name, editor.doc, decoration, apply, removeDecorations);
    }
    function removeDecorations(name) {
        if (!name)
            throw new TypeError('A decoration name is required');
        const decoration = decorations.get(name);
        if (!decoration)
            return false;
        const inverted = invert(name, decoration, original);
        decorations.delete(name);
        if (!decorations.size) {
            doc = original;
        }
        else {
            doc = doc.apply(inverted);
        }
        if (!decorating) {
            editor.modules.rendering?.render({ old, doc });
            editor.modules.selection?.renderSelection();
        }
        return true;
    }
    function clearDecorations() {
        if (decorations.size) {
            decorations.clear();
        }
        doc = original;
    }
    function apply(name, delta) {
        const existing = decorations.get(name);
        const decoration = existing ? existing.compose(delta, true) : delta;
        if ((0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(decoration, existing) || (!existing && !decoration.ops.length))
            return;
        if (!decoration.ops.length) {
            decorations.delete(name);
        }
        else {
            decorations.set(name, decoration);
        }
        doc = decorations.size ? doc.apply(delta, null) : original;
        if (!decorating) {
            editor.modules.rendering?.render({ old, doc });
            editor.modules.selection?.renderSelection();
        }
    }
    function onChange(event) {
        const { change, changedLines } = event;
        original = event.doc;
        if (change) {
            if (change.contentChanged) {
                for (let [key, decoration] of decorations) {
                    decoration = change.delta.transform(decoration, true);
                    if (decoration.ops.length)
                        decorations.set(key, decoration);
                    else
                        decorations.delete(key); // all content with decoration was deleted
                }
                doc = decorations.size ? doc.apply(change.delta, null) : original;
                if (decorations.size) {
                    // Ensure the id of each line is the same
                    doc.lines.forEach((line, i) => {
                        const origLine = original.lines[i];
                        if (line !== origLine && line.id !== origLine.id) {
                            line.id = origLine.id;
                        }
                    });
                }
            }
        }
        else {
            clearDecorations();
        }
        gatherDecorations(change, changedLines);
    }
    function gatherDecorations(change, changedLines) {
        const init = { old, doc: original, change, changedLines };
        decorating = true;
        editor.dispatchEvent(new DecorateEvent('decorate', init));
        decorating = false;
    }
    function onRender() {
        old = doc; // Update old after a render
    }
    return {
        get old() { return old; },
        get doc() { return doc; },
        getDecorator,
        removeDecorations,
        clearDecorations,
        gatherDecorations,
        init() {
            gatherDecorations();
        },
        destroy() {
            editor.off('change', onChange);
            editor.off('render', onRender);
        }
    };
}
class Decorator {
    constructor(name, doc, decoration, apply, remove) {
        this._name = name;
        this._doc = doc;
        this.change = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(doc);
        this._decoration = decoration;
        this._apply = apply;
        this._remove = remove;
    }
    hasDecorations() {
        return !!this._decoration && this._decoration.ops.length > 0 || this.change.delta.ops.length > 0;
    }
    getDecoration() {
        return this._decoration ? this._decoration.compose(this.change.delta) : this.change.delta;
    }
    apply() {
        return this._apply(this._name, this.change.delta);
    }
    remove() {
        return this._remove(this._name);
    }
    clear(range) {
        if (!this.hasDecorations())
            return this;
        if (!range) {
            this.change.setDelta(this.invert());
        }
        else {
            this.change.setDelta(this.change.delta.compose(this.invert(range)));
        }
        return this;
    }
    clearLines(lines) {
        if (!lines.length)
            return this;
        const doc = this._doc;
        const range = [doc.getLineRange(lines[0])[0], doc.getLineRange(lines[lines.length - 1])[1]];
        const contiguous = lines.length === 1 || lines.every((line, i) => !i || doc.getLineRange(lines[i - 1])[1] === doc.getLineRange(line)[0]);
        if (contiguous) {
            return this.clear(range);
        }
        const inverted = this.invert(range);
        const delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta();
        let pos = 0;
        lines.forEach(line => {
            const [start, end] = doc.getLineRange(line);
            delta.retain(start - pos).concat(inverted.slice(start, end));
            pos = end;
        });
        this.change.setDelta(this.change.delta.compose(delta));
        return this;
    }
    // Clear line of these decorations at position, by id, or by instance
    clearLine(value) {
        const doc = this._doc;
        const line = typeof value === 'number'
            ? doc.getLineAt(value)
            : typeof value === 'string'
                ? doc.getLineBy(value)
                : value;
        return this.clearLines([line]);
    }
    invert(range) {
        if (!this._decoration)
            return new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta();
        return invert(this._name, this._decoration, this._doc, range);
    }
    decorateText(range, decoration = { class: this._name }) {
        this.change.formatText(range, { decoration: { [this._name]: decoration } });
        return this;
    }
    decorateLine(range, decoration = { class: this._name }) {
        this.change.formatLine(range, { decoration: { [this._name]: decoration } }, true);
        return this;
    }
    insertDecoration(at, decoration = { class: this._name }) {
        if (typeof decoration === 'string') {
            throw new Error('You may only insert embed decorations');
        }
        this.change.insert(at, { decoration });
        return this;
    }
}
function applyDecorations(vnode, attributes, defaultClasses) {
    if (!attributes || !attributes.decoration)
        return vnode;
    const classes = new Set(defaultClasses);
    let styles = '';
    let props = vnode.props;
    Object.values(attributes.decoration).forEach((decorations) => {
        const { class: className, style, ...attributes } = decorations;
        if (className)
            classes.add(className.trim());
        if (style)
            styles += style.trim();
        if (styles && !endInSemicolon.test(styles))
            styles += ';';
        props = { ...attributes, ...props };
    });
    const className = Array.from(classes).join(' ').trim();
    if (className)
        props.class = props.class ? props.class + ' ' + className : className;
    if (styles)
        props.style = props.style ? props.style + ';' + styles : styles;
    vnode.props = props;
    return vnode;
}
function invert(name, delta, doc, range) {
    let docDelta = doc.toDelta();
    if (range) {
        docDelta = docDelta.slice(range[0], range[1]);
        delta = delta.slice(range[0], range[1]);
    }
    delta = delta.invert(docDelta);
    delta.ops.forEach(op => {
        if (op.attributes?.decoration === null) {
            op.attributes.decoration = { [name]: null };
        }
    });
    if (range) {
        delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().retain(range[0]).concat(delta);
    }
    return delta;
}


/***/ }),

/***/ "./src/modules/defaults.ts":
/*!*********************************!*\
  !*** ./src/modules/defaults.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "defaultModules": () => (/* binding */ defaultModules)
/* harmony export */ });
/* harmony import */ var _decorations__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./decorations */ "./src/modules/decorations.ts");
/* harmony import */ var _rendering__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./rendering */ "./src/modules/rendering.ts");
/* harmony import */ var _keyboard__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./keyboard */ "./src/modules/keyboard.ts");
/* harmony import */ var _input__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./input */ "./src/modules/input.ts");
/* harmony import */ var _selection__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./selection */ "./src/modules/selection.ts");
/* harmony import */ var _paste__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./paste */ "./src/modules/paste.ts");
/* harmony import */ var _copy__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./copy */ "./src/modules/copy.ts");
/* harmony import */ var _history__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./history */ "./src/modules/history.ts");








const defaultModules = { keyboard: _keyboard__WEBPACK_IMPORTED_MODULE_2__.keyboard, input: _input__WEBPACK_IMPORTED_MODULE_3__.input, copy: _copy__WEBPACK_IMPORTED_MODULE_6__.copy, paste: _paste__WEBPACK_IMPORTED_MODULE_5__.paste, history: _history__WEBPACK_IMPORTED_MODULE_7__.history, decorations: _decorations__WEBPACK_IMPORTED_MODULE_0__.decorations, rendering: _rendering__WEBPACK_IMPORTED_MODULE_1__.rendering, selection: _selection__WEBPACK_IMPORTED_MODULE_4__.selection };


/***/ }),

/***/ "./src/modules/history.ts":
/*!********************************!*\
  !*** ./src/modules/history.ts ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "history": () => (/* binding */ history),
/* harmony export */   "initHistory": () => (/* binding */ initHistory),
/* harmony export */   "transformHistoryStack": () => (/* binding */ transformHistoryStack),
/* harmony export */   "undoStack": () => (/* binding */ undoStack)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../Source */ "./src/Source.ts");


// Default history module
const history = initHistory();
/**
 * History is a view module for storing user changes and undoing/redoing those changes.
 *
 * Stores history for all user-generated changes. Like-changes will be combined until a selection or a delay timeout
 * cuts off the combining. E.g. if a user types "Hello" the 5 changes will be combined into one history entry. If
 * the user moves the cursor somewhere and then back to the end and types " World" the next 6 changes are combined
 * separately from the first 5 because selection changes add a cutoff history entries.
 *
 * The default options can be overridden by passing alternatives to history. To add a timeout to force a cutoff after
 * so many milliseconds set a delay like this:
 * ```js
 * const modules = {
 *   history: history({ delay: 4000 })
 * };
 * ```
 */
function initHistory(initOptions = {}) {
    return function (editor) {
        let lastRecorded = 0;
        let lastAction = '';
        let ignoreChange = false;
        let stack = undoStack();
        const options = { maxStack: 500, delay: 0, ...initOptions };
        function onBeforeInput(event) {
            if (event.inputType === 'historyUndo') {
                event.preventDefault();
                undo();
            }
            else if (event.inputType === 'historyRedo') {
                event.preventDefault();
                redo();
            }
        }
        function undo() {
            action('undo', 'redo');
        }
        function redo() {
            action('redo', 'undo');
        }
        function hasUndo() {
            return stack.undo.length > 0;
        }
        function hasRedo() {
            return stack.redo.length > 0;
        }
        function cutoffHistory() {
            lastRecorded = 0;
        }
        function clearHistory() {
            stack = undoStack();
        }
        function action(source, dest) {
            if (stack[source].length === 0)
                return;
            const entry = stack[source].pop();
            stack[dest].push(entry);
            cutoffHistory();
            ignoreChange = true;
            if (typeof entry[source] === 'function') {
                entry[source]();
            }
            else {
                editor.update(entry[source], _Source__WEBPACK_IMPORTED_MODULE_1__.Source.history);
            }
            ignoreChange = false;
        }
        function record(change, oldDoc) {
            const timestamp = Date.now();
            const action = getAction(change);
            stack.redo.length = 0;
            const undo = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(null, change.delta.invert(oldDoc.toDelta()), oldDoc.selection);
            // Break combining if actions are different (e.g. a delete then an insert should break it)
            if (!action || lastAction !== action)
                cutoffHistory();
            lastAction = action;
            if (lastRecorded && (!options.delay || lastRecorded + options.delay > timestamp) && stack.undo.length) {
                // Combine with the last change
                const entry = stack.undo[stack.undo.length - 1];
                entry.redo.delta = entry.redo.delta.compose(change.delta);
                entry.redo.selection = change.selection;
                entry.undo.delta = undo.delta.compose(entry.undo.delta);
            }
            else {
                const redo = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(null, change.delta, change.selection);
                lastRecorded = timestamp;
                stack.undo.push({ redo, undo });
            }
            if (stack.undo.length > options.maxStack) {
                stack.undo.shift();
            }
        }
        function onChange({ change, old, source }) {
            if (!change)
                return clearHistory();
            if (ignoreChange)
                return;
            if (!change.contentChanged)
                return cutoffHistory();
            if (source !== _Source__WEBPACK_IMPORTED_MODULE_1__.Source.api) {
                record(change, old);
            }
            else {
                transformHistoryStack(stack, change);
            }
        }
        // Advanced, only use this if the stack matches the document
        // e.g. use transformStack when changes come in for a document that isn't loaded
        function setStack(value) {
            stack = value;
        }
        function getStack() {
            return stack;
        }
        return {
            options,
            hasUndo,
            hasRedo,
            undo,
            redo,
            cutoffHistory,
            clearHistory,
            setStack,
            getStack,
            getActive() {
                return { undo: hasUndo(), redo: hasRedo() };
            },
            commands: {
                undo,
                redo,
            },
            shortcuts: {
                'win:Ctrl+Z': 'undo',
                'mac:Cmd+Z': 'undo',
                'win:Ctrl+Y': 'redo',
                'mac:Cmd+Shift+Z': 'redo',
            },
            init() {
                editor.on('change', onChange);
                editor.root.addEventListener('beforeinput', onBeforeInput);
            },
            destroy() {
                editor.off('change', onChange);
                editor.root.removeEventListener('beforeinput', onBeforeInput);
            }
        };
    };
}
function undoStack() {
    return {
        undo: [],
        redo: [],
    };
}
function transformHistoryStack(stack, delta) {
    const change = delta.ops ? new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(null, delta) : delta;
    stack.undo.forEach(entry => {
        entry.undo = change.transform(entry.undo, true);
        entry.redo = change.transform(entry.redo, true);
    });
    stack.redo.forEach(entry => {
        entry.undo = change.transform(entry.undo, true);
        entry.redo = change.transform(entry.redo, true);
    });
}
function getAction(change) {
    const { ops } = change.delta;
    let head = 0, tail = ops.length - 1;
    if (ops[head].retain && !ops[head].attributes)
        head++;
    if (ops[tail].retain === 1 && ops[tail].attributes?.id)
        tail--;
    if (head === tail) {
        const changeOp = ops[head];
        if (changeOp.delete)
            return 'delete';
        if (changeOp.insert === '\n')
            return 'newline';
        if (typeof changeOp.insert === 'string')
            return 'insert';
    }
    return '';
}


/***/ }),

/***/ "./src/modules/index.ts":
/*!******************************!*\
  !*** ./src/modules/index.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DecorateEvent": () => (/* reexport safe */ _decorations__WEBPACK_IMPORTED_MODULE_0__.DecorateEvent),
/* harmony export */   "Decorator": () => (/* reexport safe */ _decorations__WEBPACK_IMPORTED_MODULE_0__.Decorator),
/* harmony export */   "PasteEvent": () => (/* reexport safe */ _paste__WEBPACK_IMPORTED_MODULE_5__.PasteEvent),
/* harmony export */   "ShortcutEvent": () => (/* reexport safe */ _shortcutFromEvent__WEBPACK_IMPORTED_MODULE_3__.ShortcutEvent),
/* harmony export */   "addShortcutsToEvent": () => (/* reexport safe */ _shortcutFromEvent__WEBPACK_IMPORTED_MODULE_3__.addShortcutsToEvent),
/* harmony export */   "copy": () => (/* reexport safe */ _copy__WEBPACK_IMPORTED_MODULE_6__.copy),
/* harmony export */   "decorations": () => (/* reexport safe */ _decorations__WEBPACK_IMPORTED_MODULE_0__.decorations),
/* harmony export */   "defaultModules": () => (/* reexport safe */ _defaults__WEBPACK_IMPORTED_MODULE_12__.defaultModules),
/* harmony export */   "history": () => (/* reexport safe */ _history__WEBPACK_IMPORTED_MODULE_1__.history),
/* harmony export */   "input": () => (/* reexport safe */ _input__WEBPACK_IMPORTED_MODULE_2__.input),
/* harmony export */   "keyboard": () => (/* reexport safe */ _keyboard__WEBPACK_IMPORTED_MODULE_4__.keyboard),
/* harmony export */   "paste": () => (/* reexport safe */ _paste__WEBPACK_IMPORTED_MODULE_5__.paste),
/* harmony export */   "placeholder": () => (/* reexport safe */ _placeholder__WEBPACK_IMPORTED_MODULE_9__.placeholder),
/* harmony export */   "rendering": () => (/* reexport safe */ _rendering__WEBPACK_IMPORTED_MODULE_7__.rendering),
/* harmony export */   "selection": () => (/* reexport safe */ _selection__WEBPACK_IMPORTED_MODULE_8__.selection),
/* harmony export */   "shortcutFromEvent": () => (/* reexport safe */ _shortcutFromEvent__WEBPACK_IMPORTED_MODULE_3__.shortcutFromEvent),
/* harmony export */   "smartEntry": () => (/* reexport safe */ _smartEntry__WEBPACK_IMPORTED_MODULE_11__.smartEntry),
/* harmony export */   "smartQuotes": () => (/* reexport safe */ _smartQuotes__WEBPACK_IMPORTED_MODULE_10__.smartQuotes),
/* harmony export */   "undoStack": () => (/* reexport safe */ _history__WEBPACK_IMPORTED_MODULE_1__.undoStack)
/* harmony export */ });
/* harmony import */ var _decorations__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./decorations */ "./src/modules/decorations.ts");
/* harmony import */ var _history__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./history */ "./src/modules/history.ts");
/* harmony import */ var _input__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./input */ "./src/modules/input.ts");
/* harmony import */ var _shortcutFromEvent__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./shortcutFromEvent */ "./src/modules/shortcutFromEvent.ts");
/* harmony import */ var _keyboard__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./keyboard */ "./src/modules/keyboard.ts");
/* harmony import */ var _paste__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./paste */ "./src/modules/paste.ts");
/* harmony import */ var _copy__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./copy */ "./src/modules/copy.ts");
/* harmony import */ var _rendering__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./rendering */ "./src/modules/rendering.ts");
/* harmony import */ var _selection__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./selection */ "./src/modules/selection.ts");
/* harmony import */ var _placeholder__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./placeholder */ "./src/modules/placeholder.ts");
/* harmony import */ var _smartQuotes__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./smartQuotes */ "./src/modules/smartQuotes.ts");
/* harmony import */ var _smartEntry__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./smartEntry */ "./src/modules/smartEntry.ts");
/* harmony import */ var _defaults__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./defaults */ "./src/modules/defaults.ts");















/***/ }),

/***/ "./src/modules/input.ts":
/*!******************************!*\
  !*** ./src/modules/input.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "input": () => (/* binding */ input)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_html__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../rendering/html */ "./src/rendering/html.ts");
/* harmony import */ var _rendering_rendering__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../rendering/rendering */ "./src/rendering/rendering.ts");
/* harmony import */ var _rendering_selection__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../rendering/selection */ "./src/rendering/selection.ts");
/* harmony import */ var _rendering_position__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../rendering/position */ "./src/rendering/position.ts");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../Source */ "./src/Source.ts");







const isIPad = navigator.maxTouchPoints > 2 && /MacIntel/.test(navigator.platform);
const isIOS = isIPad || /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream;
const isAndroid = !isIOS && /Mobi|Android/.test(navigator.userAgent) && !window.MSStream;
const MUTATION_OPTIONS = {
    characterData: true,
    characterDataOldValue: true,
    subtree: true,
    childList: true
};
function input(editor) {
    let gboardEnter = false;
    // Composition systems want to take full control over browser content while they operate.
    // Let them, deferring handling all mutation events until after the composition is complete.
    let isComposing = false;
    let cachedMutations = [];
    function onCompositionStart(event) {
        isComposing = true;
    }
    function onCompositionEnd(event) {
        isComposing = false;
        if (cachedMutations.length) {
            onMutate(cachedMutations);
            cachedMutations = [];
        }
    }
    // Browsers have had issues in the past with mutation observers firing consistently, so use the observer with the input
    // event as fallback
    function onInput() {
        if (isComposing)
            return;
        const mutations = observer.takeRecords();
        if (mutations.length)
            onMutate(mutations);
    }
    // for Gboard fix -- checks if start of line is an insert br
    function isBr(change) {
        let isBr = false;
        const lastOp = change.ops[change.ops.length - 1];
        if (lastOp?.insert) {
            const insert = lastOp.insert;
            if (insert.br) {
                isBr = true;
            }
        }
        return isBr;
    }
    // Final fallback. Handles composition text etc. Detects text changes from e.g. spell-check or Opt+E to produce
    function onMutate(list) {
        if (isComposing) {
            cachedMutations.push(...list);
            return;
        }
        if (!editor.enabled) {
            return editor.render();
        }
        // Optimize for text changes (typing text)
        let change = getTextChange(list);
        let selection = (0,_rendering_selection__WEBPACK_IMPORTED_MODULE_3__.getSelection)(editor);
        if (!change) {
            const range = getChangedLineRange(editor.root, list);
            change = getChangeFromRange(range);
        }
        // Gboard fix to move to next line
        if (gboardEnter) {
            // Sometimes gBoard adds a br instead of a new line (seen with h2)
            if (isBr(change)) {
                change.ops.pop();
                change.insert('\n');
            }
            // advance to next line
            if (selection !== null) {
                selection[0]++;
                selection[1]++;
            }
            gboardEnter = false;
        }
        if (change && change.ops.length) {
            (0,_rendering_html__WEBPACK_IMPORTED_MODULE_1__.cleanText)(change);
            const old = editor.doc;
            editor.update(new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextChange(editor.doc, change, selection, editor.activeFormats), _Source__WEBPACK_IMPORTED_MODULE_5__.Source.input);
            if (editor.doc.lines === old.lines) {
                editor.render();
            }
        }
    }
    function getTextChange(list) {
        const mutation = getTextChangeMutation(list);
        if (!mutation || mutation.oldValue == null || mutation.target.nodeValue == null)
            return null;
        const change = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta();
        const index = (0,_rendering_position__WEBPACK_IMPORTED_MODULE_4__.getIndexFromNode)(editor, mutation.target);
        change.retain(index);
        let relativeEditLocation = undefined;
        if (editor.doc.selection) {
            const selection = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(editor.doc.selection);
            relativeEditLocation = selection[0] - index;
            if (relativeEditLocation < 0) {
                relativeEditLocation = 0;
            }
        }
        const diffs = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.diff)(mutation.oldValue.replace(/\xA0/g, ' '), mutation.target.nodeValue.replace(/\xA0/g, ' '), relativeEditLocation);
        diffs.forEach(([action, string]) => {
            if (action === _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.diff.EQUAL)
                change.retain(string.length);
            else if (action === _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.diff.DELETE)
                change.delete(string.length);
            else if (action === _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.diff.INSERT) {
                change.insert(string, editor.activeFormats);
            }
        });
        change.chop();
        return change;
    }
    // Fallback to commit whatever was changed, least performant
    function getChangeFromRange(range) {
        const { doc } = editor;
        if (range) {
            const [startNode, endNode] = range;
            const start = (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(editor.root, startNode);
            const end = (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeEnd)(editor.root, endNode);
            const delta = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_1__.deltaFromDom)(editor, { startNode, endNode: endNode.nextElementSibling || undefined, collapseWhitespace: false });
            let change = doc.toDelta().slice(start, end).diff(delta);
            if (change.ops.length && start)
                change = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().retain(start).concat(change);
            return change;
        }
        else {
            const delta = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_1__.deltaFromDom)(editor, { collapseWhitespace: false });
            return doc.toDelta().diff(delta);
        }
    }
    const observer = new window.MutationObserver(onMutate);
    // Don't observe the changes that occur when the view updates, we only want to respond to changes that happen
    // outside of our API to read them back in
    function onRendering() {
        observer.disconnect();
    }
    function onRender() {
        observer.observe(editor.root, MUTATION_OPTIONS);
    }
    // Function to detect if Gboard is sending new lines with composed input
    function onBeforeInput(event) {
        if (event.data && event.data?.includes('\n')) {
            gboardEnter = true;
        }
    }
    return {
        allowComposition(value = true) {
            if (value) {
                editor.root.addEventListener('compositionstart', onCompositionStart);
                editor.root.addEventListener('compositionend', onCompositionEnd);
            }
            else {
                editor.root.removeEventListener('compositionstart', onCompositionStart);
                editor.root.removeEventListener('compositionend', onCompositionEnd);
            }
        },
        init() {
            editor.root.addEventListener('input', onInput);
            editor.on('rendering', onRendering);
            editor.on('render', onRender);
            if (isAndroid) {
                editor.root.addEventListener('beforeinput', onBeforeInput); // needed for Gboard fix
            }
        },
        destroy() {
            observer.disconnect();
            editor.root.removeEventListener('input', onInput);
            editor.root.removeEventListener('compositionstart', onCompositionStart);
            editor.root.removeEventListener('compositionend', onCompositionEnd);
            editor.off('rendering', onRendering);
            editor.off('render', onRender);
            if (isAndroid) {
                editor.root.removeEventListener('beforeinput', onBeforeInput); // gboard fix
            }
        }
    };
}
function getTextChangeMutation(list) {
    // Shrink the list down to one entry per text node
    const textNodes = new Set();
    list = list.filter(record => {
        if (record.type !== 'characterData')
            return true;
        if (textNodes.has(record.target))
            return false;
        textNodes.add(record.target);
        return true;
    });
    if (list.length > 3)
        return null;
    const text = list.find(record => record.type === 'characterData');
    if (!text)
        return null;
    const textAdd = list.find(record => record.addedNodes.length === 1 && record.addedNodes[0].nodeName === '#text');
    const brAddRemove = list.find(record => {
        return (record.addedNodes.length === 1 && record.addedNodes[0].nodeName === 'BR') ||
            (record.removedNodes.length === 1 && record.removedNodes[0].nodeName === 'BR');
    });
    const count = 1 + (textAdd ? 1 : 0) + (brAddRemove ? 1 : 0);
    if (count < list.length)
        return null;
    if (textAdd && textAdd.addedNodes[0] !== text.target)
        return null;
    return text;
}
function getChangedLineRange(root, records) {
    let start, end;
    for (let i = 0; i < records.length; i++) {
        const record = records[i];
        if (record.target === root)
            return; // line added/removed
        const line = getTopLine(root, record.target);
        if (line && line.key) {
            if (!start || (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(root, line) < (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(root, start))
                start = line;
            if (!end || (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(root, line) > (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(root, end))
                end = line;
        }
        else {
            // If a line is deleted or new line added we will return null and diff the whole thing (rare fallback case)
            return;
        }
    }
    if (start && end)
        return [start, end];
}
function getTopLine(root, node) {
    while (node && node.parentNode !== root)
        node = node.parentNode;
    return node;
}


/***/ }),

/***/ "./src/modules/keyboard.ts":
/*!*********************************!*\
  !*** ./src/modules/keyboard.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "keyboard": () => (/* binding */ keyboard)
/* harmony export */ });
/* harmony import */ var _shortcutFromEvent__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./shortcutFromEvent */ "./src/modules/shortcutFromEvent.ts");
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Source */ "./src/Source.ts");



// A list of bad characters that we don't want coming in from pasted content (e.g. "\f" aka line feed)
const EMPTY_OBJ = {};
const IS_CHROME = window.chrome && typeof window.chrome === 'object';
// Basic keyboard module.
function keyboard(editor) {
    function onEnter(event) {
        if (event.defaultPrevented)
            return;
        if (editor.doc.selection) {
            const { lines } = editor.typeset;
            const selected = editor.doc.getLinesAt(editor.doc.selection);
            if (selected.length) {
                const format = lines.findByAttributes(selected[0].attributes);
                if (format?.onEnter && selected.every(line => format === lines.findByAttributes(line.attributes))) {
                    event.preventDefault();
                    format.onEnter(editor);
                    return;
                }
            }
        }
        const { typeset: { lines }, doc } = editor;
        let { selection } = doc;
        if (!selection)
            return;
        event.preventDefault();
        const [at, to] = selection;
        const isCollapsed = at === to;
        const line = doc.getLineAt(selection[0]);
        const [start, end] = doc.getLineRange(selection[0]);
        let { id, ...attributes } = line.attributes;
        let options;
        const type = lines.findByAttributes(attributes, true);
        const atStart = to === start;
        const atEnd = to === end - 1;
        if (isCollapsed && isEmpty(line)) {
            const explicitUnindent = type.onEmptyEnter && type.onEmptyEnter(editor, line);
            const nativeUnindent = !type.onEmptyEnter
                && type !== lines.default
                && !type.contained
                && !type.defaultFollows
                && !type.frozen;
            if (explicitUnindent || nativeUnindent) {
                // Convert a bullet point into a paragraph
                if (unindent(lines, doc.getLineAt(at)))
                    return;
            }
        }
        if (at === start && to === end && type.frozen) {
            if (at === 0) {
                // if single selection and line element (hr, image etc) insert new line before
                options = { dontFixNewline: true };
                selection = [at, at];
            }
            else if (to === doc.length) {
                selection = [to - 1, to - 1];
            }
            else {
                options = { dontFixNewline: true };
                selection = [to, to];
            }
            attributes = type.nextLineAttributes ? type.nextLineAttributes(attributes) : EMPTY_OBJ;
        }
        else if (atEnd && (type.nextLineAttributes || type.defaultFollows || type.frozen)) {
            attributes = type.nextLineAttributes ? type.nextLineAttributes(attributes) : EMPTY_OBJ;
        }
        else if (atStart && !atEnd) {
            if (type.defaultFollows)
                attributes = EMPTY_OBJ;
            options = { dontFixNewline: true };
        }
        editor.insert('\n', attributes, selection, options);
        if (at === start && to === end && type.frozen) {
            editor.select(at === 0 ? 0 : to);
        }
    }
    function onShiftEnter(event) {
        if (event.defaultPrevented)
            return;
        const { typeset, doc } = editor;
        if (!typeset.embeds.get('br'))
            return onEnter(event);
        if (!doc.selection)
            return;
        event.preventDefault();
        editor.insert({ br: true });
    }
    function onBackspace(event) {
        handleDelete(event, -1);
    }
    function onDelete(event) {
        handleDelete(event, 1);
    }
    function handleDelete(event, direction) {
        if (event.defaultPrevented)
            return;
        const { typeset: { lines }, doc } = editor;
        const { selection } = doc;
        if (!selection)
            return;
        const [at, to] = selection;
        const isCollapsed = at === to;
        const [start, end] = doc.getLineRange(at);
        // Allow the system to handle non-line-collapsing deletes
        // (Bug in Chrome where backspace at the end of a span can delete an entire paragraph)
        if (isCollapsed && (!IS_CHROME || event.ctrlKey || event.altKey || event.metaKey)) {
            if (direction === -1 && at !== start)
                return;
            if (direction === 1 && at !== end - 1)
                return;
        }
        event.preventDefault();
        if (direction === -1 && selection[0] + selection[1] === 0) {
            // At the beginning of the document
            unindent(lines, doc.getLineAt(at), true);
        }
        else {
            const range = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(selection);
            const line = doc.getLineAt(range[0]);
            const type = lines.findByAttributes(line.attributes, true);
            // If the deletion will move outside a line (collapsing 2 lines)
            const outside = isCollapsed && ((direction === -1 && at === start) || (direction === 1 && at === end - 1));
            if (outside && !type.contained) {
                // Delete the next line if it is empty
                const mergingLine = doc.lines[doc.lines.indexOf(line) + direction];
                const [first, second] = direction === 1 ? [line, mergingLine] : [mergingLine, line];
                if (first && isEmpty(first) && second && !isEmpty(second)) {
                    return editor.update(editor.change.delete([range[0] + direction, range[0]], { dontFixNewline: true }), _Source__WEBPACK_IMPORTED_MODULE_2__.Source.input);
                }
            }
            editor.delete(direction, { dontFixNewline: type.frozen });
        }
    }
    function unindent(lines, line, force) {
        if (!line)
            return;
        const type = lines.findByAttributes(line.attributes, true);
        if (!type)
            return;
        if (type.indentable && line.attributes.indent) {
            editor.outdent();
            return true;
        }
        if (force || type !== lines.default && !type.defaultFollows) {
            editor.formatLine(EMPTY_OBJ);
            return true;
        }
    }
    function onTab(event) {
        if (event.defaultPrevented)
            return;
        if (editor.doc.selection) {
            const { lines } = editor.typeset;
            const selected = editor.doc.getLinesAt(editor.doc.selection);
            if (selected.length) {
                const format = lines.findByAttributes(selected[0].attributes);
                if (format?.onTab && selected.every(line => format === lines.findByAttributes(line.attributes))) {
                    event.preventDefault();
                    format.onTab(editor, event.shiftKey);
                    return;
                }
            }
        }
        event.preventDefault();
        const shortcut = event.modShortcut;
        if (shortcut === 'Tab' || shortcut === 'Mod+]')
            editor.indent();
        else
            editor.outdent();
    }
    function onKeyDown(event) {
        if (event.isComposing)
            return;
        (0,_shortcutFromEvent__WEBPACK_IMPORTED_MODULE_0__.addShortcutsToEvent)(event);
        const checkShortcut = shortcut => {
            const command = editor.shortcuts[shortcut];
            if (command && editor.commands[command]) {
                event.preventDefault();
                return editor.commands[command]() !== false;
            }
        };
        if (!editor.root.dispatchEvent(_shortcutFromEvent__WEBPACK_IMPORTED_MODULE_0__.ShortcutEvent.fromKeyboardEvent(event))
            || checkShortcut(event.shortcut)
            || checkShortcut(event.osShortcut)
            || checkShortcut(event.modShortcut)) {
            event.preventDefault();
            return;
        }
        switch (event.modShortcut) {
            case 'Enter': return onEnter(event);
            case 'Shift+Enter': return onShiftEnter(event);
            case 'Tab':
            case 'Shift+Tab': return onTab(event);
        }
        switch (event.modShortcut?.split('+').pop()) {
            case 'Backspace': return onBackspace(event);
            case 'Delete': return onDelete(event);
            default: return;
        }
    }
    function isEmpty(line) {
        return line.length === 1 && !editor.typeset.lines.findByAttributes(line.attributes)?.frozen;
    }
    return {
        init() {
            editor.root.addEventListener('keydown', onKeyDown);
        },
        destroy() {
            editor.root.removeEventListener('keydown', onKeyDown);
        }
    };
}


/***/ }),

/***/ "./src/modules/paste.ts":
/*!******************************!*\
  !*** ./src/modules/paste.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PasteEvent": () => (/* binding */ PasteEvent),
/* harmony export */   "paste": () => (/* binding */ paste)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_html__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../rendering/html */ "./src/rendering/html.ts");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Source */ "./src/Source.ts");



const dontFixNewline = { dontFixNewline: true };
const ignoreId = { excludeProps: new Set(['id']) };
class PasteEvent extends Event {
    constructor(type, init) {
        super(type, init);
        this.delta = init.delta;
        this.html = init.html;
        this.text = init.text;
    }
}
function paste(editor, options) {
    function paste({ selection, text, html }) {
        const { doc } = editor;
        selection = selection || doc.selection;
        selection = selection && (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(selection);
        if (!selection)
            return;
        const [at, to] = selection;
        let delta;
        if (!html) {
            if (!text)
                return;
            delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().insert(text.replace(/\xA0/g, ' ').replace(/\r\n/g, '\n'));
        }
        else if (options?.htmlParser) {
            delta = options.htmlParser(editor, html);
        }
        else {
            delta = (0,_rendering_html__WEBPACK_IMPORTED_MODULE_1__.deltaFromHTML)(editor, html, { possiblePartial: true });
        }
        const hasLines = delta.filter(op => typeof op.insert === 'string' && op.insert.includes('\n')).length > 0;
        let length = delta.length();
        if (hasLines) {
            // check the boundaries to see if they can be merged with the current line or need to make a new line
            let lines = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Line.fromDelta(delta, doc.byId);
            delta = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Line.toDelta(lines);
            length = delta.length();
            const startLine = doc.getLineAt(at);
            const endLine = doc.getLineAt(to);
            const startAttrs = getAttributes(startLine);
            const endAttrs = startLine === endLine ? startAttrs : getAttributes(endLine);
            // plain text should merge better with the existing content
            if (!html) {
                lines = lines.map(line => ({ ...line, attributes: startLine.attributes }));
                if (startAttrs !== endAttrs)
                    lines[lines.length - 1].attributes = endLine.attributes;
            }
            const pastedStartLine = lines[0];
            const pastedStartAttrs = getAttributes(pastedStartLine);
            const pastedEndLine = lines[lines.length - 1];
            const pastedEndAttrs = pastedStartLine === pastedEndLine ? pastedStartAttrs : getAttributes(pastedEndLine);
            if (at !== doc.getLineRange(startLine)[0] && !(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(startAttrs, pastedStartAttrs, ignoreId)) {
                delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta().insert('\n', startAttrs).concat(delta);
                length++;
            }
            const lastInsert = delta.ops[delta.ops.length - 1].insert;
            const endsInNewline = typeof lastInsert === 'string' && lastInsert.endsWith('\n');
            // Does the last line of a multi-line paste merge with the last line?
            if (endsInNewline && to !== doc.getLineRange(endLine)[1] && (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(endAttrs, pastedEndAttrs, ignoreId)) {
                // Remove the trailing newline to merge with the last line
                delta = delta.slice(0, --length);
                // If a multi-line paste is inserted at the end of a line, delete the line's newline and let the inserted one take
            }
            else if (endsInNewline && to === doc.getLineRange(endLine)[1] - 1) {
                delta.delete(1);
                length--;
            }
        }
        const viewEvent = new PasteEvent('paste', { delta, html, text, cancelable: true });
        editor.dispatchEvent(viewEvent);
        delta = viewEvent.delta;
        if (!viewEvent.defaultPrevented) {
            if (delta && delta.ops.length) {
                const change = editor.change.delete(selection, hasLines ? dontFixNewline : undefined);
                change.insertContent(at, delta).select(at + length);
                editor.update(change, _Source__WEBPACK_IMPORTED_MODULE_2__.Source.paste);
            }
            else if (at !== to) {
                editor.delete([at, to]);
            }
        }
    }
    function onPaste(event) {
        if (!editor.enabled || !editor.doc.selection || event.defaultPrevented)
            return;
        event.preventDefault();
        const dataTransfer = event.clipboardData;
        const { doc } = editor;
        if (!dataTransfer || !doc.selection)
            return;
        const html = dataTransfer.getData('text/html');
        const text = dataTransfer.getData('text/plain');
        paste({ text, html });
    }
    return {
        commands: {
            paste,
        },
        init() {
            editor.root.addEventListener('paste', onPaste);
        },
        destroy() {
            editor.root.removeEventListener('paste', onPaste);
        }
    };
}
function getAttributes(line) {
    const { id, ...attributes } = line.attributes;
    return attributes;
}


/***/ }),

/***/ "./src/modules/placeholder.ts":
/*!************************************!*\
  !*** ./src/modules/placeholder.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "placeholder": () => (/* binding */ placeholder)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");

/**
 * Set placeholder text in the editable area when there is no content. Then add the css:
 *
 * ```css
 * .placeholder {
 *   position: relative;
 * }
 * .placeholder::before {
 *   content: attr(data-placeholder);
 *   position: absolute;
 *   left: 0;
 *   right: 0;
 *   opacity: 0.5;
 * }
 * ```
 */
function placeholder(placeholder, options) {
    return (editor) => {
        function onDecorate({ doc }) {
            const decorator = editor.modules.decorations.getDecorator('placeholder');
            const text = (typeof placeholder === 'function' ? placeholder() : placeholder) || '';
            let lastDecorations;
            if (decorator.hasDecorations()) {
                const ops = decorator.getDecoration().ops;
                const last = ops[ops.length - 1];
                lastDecorations = last.attributes?.decoration?.placeholder;
            }
            const { lines } = editor.typeset;
            const type = lines.findByAttributes(doc.lines[0]?.attributes, true);
            const showPlaceholder = lines.default === type && doc.length === 1;
            if (showPlaceholder || options?.keepAttribute) {
                const attributes = { 'data-placeholder': text || '' };
                if (showPlaceholder)
                    attributes.class = 'placeholder';
                if (!(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(attributes, lastDecorations)) {
                    decorator.remove();
                    decorator.decorateLine(0, attributes).apply();
                }
            }
            else {
                decorator.remove();
            }
        }
        editor.addEventListener('decorate', onDecorate);
        return {
            destroy() {
                editor.removeEventListener('decorate', onDecorate);
            }
        };
    };
}


/***/ }),

/***/ "./src/modules/rendering.ts":
/*!**********************************!*\
  !*** ./src/modules/rendering.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "rendering": () => (/* binding */ rendering)
/* harmony export */ });
/* harmony import */ var _rendering_rendering__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../rendering/rendering */ "./src/rendering/rendering.ts");

function rendering(editor) {
    editor.on('change', onChange);
    function render(what) {
        if (!what) {
            const { doc } = editor.modules.decorations || editor;
            (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_0__.render)(editor, doc);
        }
        else {
            const { doc, old } = what;
            if (old && doc) {
                (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_0__.renderChanges)(editor, old, doc);
            }
            else if (doc) {
                (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_0__.render)(editor, doc);
            }
        }
    }
    function onChange(event) {
        const { doc, old } = editor.modules.decorations || event;
        if (old.lines !== doc.lines) {
            (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_0__.renderChanges)(editor, old, doc);
        }
    }
    return {
        render,
        destroy() {
            editor.off('change', onChange);
        }
    };
}


/***/ }),

/***/ "./src/modules/selection.ts":
/*!**********************************!*\
  !*** ./src/modules/selection.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "selection": () => (/* binding */ selection)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_selection__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../rendering/selection */ "./src/rendering/selection.ts");
/* harmony import */ var _rendering_rendering__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../rendering/rendering */ "./src/rendering/rendering.ts");



function selection(editor) {
    let rootDocument;
    let rootWindow;
    let paused = false;
    function onSelectionChange() {
        if (!editor.enabled)
            return;
        const selection = (0,_rendering_selection__WEBPACK_IMPORTED_MODULE_1__.getSelection)(editor);
        const originalSelection = selection?.slice() || null;
        if (!selection && paused)
            return;
        if (paused)
            paused = false;
        if (selection) {
            if (selection[0] === selection[1] && selection[0] === editor.doc.length) {
                selection[0]--;
            }
            let line = editor.doc.getLineAt(selection[0]);
            let type = editor.typeset.lines.findByAttributes(line.attributes, true);
            if (selection && selection[0] === selection[1] && editor.doc.selection && editor.doc.selection[0] === selection[0] && editor.doc.selection[1] === selection[0] + 1) {
                // Allow a frozen line (e.g. hr) to move the cursor left with a left arrow key
                if (type.frozen) {
                    selection[0]--;
                    selection[1]--;
                }
                line = editor.doc.getLineAt(selection[0]);
                type = editor.typeset.lines.findByAttributes(line.attributes, true);
            }
            if (type.frozen && selection[0] === selection[1]) {
                selection[1]++;
            }
        }
        const { doc } = editor;
        if (!(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(doc.selection, selection)) {
            if (selection && selection[0] === selection[1] && selection[0] >= doc.length) {
                return; // Assuming this is a text composition at the end of the document, allow the entry
            }
            editor.select(selection);
        }
        else if (!(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(originalSelection, selection)) {
            (0,_rendering_selection__WEBPACK_IMPORTED_MODULE_1__.setSelection)(editor, selection);
        }
    }
    function renderSelection() {
        if (paused || !editor.enabled)
            return;
        (0,_rendering_selection__WEBPACK_IMPORTED_MODULE_1__.setSelection)(editor, editor.doc.selection);
    }
    function onDecorate() {
        const { doc, typeset: { lines } } = editor;
        const decorator = editor.modules.decorations.getDecorator('selection');
        decorator.clear();
        const selection = doc.selection;
        if (selection) {
            doc.getLinesAt(selection).forEach(line => {
                if (lines.findByAttributes(line.attributes, true).frozen) {
                    const focused = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(selection, doc.getLineRange(line));
                    decorator.decorateLine(doc.getLineRange(line)[0], { class: 'selected' + (focused ? ' focus' : '') });
                }
            });
        }
        decorator.apply();
    }
    function onMouseDown(event) {
        // Helps select lines that are not easily selectable (e.g. <hr>)
        let node = event.target;
        while (node.parentNode && node.parentNode !== editor.root)
            node = node.parentNode;
        const start = (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_2__.getLineNodeStart)(editor.root, node);
        const line = start != null && editor.doc.getLineAt(start);
        const type = line && editor.typeset.lines.findByAttributes(line.attributes);
        if (start != null && line && type && type.frozen) {
            event.preventDefault();
            editor.select([start, start + line.length]);
        }
    }
    function onChange(event) {
        const selection = event.doc?.selection || editor.doc.selection;
        (0,_rendering_selection__WEBPACK_IMPORTED_MODULE_1__.setSelection)(editor, selection);
    }
    function onWindowFocus() {
        editor.root.classList.toggle('window-inactive', !rootDocument.hasFocus());
    }
    function pause() {
        paused = true;
        const { selection } = editor.doc;
        const { decorations } = editor.modules;
        if (selection && selection[0] !== selection[1] && decorations) {
            const decorator = decorations.getDecorator('pausedSelection');
            decorator.decorateText(selection, { class: 'selected' }).apply();
        }
    }
    function resume() {
        paused = false;
        const { decorations } = editor.modules;
        if (decorations) {
            decorations.removeDecorations('pausedSelection');
        }
        setTimeout(renderSelection);
    }
    return {
        pause,
        resume,
        renderSelection,
        init() {
            rootDocument = editor.root.ownerDocument;
            rootWindow = rootDocument.defaultView;
            rootDocument.addEventListener('selectionchange', onSelectionChange);
            rootWindow.addEventListener('focus', onWindowFocus);
            rootWindow.addEventListener('blur', onWindowFocus);
            editor.root.addEventListener('mousedown', onMouseDown);
            editor.on('change', onChange);
            editor.on('decorate', onDecorate);
        },
        destroy() {
            rootDocument.removeEventListener('selectionchange', onSelectionChange);
            rootWindow.removeEventListener('focus', onWindowFocus);
            rootWindow.removeEventListener('blur', onWindowFocus);
            editor.root.removeEventListener('mousedown', onMouseDown);
            editor.off('change', onChange);
            editor.off('decorate', onDecorate);
            paused = false;
            rootDocument = null;
            rootWindow = null;
        }
    };
}
;


/***/ }),

/***/ "./src/modules/shortcutFromEvent.ts":
/*!******************************************!*\
  !*** ./src/modules/shortcutFromEvent.ts ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ShortcutEvent": () => (/* binding */ ShortcutEvent),
/* harmony export */   "addShortcutsToEvent": () => (/* binding */ addShortcutsToEvent),
/* harmony export */   "shortcutFromEvent": () => (/* binding */ shortcutFromEvent)
/* harmony export */ });
const modifierKeys = {
    Control: true,
    Meta: true,
    Shift: true,
    Alt: true
};
const isMac = navigator.userAgent.indexOf('Macintosh') !== -1;
const modExpr = isMac ? /Cmd/ : /Ctrl/;
class ShortcutEvent extends KeyboardEvent {
    constructor(type, init) {
        super(type, init);
        this.shortcut = init?.shortcut || '';
        this.osShortcut = `${isMac ? 'mac' : 'win'}:${this.shortcut}`;
        this.modShortcut = this.shortcut.replace(modExpr, 'Mod');
    }
    static fromKeyboardEvent(event) {
        event.shortcut = shortcutFromEvent(event);
        return new ShortcutEvent('shortcut', event);
    }
}
function addShortcutsToEvent(event) {
    event.shortcut = shortcutFromEvent(event);
    event.osShortcut = `${isMac ? 'mac' : 'win'}:${event.shortcut}`;
    event.modShortcut = event.shortcut.replace(modExpr, 'Mod');
    return event;
}
/**
 * Returns the textual representation of a shortcut given a keyboard event. Examples of shortcuts:
 * Cmd+L
 * Cmd+Shift+M
 * Ctrl+O
 * Backspace
 * T
 * Right
 * Shift+Down
 * Shift+F1
 * Space
 */
function shortcutFromEvent(event) {
    const shortcutArray = [];
    let key = event.key;
    if (!key)
        return '';
    if (key === ' ')
        key = 'Space';
    if (event.metaKey)
        shortcutArray.push('Cmd');
    if (event.ctrlKey)
        shortcutArray.push('Ctrl');
    if (event.altKey)
        shortcutArray.push('Alt');
    if (event.shiftKey)
        shortcutArray.push('Shift');
    if (!modifierKeys[key]) {
        if (isMac && event.altKey && event.code && event.code.startsWith('Key')) {
            // The altKey on mac can change the key value (e.g. Cmd+Alt+R will show up as Cmd+Alt+® if we don't do this)
            key = event.code.replace('Key', '');
        }
        // a and A, b and B, should be the same shortcut
        if (key.length === 1)
            key = key.toUpperCase();
        shortcutArray.push(key);
    }
    return shortcutArray.join('+');
}


/***/ }),

/***/ "./src/modules/smartEntry.ts":
/*!***********************************!*\
  !*** ./src/modules/smartEntry.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "defaultHandlers": () => (/* binding */ defaultHandlers),
/* harmony export */   "lineReplace": () => (/* binding */ lineReplace),
/* harmony export */   "lineReplacements": () => (/* binding */ lineReplacements),
/* harmony export */   "linkReplace": () => (/* binding */ linkReplace),
/* harmony export */   "linkReplacements": () => (/* binding */ linkReplacements),
/* harmony export */   "markReplace": () => (/* binding */ markReplace),
/* harmony export */   "markReplacements": () => (/* binding */ markReplacements),
/* harmony export */   "smartEntry": () => (/* binding */ smartEntry),
/* harmony export */   "textReplace": () => (/* binding */ textReplace),
/* harmony export */   "textReplacements": () => (/* binding */ textReplacements)
/* harmony export */ });
const httpExpr = /(https?:\/\/.)[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b[-a-zA-Z0-9@:%_+.~#?&/=]*\s$/s;
const wwwExpr = /(www\.)[-a-zA-Z0-9@:%._\+~#=]{2,256}\.[a-z]{2,6}\b[-a-zA-Z0-9@:%_+.~#?&/=]*\s$/s;
const nakedExpr = /[-a-zA-Z0-9@:%._\+~#=]{2,256}\.(com|org|net|io)\b[-a-zA-Z0-9@:%_+.~#?&/=]*\s$/s;
/**
 * A list of [ RegExp, Function ] tuples to convert text into a formatted line with the attributes returned by the
 * function. The function's argument will be the captured text from the regular expression.
 */
const lineReplacements = [
    [/^(#{1,6}) $/, capture => ({ header: capture.length })],
    [/^\* $/, (_, { indent }) => ({ list: 'bullet', indent })],
    [/^- $/, (_, { indent }) => ({ list: 'bullet', type: 'dash', indent })],
    [/^1\. $/, (_, { indent }) => ({ list: 'ordered', indent })],
    [/^([AaIi])\. $/, (type, { indent }) => ({ list: 'ordered', type, indent })],
    [/^(-?\d+)\. $/, (start, { indent }) => ({ list: 'ordered', start, indent })],
    [/^([A-Z])\. $/, (char, { indent }) => ({ list: 'ordered', type: 'A', indent, start: char === 'A' ? undefined : char.charCodeAt(0) - 'A'.charCodeAt(0) + 1 })],
    [/^([a-z])\. $/, (char, { indent }) => ({ list: 'ordered', type: 'a', indent, start: char === 'a' ? undefined : char.charCodeAt(0) - 'a'.charCodeAt(0) + 1 })],
    [/^([IVXLCDM]+)\. $/i, (chars, { indent }) => ({ list: 'ordered', type: chars[0].toUpperCase() === chars[0] ? 'I' : 'i', indent, start: chars.toUpperCase() === 'I' ? undefined : fromRomanNumeral(chars) })],
    [/^> $/, () => ({ blockquote: true })],
];
/**
 * A list of [ RegExp, Function ] tuples to convert text into formatted text with the attributes returned by the
 * function. The function's argument will be the captured text from the regular expression.
 */
const markReplacements = [
    [/(\*|_){3}(\b(?:(?!\1).)+\b)\1{3}((?:(?!\1).))$/s, () => ({ bold: true, italic: true })],
    [/(\*|_){2}(\b(?:(?!\1).)+\b)\1{2}((?:(?!\1).))$/s, () => ({ bold: true })],
    [/(\*|_){1}(\b(?:(?!\1).)+\b)\1{1}((?:(?!\1).))$/s, () => ({ italic: true })],
];
const linkReplacements = [
    [httpExpr, capture => ({ link: capture })],
    [wwwExpr, capture => ({ link: 'https://' + capture })],
    [nakedExpr, capture => ({ link: 'https://' + capture })],
];
/**
 * A list of [ RegExp, Function ] tuples to convert text into another string of text which is returned by the function.
 * The function's argument will be the captured text from the regular expression.
 */
const textReplacements = [
    [/--$/, () => '—'],
    [/(\S - \S)$/, (_) => _.replace('-', '–')],
    [/\.\.\.$/, () => '…'],
];
/**
 * Allow text representations to format a line
 */
function lineReplace(editor, index, prefix) {
    return lineReplacements.some(([regexp, getAttributes]) => {
        const match = prefix.match(regexp);
        if (match) {
            const attributes = getAttributes(match[1], editor.doc.getLineFormat(index));
            if (!editor.typeset.lines.findByAttributes(attributes)) {
                return false;
            }
            const start = index - prefix.length;
            const change = editor.change
                .delete([start, index])
                .formatLine(index, attributes)
                .select([start, start]);
            editor.update(change);
            return true;
        }
        else {
            return false;
        }
    });
}
function linkReplace(editor, index, prefix) {
    return linkReplacements.some(([regexp, getAttributes]) => {
        const match = prefix.match(regexp);
        if (match) {
            let text = match[0].slice(0, -1);
            if (text[text.length - 1] === '.')
                text = text.slice(0, -1);
            const end = index - (match[0].length - text.length);
            const attributes = getAttributes(text, editor.doc.getTextFormat(index));
            if (!editor.typeset.formats.findByAttributes(attributes)) {
                return false;
            }
            editor.formatText(attributes, [end - text.length, end]);
            return true;
        }
        else {
            return false;
        }
    });
}
function markReplace(editor, index, prefix, wholeText) {
    return markReplacements.some(([regexp, getAttributes]) => {
        const match = prefix.match(regexp);
        if (match) {
            let [text, _, matched, last] = match;
            const attributes = getAttributes(matched, editor.doc.getTextFormat(index));
            if (!editor.typeset.formats.findByAttributes(attributes)) {
                return false;
            }
            let selection = index - (text.length - matched.length) + last.length;
            if (last === ' ' && wholeText[index] === ' ')
                last = '';
            const end = index - last.length;
            editor.insert(matched, attributes, [end - text.length + last.length, end]);
            return true;
        }
        else {
            return false;
        }
    });
}
function textReplace(editor, index, prefix) {
    return textReplacements.some(([regexp, replaceWith]) => {
        const match = prefix.match(regexp);
        if (match) {
            editor.insert(replaceWith(match[1]), undefined, [index - match[0].length, index]);
            return true;
        }
        else {
            return false;
        }
    });
}
const defaultHandlers = [lineReplace, textReplace, linkReplace];
function smartEntry(handlers = defaultHandlers) {
    return (editor) => {
        let ignore = false;
        function onTextChange({ change, source }) {
            if (ignore || source === 'api' || !editor.doc.selection || !change || !isTextEntry(change.delta))
                return;
            const index = editor.doc.selection[1];
            const text = editor.doc.getText();
            const lineStart = text.lastIndexOf('\n', index - 2) + 1;
            const prefix = text.slice(lineStart, index);
            ignore = true;
            handlers.some(handler => handler(editor, index, prefix, text));
            ignore = false;
        }
        editor.on('changed', onTextChange);
        return {
            destroy() {
                editor.off('changed', onTextChange);
            }
        };
    };
}
function isTextEntry(change) {
    return (change.ops.length === 1 ||
        (change.ops.length === 2 && change.ops[0].retain && !change.ops[0].attributes)) &&
        change.ops[change.ops.length - 1].insert; // &&
    // change.ops[change.ops.length - 1].insert !== '\n';
}
const DIGIT_VALUES = {
    I: 1,
    V: 5,
    X: 10,
    L: 50,
    C: 100,
    D: 500,
    M: 1000
};
function fromRomanNumeral(romanNumeral) {
    romanNumeral = romanNumeral.toUpperCase();
    let result = 0;
    for (let i = 0; i < romanNumeral.length; i++) {
        const currentLetter = DIGIT_VALUES[romanNumeral[i]];
        const nextLetter = DIGIT_VALUES[romanNumeral[i + 1]];
        if (currentLetter === undefined)
            return undefined;
        if (currentLetter < nextLetter) {
            result += nextLetter - currentLetter;
            i++;
        }
        else {
            result += currentLetter;
        }
    }
    ;
    return result;
}


/***/ }),

/***/ "./src/modules/smartQuotes.ts":
/*!************************************!*\
  !*** ./src/modules/smartQuotes.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "smartQuotes": () => (/* binding */ smartQuotes)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");

const straitQuotes = /['"]/g;
const nonchar = /[\s\{\[\(\<'"\u2018\u201C]/;
const conversions = {
    '"': { left: '“', right: '”' },
    "'": { left: '‘', right: '’' },
};
/**
 * Replaces regular quotes with smart quotes as they are typed. Also affects pasted content.
 * Uses the text-changing event to prevent the original change and replace it with the new one. This makes the smart-
 * quotes act more seemlessly and includes them as part of regular text undo/redo instead of breaking it like the smart-
 * entry conversions do.
 */
function smartQuotes(editor) {
    function onTextChange(event) {
        const { change, source, doc, old } = event;
        if (source === 'api' || !old.selection || !change)
            return;
        const indices = getQuoteIndices(change.delta.ops);
        if (!indices.length)
            return;
        const text = doc.getText();
        const convert = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta();
        let pos = 0;
        for (let i = 0; i < indices.length; i++) {
            const [index, attributes] = indices[i];
            const quote = text[index];
            const converted = !index || nonchar.test(text[index - 1]) ? conversions[quote].left : conversions[quote].right;
            convert.retain(index - pos).delete(1).insert(converted, attributes);
            pos = index + 1;
        }
        event.modify(convert);
    }
    editor.on('changing', onTextChange);
    return {
        destroy() {
            editor.off('changing', onTextChange);
        }
    };
}
function getQuoteIndices(ops) {
    const indices = [];
    let pos = 0;
    ops.forEach(op => {
        if (op.retain)
            pos += op.retain;
        else if (typeof op.insert === 'string') {
            let result;
            while ((result = straitQuotes.exec(op.insert))) {
                indices.push([pos + result.index, op.attributes]);
            }
            pos += op.insert.length;
        }
        else if (op.insert) {
            pos += 1;
        } // Delete shouldn't change anything
    });
    return indices;
}


/***/ }),

/***/ "./src/rendering/html.ts":
/*!*******************************!*\
  !*** ./src/rendering/html.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BLOCK_ELEMENTS": () => (/* binding */ BLOCK_ELEMENTS),
/* harmony export */   "cleanText": () => (/* binding */ cleanText),
/* harmony export */   "deltaFromDom": () => (/* binding */ deltaFromDom),
/* harmony export */   "deltaFromHTML": () => (/* binding */ deltaFromHTML),
/* harmony export */   "docFromDom": () => (/* binding */ docFromDom),
/* harmony export */   "docFromHTML": () => (/* binding */ docFromHTML),
/* harmony export */   "docToHTML": () => (/* binding */ docToHTML),
/* harmony export */   "fromNode": () => (/* binding */ fromNode),
/* harmony export */   "inlineToHTML": () => (/* binding */ inlineToHTML),
/* harmony export */   "isBRPlaceholder": () => (/* binding */ isBRPlaceholder)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_rendering__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./rendering */ "./src/rendering/rendering.ts");
/* harmony import */ var _vdom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _walker__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./walker */ "./src/rendering/walker.ts");





// A list of bad characters that we don't want coming in from pasted content (e.g. "\f" aka line feed)
const BLOCK_ELEMENTS = 'address, article, aside, blockquote, editor, dd, div, dl, dt, fieldset, figcaption, figure, footer, form, h1, h2, h3, h4, h5, h6, header, hr, li, main, nav, noscript, ol, output, p, pre, section, table, tfoot, ul, video';
const BAD_CHARS = /[\0-\x09\x0B\x1F\x7F-\x9F\xAD\u0600-\u0605\u061C\u06DD\u070F\u180E\u200B-\u200F\u202A-\u202E\u2060-\u2064\u2066-\u206F\uFEFF\uFFF9-\uFFFB\uE000-\uF8FF]/g;
const SKIP_ELEMENTS = { STYLE: true, SCRIPT: true, LINK: true, META: true, TITLE: true, };
const VOID_ELEMENTS = {
    area: true, base: true, br: true, col: true, embed: true, hr: true, img: true, input: true,
    link: true, meta: true, param: true, source: true, track: true, wbr: true
};
const whitespaceExp = /[ \t\n\r]+/g;
const textsNode = document.createElement('div');
const defaultOptions = {};
// Determines if a <br> in the editable area is part of the document or a doorstop at the end of a line.
function isBRPlaceholder(editor, node) {
    if (node.nodeName !== 'BR')
        return false;
    return isLastNode(editor, node);
}
// Check if this is the last node (not counting empty text nodes)
function isLastNode(editor, node) {
    const containingLine = node.closest && node.closest(editor.typeset.lines.selector);
    if (!containingLine)
        return false;
    const walker = (0,_walker__WEBPACK_IMPORTED_MODULE_3__.createTreeWalker)(containingLine);
    walker.currentNode = node;
    const next = walker.nextNode();
    return !next || next instanceof HTMLElement && next.matches(BLOCK_ELEMENTS);
}
function docToHTML(editor, doc) {
    return (0,_vdom__WEBPACK_IMPORTED_MODULE_2__.patch)(document.createElement('div'), (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_1__.renderDoc)(editor, doc, true)).innerHTML;
}
function inlineToHTML(editor, delta) {
    return (0,_vdom__WEBPACK_IMPORTED_MODULE_2__.patch)(document.createElement('div'), (0,_rendering_rendering__WEBPACK_IMPORTED_MODULE_1__.renderInline)(editor, delta, true)).innerHTML;
}
function docFromHTML(editor, html, selection) {
    return new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(deltaFromHTML(editor, html), selection);
}
function deltaFromHTML(editor, html, options) {
    const parser = new window.DOMParser();
    const doc = parser.parseFromString(html, 'text/html');
    const delta = deltaFromDom(editor, {
        root: doc.body,
        possiblePartial: options?.possiblePartial,
        collapseWhitespace: options?.collapseWhitespace
    });
    cleanText(delta);
    return delta;
}
function docFromDom(editor, root) {
    return new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.TextDocument(deltaFromDom(editor, { root }));
}
// Return a line or multi-line array from the top-level node
function fromNode(editor, dom) {
    const lines = _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Line.fromDelta(deltaFromDom(editor, { root: dom }), editor.doc.byId);
    if (!lines.length)
        return;
    const type = editor.typeset.lines.findByAttributes(lines[0].attributes, true);
    if (type.renderMultiple)
        return lines;
    return lines[0];
}
function cleanText(delta) {
    delta.ops = delta.filter(op => {
        if (typeof op.insert === 'string') {
            op.insert = op.insert.replace(BAD_CHARS, '');
        }
        return !!op.insert || !!op.retain || !!op.delete;
    });
}
function deltaFromDom(editor, options = defaultOptions) {
    const { lines, embeds } = editor.typeset;
    const root = options.root || editor.root;
    const collapseWhitespace = options.collapseWhitespace != undefined ? options.collapseWhitespace : true;
    var walker = (0,_walker__WEBPACK_IMPORTED_MODULE_3__.createTreeWalker)(root, node => !SKIP_ELEMENTS[node.nodeName]);
    const delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta();
    let currentLine, firstLineSeen = false, unknownLine = false, empty = true, node;
    let currentChildLine;
    if (options.startNode) {
        walker.currentNode = options.startNode;
        walker.previousNode();
        if (options.offset)
            delta.retain(options.offset, undefined);
    }
    else {
        walker.currentNode = root;
    }
    while ((node = walker.nextNode())) {
        if (node === options.endNode)
            break;
        if (isBRPlaceholder(editor, node)) {
            empty = false;
        }
        else if (node.nodeName === 'BR' && node.className === 'Apple-interchange-newline') {
            delta.insert('\n', !currentLine || currentLine.unknownLine ? {} : currentLine);
        }
        else if (node.nodeType === Node.TEXT_NODE) {
            let parent = node.parentNode;
            if (node.nodeValue == null)
                continue;
            // If blank text between lines, ignore
            if (!node.nodeValue.replace(/\s+/g, '')) {
                if (node.parentNode === root
                    || (node.previousSibling && lines.matches(node.previousSibling))
                    || (node.nextSibling && lines.matches(node.nextSibling))) {
                    continue;
                }
            }
            const nodeText = node.nodeValue;
            // optionally collapse whitespace (the default)
            const filteredWhitespace = collapseWhitespace ? nodeText.replace(whitespaceExp, ' ') : nodeText;
            // non-breaking spaces (&nbsp;) are spaces
            const text = filteredWhitespace.replace(/\xA0/g, ' ');
            // Word gives us end-of-paragraph nodes with a single space. Ignore them.
            if (!text || (text === ' ' && parent.classList.contains('EOP')))
                continue;
            // Gather up all the formats for this text node, walking up to the line level
            const attributes = gatherFormats(parent, root, editor);
            empty = false;
            delta.insert(text, attributes);
        }
        else if (embeds.matches(node)) {
            const embed = embeds.findByNode(node);
            if (embed) {
                const attributes = gatherFormats(node.parentNode, root, editor);
                if (embed.fromDom !== false) {
                    delta.insert(embed.fromDom ? embed.fromDom(node) : { [embed.name]: true }, attributes);
                }
            }
        }
        else if (lines.matches(node) || (node.nodeType === Node.ELEMENT_NODE && node.matches(BLOCK_ELEMENTS))) {
            unknownLine = !lines.matches(node);
            if (unknownLine) {
                let parent = node.parentNode;
                while (parent && !lines.matches(parent) && parent !== root) {
                    parent = parent.parentNode;
                }
                // If this line element is inside a recognized line, ignore it
                if (parent && parent !== root) {
                    continue;
                }
            }
            const line = lines.findByNode(node, true);
            // Skip paragraphs/divs inside blockquotes and list items etc.
            if (line === lines.default && (!node.parentNode || lines.matches(node.parentNode))) {
                continue;
            }
            // Ensure next iteration skips any internal nodes in a frozen line
            if (line.frozen) {
                // Skip to the last child in this node so that .nextNode() will move on to outside this frozen line
                while (walker.lastChild())
                    ;
            }
            if (currentChildLine) {
                delta.insert('\t', currentChildLine);
                currentChildLine = null;
            }
            if (!line.child) {
                if (firstLineSeen) {
                    if (!currentLine || !currentLine.unknownLine || !empty) {
                        delta.insert('\n', !currentLine || currentLine.unknownLine ? {} : currentLine);
                        empty = true;
                    }
                }
                else {
                    firstLineSeen = true;
                }
            }
            if (unknownLine) {
                currentLine = { unknownLine };
            }
            else if (line && line !== lines.default) {
                const attrs = line.fromDom ? line.fromDom(node) : { [line.name]: true };
                if (line.child) {
                    currentChildLine = attrs;
                }
                else {
                    currentLine = attrs;
                }
            }
            else {
                currentLine = {};
            }
            if (!line.child && options.includeIds && node.key) {
                currentLine.id = node.key;
            }
        }
    }
    // Delta documents should always end with a newline, unless they are partial documents
    if (!unknownLine || !empty) {
        if (firstLineSeen || !options.possiblePartial) {
            delta.insert('\n', !currentLine || currentLine.unknownLine ? {} : currentLine);
        }
    }
    return delta;
}
// Walk up the DOM to the closest parent, finding formats
function gatherFormats(parent, root, editor) {
    const { lines, formats } = editor.typeset;
    const attributes = {};
    while (parent && !lines.matches(parent) && parent !== root) {
        if (formats.matches(parent)) {
            const format = formats.findByNode(parent);
            if (format && format.fromDom !== false) {
                attributes[format.name] = format.fromDom ? format.fromDom(parent) : true;
            }
        }
        else if (parent.hasAttribute('style')) {
            formats.list.forEach(format => {
                if (format.styleSelector && parent.matches(format.styleSelector)) {
                    attributes[format.name] = format.fromDom ? format.fromDom(parent) : true;
                }
            });
        }
        parent = parent.parentNode;
    }
    return attributes;
}


/***/ }),

/***/ "./src/rendering/position.ts":
/*!***********************************!*\
  !*** ./src/rendering/position.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getBoudingBrowserRange": () => (/* binding */ getBoudingBrowserRange),
/* harmony export */   "getBrowserRange": () => (/* binding */ getBrowserRange),
/* harmony export */   "getIndexFromNode": () => (/* binding */ getIndexFromNode),
/* harmony export */   "getIndexFromNodeAndOffset": () => (/* binding */ getIndexFromNodeAndOffset),
/* harmony export */   "getIndexFromPoint": () => (/* binding */ getIndexFromPoint),
/* harmony export */   "getLineElementAt": () => (/* binding */ getLineElementAt),
/* harmony export */   "getLineInfoFromPoint": () => (/* binding */ getLineInfoFromPoint),
/* harmony export */   "getNodeAndOffset": () => (/* binding */ getNodeAndOffset),
/* harmony export */   "getNodeLength": () => (/* binding */ getNodeLength),
/* harmony export */   "getNodesForRange": () => (/* binding */ getNodesForRange),
/* harmony export */   "textNodeLength": () => (/* binding */ textNodeLength)
/* harmony export */ });
/* harmony import */ var _rendering__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./rendering */ "./src/rendering/rendering.ts");
/* harmony import */ var _html__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./html */ "./src/rendering/html.ts");
/* harmony import */ var _walker__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./walker */ "./src/rendering/walker.ts");



const EMPTY_NODE_OFFSET = [null, 0];
function getIndexFromPoint(editor, x, y) {
    const document = editor.root.ownerDocument;
    if ('caretPositionFromPoint' in document) {
        try {
            const pos = document.caretPositionFromPoint(x, y);
            if (pos) {
                return getIndexFromNodeAndOffset(editor, pos.offsetNode, pos.offset);
            }
        }
        catch (_) { }
    }
    if (document.caretRangeFromPoint) {
        const range = document.caretRangeFromPoint(x, y);
        if (range) {
            return getIndexFromNodeAndOffset(editor, range.startContainer, range.startOffset);
        }
    }
    return null;
}
// Return the line that matches a point and true if the point comes after the midpoint of the line display
function getLineInfoFromPoint(editor, y) {
    const { root } = editor;
    if (!root.ownerDocument)
        return;
    const lineElements = Array.from(root.querySelectorAll(editor.typeset.lines.selector))
        .filter(elem => elem.key);
    const last = lineElements[lineElements.length - 1];
    for (const element of lineElements) {
        const rect = element.getBoundingClientRect();
        if (rect.bottom >= y || element === last) {
            const line = editor.doc.getLineBy(element.key);
            return { line, element, rect, belowMid: y > rect.top + rect.height / 2 };
        }
    }
}
// Get a browser range object for the given editor range tuple
function getBrowserRange(editor, range) {
    if (range[0] > range[1])
        range = [range[1], range[0]];
    const [anchorNode, anchorOffset, focusNode, focusOffset] = getNodesForRange(editor, range);
    const browserRange = editor.root.ownerDocument.createRange();
    if (anchorNode && focusNode) {
        browserRange.setStart(anchorNode, anchorOffset);
        browserRange.setEnd(focusNode, focusOffset);
    }
    return browserRange;
}
function getBoudingBrowserRange(editor, range) {
    const browserRange = getBrowserRange(editor, range);
    if (browserRange?.endContainer.nodeType === Node.ELEMENT_NODE) {
        try {
            browserRange.setEnd(browserRange.endContainer, browserRange.endOffset + 1);
        }
        catch (e) { }
    }
    return browserRange;
}
function getIndexFromNodeAndOffset(editor, node, offset, current) {
    const { root } = editor;
    const { lines } = editor.typeset;
    if (!root.contains(node)) {
        return -1;
    }
    if (node.nodeType === Node.ELEMENT_NODE) {
        if (node.childNodes.length === offset) {
            if ((0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeEnd)(root, node) != null)
                return (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeEnd)(root, node) - 1;
            if (node.childNodes.length) {
                node = node.childNodes[offset - 1];
                offset = getNodeLength(editor, node);
            }
        }
        else {
            node = node.childNodes[offset];
            offset = 0;
        }
        const start = (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeStart)(root, node);
        if (start != null) {
            // If the node is frozen, we are getting the index of the start of the node (e.g. <hr>)
            if (lines.findByNode(node)?.frozen) {
                return start + offset;
            }
            // Otherwise the selection fell between line nodes, if we came from before, we will go inside, if we came from inside, we will skip to before
            return (current == null || current < start ? start : start - 1) + offset;
        }
    }
    return getIndexFromNode(editor, node) + offset;
}
// Get the index the node starts at in the content
function getIndexFromNode(editor, startNode) {
    const { root } = editor;
    if (!root.ownerDocument)
        return -1;
    const { lines, embeds } = editor.typeset;
    const walker = (0,_walker__WEBPACK_IMPORTED_MODULE_2__.createTreeWalker)(root);
    walker.currentNode = startNode;
    let node;
    let index = 0;
    let start;
    while ((node = walker.previousNode())) {
        if (node === root)
            break;
        else if ((start = (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeStart)(root, node)) != null) {
            index += start;
            break;
        }
        else if (node.nodeType === Node.TEXT_NODE)
            index += textNodeLength(lines, node);
        else if (node.classList?.contains('decoration'))
            index;
        else if (embeds.matches(node) && !(0,_html__WEBPACK_IMPORTED_MODULE_1__.isBRPlaceholder)(editor, node))
            index++;
        else if (lines.matches(node) && !node.contains(startNode))
            index++;
    }
    return index;
}
function getLineElementAt(editor, index) {
    const { root } = editor;
    if (!root.ownerDocument)
        return;
    const lineNodes = Array.from(root.querySelectorAll(editor.typeset.lines.selector));
    return lineNodes.find((line) => (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeStart)(root, line) <= index && (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeEnd)(root, line) > index);
}
function getNodeLength(editor, parentNode) {
    const { lines, embeds } = editor.typeset;
    if (embeds.matches(parentNode) && !(0,_html__WEBPACK_IMPORTED_MODULE_1__.isBRPlaceholder)(editor, parentNode)) {
        return 1;
    }
    if (parentNode.nodeType === Node.TEXT_NODE)
        return textNodeLength(lines, parentNode);
    const walker = (0,_walker__WEBPACK_IMPORTED_MODULE_2__.createTreeWalker)(parentNode);
    let length = lines.findByNode(parentNode) ? 1 : 0, node;
    while (node = walker.nextNode()) {
        if (node.nodeType === Node.TEXT_NODE)
            length += textNodeLength(lines, node);
        else if (node.classList?.contains('decoration'))
            length;
        else if (embeds.matches(node) && !(0,_html__WEBPACK_IMPORTED_MODULE_1__.isBRPlaceholder)(editor, node))
            length++;
        else if (lines.matches(node))
            length++;
    }
    return length;
}
// Get the browser nodes and offsets for the range (a tuple of indexes) of this view
function getNodesForRange(editor, range) {
    if (range == null) {
        return [null, 0, null, 0];
    }
    else {
        const anchorFirst = range[0] <= range[1];
        const direction = anchorFirst ? 1 : -1;
        const isCollapsed = range[0] === range[1];
        const [anchorNode, anchorOffset, frozen] = getNodeAndOffset(editor, range[0], anchorFirst ? 0 : 1);
        const [focusNode, focusOffset] = isCollapsed && !frozen
            ? [anchorNode, anchorOffset]
            : frozen && (isCollapsed || range[1] - range[0] === direction * editor.doc.getLineAt(range[0]).length)
                ? [anchorNode, anchorOffset + (anchorFirst ? 1 : -1)]
                : getNodeAndOffset(editor, range[1], anchorFirst ? 1 : 0);
        return [anchorNode, anchorOffset, focusNode, focusOffset];
    }
}
function getNodeAndOffset(editor, index, direction) {
    const { root } = editor;
    if (!root.ownerDocument)
        return EMPTY_NODE_OFFSET;
    const { lines, embeds } = editor.typeset;
    const childNodes = Array.from(root.childNodes);
    const line = getLineElementAt(editor, index);
    if (!line)
        return EMPTY_NODE_OFFSET;
    const type = lines.findByNode(line, true);
    if (type.frozen) {
        return [line.parentNode, childNodes.indexOf(line) + direction, true];
    }
    index -= (0,_rendering__WEBPACK_IMPORTED_MODULE_0__.getLineNodeStart)(root, line);
    const atStart = !index;
    const walker = (0,_walker__WEBPACK_IMPORTED_MODULE_2__.createTreeWalker)(line);
    let node, firstLineSeen = false;
    while ((node = walker.nextNode())) {
        if (node.nodeType === Node.TEXT_NODE) {
            const size = textNodeLength(lines, node);
            if (index <= size)
                return [node, index];
            index -= size;
        }
        else if (node.classList?.contains('decoration')) {
        }
        else if (embeds.matches(node) && !(0,_html__WEBPACK_IMPORTED_MODULE_1__.isBRPlaceholder)(editor, node)) {
            const embed = embeds.findByNode(node);
            if (!embed || embed.fromDom === false) {
                continue;
            }
            index -= 1;
            // If the selection lands after this embed, and the next node isn't a text node, place the selection
            if (index <= 0) {
                const children = Array.from(node.parentNode.childNodes);
                return [node.parentNode, children.indexOf(node) + 1 + index];
            }
        }
        else if (lines.matches(node)) {
            if (firstLineSeen)
                index -= 1;
            else
                firstLineSeen = true;
            // If the selection lands at the beginning of a line, and the first node isn't a text node, place the selection
            if (index === 0) {
                const first = walker.firstChild();
                if (first && first.nodeType === Node.TEXT_NODE) {
                    return [first, 0];
                }
                else if (first) {
                    const children = Array.from(node.childNodes);
                    return [node, children.indexOf(first)];
                }
                else {
                    return [node, 0];
                }
            }
        }
    }
    return atStart ? [line, 0] : EMPTY_NODE_OFFSET;
}
function textNodeLength(lines, node) {
    const value = node.nodeValue || '';
    if (value.trim() || !(lines.matches(node.previousSibling) || lines.matches(node.nextSibling))) {
        return value.length;
    }
    return 0;
}


/***/ }),

/***/ "./src/rendering/rendering.ts":
/*!************************************!*\
  !*** ./src/rendering/rendering.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "combineLines": () => (/* binding */ combineLines),
/* harmony export */   "getChangedRanges": () => (/* binding */ getChangedRanges),
/* harmony export */   "getLineNodeEnd": () => (/* binding */ getLineNodeEnd),
/* harmony export */   "getLineNodeStart": () => (/* binding */ getLineNodeStart),
/* harmony export */   "render": () => (/* binding */ render),
/* harmony export */   "renderChanges": () => (/* binding */ renderChanges),
/* harmony export */   "renderCombined": () => (/* binding */ renderCombined),
/* harmony export */   "renderDoc": () => (/* binding */ renderDoc),
/* harmony export */   "renderInline": () => (/* binding */ renderInline),
/* harmony export */   "renderLine": () => (/* binding */ renderLine),
/* harmony export */   "renderMultiLine": () => (/* binding */ renderMultiLine),
/* harmony export */   "renderSingleLine": () => (/* binding */ renderSingleLine),
/* harmony export */   "setLineNodesRanges": () => (/* binding */ setLineNodesRanges)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _vdom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _modules_decorations__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../modules/decorations */ "./src/modules/decorations.ts");



const EMPTY_ARR = [];
const BR = (0,_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('br', {});
const nodeFormatType = new WeakMap();
const linesType = new WeakMap();
const linesMultiples = new WeakMap();
const linesCombined = new WeakMap();
const nodeRanges = new WeakMap();
function getLineNodeStart(root, node) {
    return nodeRanges.get(root)?.get(node)?.[0];
}
function getLineNodeEnd(root, node) {
    return nodeRanges.get(root)?.get(node)?.[1];
}
function setLineNodesRanges(editor) {
    const { root, doc } = editor;
    const combined = combineLines(editor, doc.lines);
    const ranges = new WeakMap();
    for (let i = 0; i < root.children.length; i++) {
        const child = root.children[i];
        if (!child.key)
            continue;
        const entry = combined.byKey[child.key];
        if (!entry)
            continue;
        if (Array.isArray(entry)) {
            // set the range for the entire combined section
            ranges.set(child, [doc.getLineRange(entry[0])[0], doc.getLineRange(entry[entry.length - 1])[1]]);
            // set the ranges for each line inside
            const lineElements = child.querySelectorAll(editor.typeset.lines.selector);
            for (let i = 0; i < lineElements.length; i++) {
                const lineElement = lineElements[i];
                const line = doc.getLineBy(lineElement.key);
                if (!line)
                    continue;
                ranges.set(lineElement, doc.getLineRange(line));
            }
        }
        else {
            ranges.set(child, doc.getLineRange(entry));
        }
    }
    const lineElements = root.querySelectorAll(editor.typeset.lines.selector);
    for (let i = 0; i < lineElements.length; i++) {
        const lineElement = lineElements[i];
        if (ranges.has(lineElement) || !lineElement.key)
            continue;
        const line = doc.getLineBy(lineElement.key);
        ranges.set(lineElement, doc.getLineRange(line));
    }
    nodeRanges.set(root, ranges);
}
function render(editor, doc) {
    const { root } = editor;
    editor.dispatchEvent(new Event('rendering'));
    (0,_vdom__WEBPACK_IMPORTED_MODULE_1__.patch)(root, renderDoc(editor, doc));
    setLineNodesRanges(editor);
    editor.dispatchEvent(new Event('render'));
    editor.dispatchEvent(new Event('rendered'));
}
function renderChanges(editor, oldDoc, newDoc) {
    const { root } = editor;
    // Ranges of line indexes, not document indexes
    const oldCombined = combineLines(editor, oldDoc.lines).combined;
    const newCombined = combineLines(editor, newDoc.lines).combined;
    const [oldRange, newRange] = getChangedRanges(oldCombined, newCombined);
    // If the changes include added or deleted lines, expand ranges by 1 on each side to ensure the vdom can rerender
    if (!(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(oldRange, newRange)) {
        oldRange[0] = Math.max(0, oldRange[0] - 1);
        newRange[0] = Math.max(0, newRange[0] - 1);
        oldRange[1] = Math.min(oldCombined.length, oldRange[1] + 1);
        newRange[1] = Math.min(newCombined.length, newRange[1] + 1);
        if (root.childNodes.length !== oldCombined.length) {
            // The DOM has changed since we last rendered, adjust the oldRange accordingly to get the correct slice
            oldRange[1] += root.childNodes.length - oldCombined.length;
        }
    }
    const oldSlice = Array.from(root.childNodes).slice(oldRange[0], oldRange[1]);
    const newSlice = newCombined.slice(newRange[0], newRange[1]);
    if (!oldSlice.length && !newSlice.length)
        return render(editor, newDoc);
    editor.dispatchEvent(new Event('rendering'));
    (0,_vdom__WEBPACK_IMPORTED_MODULE_1__.patch)(root, renderCombined(editor, newSlice), oldSlice);
    setLineNodesRanges(editor);
    editor.dispatchEvent(new Event('render'));
    editor.dispatchEvent(new Event('rendered'));
}
function renderDoc(editor, doc, forHTML) {
    return renderCombined(editor, combineLines(editor, doc.lines).combined, forHTML);
}
function renderCombined(editor, combined, forHTML) {
    return combined.map(line => renderLine(editor, line, forHTML)).filter(Boolean);
}
function renderLine(editor, line, forHTML) {
    return Array.isArray(line) ? renderMultiLine(editor, line, forHTML) : renderSingleLine(editor, line, forHTML);
}
function renderSingleLine(editor, line, forHTML) {
    const type = getLineType(editor, line);
    if (!type.render)
        throw new Error('No render method defined for line');
    const node = type.render(line.attributes, renderInline(editor, line.content), editor, forHTML);
    (0,_modules_decorations__WEBPACK_IMPORTED_MODULE_2__.applyDecorations)(node, line.attributes);
    node.key = line.id;
    return node;
}
function renderMultiLine(editor, lines, forHTML) {
    const type = getLineType(editor, lines[0]);
    if (!type.renderMultiple)
        throw new Error('No render method defined for line');
    const node = type.renderMultiple(lines.map(line => [line.attributes, renderInline(editor, line.content), line.id]), editor, forHTML);
    node.key = lines[0].id;
    return node;
}
// Join multi-lines into arrays. Memoize the results.
function combineLines(editor, lines) {
    const cache = linesCombined.get(lines);
    if (cache)
        return cache;
    const combined = [];
    const byKey = {};
    let collect = [];
    lines.forEach((line, i) => {
        const type = getLineType(editor, line);
        if (type.shouldCombine) {
            collect.push(line);
            const next = lines[i + 1];
            if (!next || getLineType(editor, next) !== type || !type.shouldCombine(collect[0].attributes, next.attributes)) {
                // By keeping the last array reference we can optimize updates
                const last = linesMultiples.get(collect[0]);
                if (last && last.length === collect.length && collect.every((v, i) => last[i] === v)) {
                    collect = last;
                }
                else {
                    linesMultiples.set(collect[0], collect);
                }
                combined.push(collect);
                byKey[collect[0].id] = collect;
                collect = [];
            }
        }
        else if (type.render) {
            combined.push(line);
            byKey[line.id] = line;
        }
    });
    const data = { combined, byKey };
    linesCombined.set(lines, data);
    return data;
}
// Most changes will occur to adjacent lines, so the simplistic approach
function getChangedRanges(oldC, newC) {
    const oldLength = oldC.length;
    const newLength = newC.length;
    const minLength = Math.min(oldLength, newLength);
    let oldStart = 0, oldEnd = 0, newStart = 0, newEnd = 0;
    for (let i = 0; i < minLength; i++) {
        if (!isSame(oldC[i], newC[i])) {
            oldStart = newStart = i;
            break;
        }
    }
    for (let i = 0; i < minLength; i++) {
        if (!isSame(oldC[oldLength - i - 1], newC[newLength - i - 1])) {
            oldEnd = oldLength - i;
            newEnd = newLength - i;
            break;
        }
    }
    return [[oldStart, oldEnd], [newStart, newEnd]];
}
function renderInline(editor, delta, forHTML) {
    const { lines, formats, embeds } = editor.typeset;
    let inlineChildren = [];
    let tabbedChildren = [];
    let trailingBreak = true;
    let tabLine;
    delta.ops.forEach((op, i, array) => {
        let children = [];
        if (op.insert === '\t' && op.attributes && (tabLine = lines.findByAttributes(op.attributes)) && tabLine.child) {
            if (tabLine.render) {
                inlineChildren = mergeChildren(inlineChildren);
                if (trailingBreak)
                    inlineChildren.push(BR);
                tabbedChildren.push(tabLine.render(op.attributes, inlineChildren, editor, forHTML));
                inlineChildren = [];
            }
            return;
        }
        if (typeof op.insert === 'string') {
            const prev = array[i - 1];
            const next = array[i + 1];
            let str = op.insert.replace(/  /g, '\xA0 ').replace(/  /g, ' \xA0');
            if (!prev || typeof prev.insert === 'object')
                str = str.replace(/^ /, '\xA0');
            if (!next || typeof next.insert === 'object' || startsWithSpace(next))
                str = str.replace(/ $/, '\xA0');
            trailingBreak = false;
            children.push(str);
        }
        else if (op.insert) {
            const embed = embeds.findByAttributes(op.insert);
            if (embed?.render) {
                children.push(embed.render(op.insert, EMPTY_ARR, editor, forHTML));
                if (embed.name === 'br')
                    trailingBreak = true;
                else if (!embed.noFill)
                    trailingBreak = false;
            }
        }
        if (op.attributes) {
            // Sort them by the order found in formats
            Object.keys(op.attributes).sort((a, b) => formats.priority(b) - formats.priority(a)).forEach(name => {
                const type = formats.get(name);
                if (type?.render) {
                    const node = type.render(op.attributes, children, editor, forHTML);
                    if (node) {
                        nodeFormatType.set(node, type); // Store for merging
                        children = [node];
                    }
                }
            });
        }
        inlineChildren.push.apply(inlineChildren, children);
    });
    // Merge marks to optimize
    inlineChildren = mergeChildren(inlineChildren);
    if (trailingBreak)
        inlineChildren.push(BR);
    return tabbedChildren.length ? tabbedChildren : inlineChildren;
}
function isSame(oldEntry, newEntry) {
    if (oldEntry === newEntry)
        return true;
    return Array.isArray(oldEntry)
        && Array.isArray(newEntry)
        && oldEntry.length === newEntry.length
        && oldEntry.every((b, i) => b === newEntry[i]);
}
function getLineType(editor, line) {
    let type = linesType.get(line.attributes);
    if (!type) {
        type = editor.typeset.lines.findByAttributes(line.attributes, true);
        linesType.set(line.attributes, type);
    }
    return type;
}
// Joins adjacent mark nodes
function mergeChildren(oldChildren) {
    const children = [];
    oldChildren.forEach((next, i) => {
        const index = children.length - 1;
        const prev = children[index];
        if (prev && typeof prev !== 'string' && typeof next !== 'string' && nodeFormatType.has(prev) &&
            nodeFormatType.get(prev) === nodeFormatType.get(next) && (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.isEqual)(prev.props, next.props)) {
            prev.children = prev.children.concat(next.children);
        }
        else if (prev && typeof prev === 'string' && typeof next === 'string') {
            children[index] += next; // combine adjacent text nodes
        }
        else {
            children.push(next);
            if (prev && typeof prev !== 'string' && prev.children) {
                prev.children = mergeChildren(prev.children);
            }
        }
    });
    if (children.length) {
        const last = children[children.length - 1];
        if (last && typeof last !== 'string' && last.children) {
            last.children = mergeChildren(last.children);
        }
    }
    return children;
}
function startsWithSpace(op) {
    return typeof op.insert === 'string' && op.insert[0] === ' ';
}


/***/ }),

/***/ "./src/rendering/selection.ts":
/*!************************************!*\
  !*** ./src/rendering/selection.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getSelection": () => (/* binding */ getSelection),
/* harmony export */   "setSelection": () => (/* binding */ setSelection)
/* harmony export */ });
/* harmony import */ var _position__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./position */ "./src/rendering/position.ts");

/**
 * Get the selection range from the current browser selection
 */
function getSelection(editor) {
    const { root } = editor;
    const current = editor.doc.selection;
    if (!root.ownerDocument)
        return null;
    const selection = root.ownerDocument.getSelection();
    const { lines } = editor.typeset;
    if (selection == null || selection.anchorNode == null || selection.focusNode == null || !root.contains(selection.anchorNode)) {
        return null;
    }
    else {
        const anchorIndex = (0,_position__WEBPACK_IMPORTED_MODULE_0__.getIndexFromNodeAndOffset)(editor, selection.anchorNode, selection.anchorOffset, current && current[0]);
        const isCollapsed = selection.anchorNode === selection.focusNode && selection.anchorOffset === selection.focusOffset;
        const isFrozen = lines.findByAttributes(editor.doc.getLineAt(anchorIndex)?.attributes, true).frozen;
        // selection.isCollapsed causes a re-layout on Chrome, manual detection does not.
        let focusIndex = isCollapsed
            ? anchorIndex
            : (0,_position__WEBPACK_IMPORTED_MODULE_0__.getIndexFromNodeAndOffset)(editor, selection.focusNode, selection.focusOffset, !isFrozen && current ? current[1] : null);
        return [anchorIndex, focusIndex];
    }
}
/**
 * Set the current browser selection to the given selection range
 */
function setSelection(editor, range) {
    const { root } = editor;
    if (!root.ownerDocument)
        return;
    const selection = root.ownerDocument.getSelection();
    if (!selection)
        return;
    const hasFocus = selection.anchorNode && root.contains(selection.anchorNode) && document.activeElement !== document.body;
    if (range == null) {
        if (hasFocus) {
            selection.removeAllRanges();
            if (root.classList.contains('focus'))
                root.classList.remove('focus');
        }
    }
    else {
        const [anchorNode, anchorOffset, focusNode, focusOffset] = (0,_position__WEBPACK_IMPORTED_MODULE_0__.getNodesForRange)(editor, range);
        const type = range[0] === range[1] ? 'Caret' : 'Range';
        if (anchorNode && focusNode) {
            if (selection.anchorNode !== anchorNode || selection.anchorOffset !== anchorOffset ||
                selection.focusNode !== focusNode || selection.focusOffset !== focusOffset || selection.type !== type) {
                selection.setBaseAndExtent(anchorNode, anchorOffset, focusNode, focusOffset);
            }
        }
        if (!hasFocus)
            root.focus();
        if (!root.classList.contains('focus'))
            root.classList.add('focus');
    }
    root.dispatchEvent(new Event('select', { bubbles: true }));
}


/***/ }),

/***/ "./src/rendering/vdom.ts":
/*!*******************************!*\
  !*** ./src/rendering/vdom.ts ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "React": () => (/* binding */ React),
/* harmony export */   "h": () => (/* binding */ h),
/* harmony export */   "options": () => (/* binding */ options),
/* harmony export */   "patch": () => (/* binding */ patch),
/* harmony export */   "recycleNode": () => (/* binding */ recycleNode)
/* harmony export */ });
// Expose to allow debugging of keys on line elements
const options = {
    renderKeys: false,
};
const EMPTY_ARR = [];
const SVG_NS = 'http://www.w3.org/2000/svg';
const KEY_ATTR = 'data-key';
const domProps = new Set(['value', 'selected', 'checked', 'contentEditable']);
const getKey = (vdom) => (vdom == null ? vdom : vdom.key);
const setKey = (dom, key) => {
    if (key && key !== dom.key) {
        dom.key = key;
        options.renderKeys && dom.setAttribute(KEY_ATTR, key);
    }
    if (!key && dom.key) {
        delete dom.key;
        options.renderKeys && dom.removeAttribute(KEY_ATTR);
    }
};
const listener = (event) => {
    event.currentTarget.events[event.type](event);
};
const patchProp = (dom, key, oldVal, newVal, isSvg) => {
    if (key === 'key') {
    }
    else if (key[0] === 'o' && key[1] === 'n') {
        if (!((dom.events || (dom.events = {}))[(key = key.slice(2))] = newVal)) {
            dom.removeEventListener(key, listener);
        }
        else if (!oldVal) {
            dom.addEventListener(key, listener);
        }
    }
    else if (newVal == null) {
        dom.removeAttribute(key);
    }
    else if (!isSvg && key !== 'list' && key !== 'form' && key in dom) {
        dom[key] = newVal == null ? '' : newVal;
    }
    else {
        dom.setAttribute(key, newVal);
    }
};
const createNode = (vdom, isSvg) => {
    if (typeof vdom === 'string') {
        return document.createTextNode(vdom);
    }
    var props = vdom.props;
    var dom = (isSvg = (isSvg || vdom.type === 'svg'))
        ? document.createElementNS(SVG_NS, vdom.type, { is: props.is })
        : document.createElement(vdom.type, { is: props.is });
    for (var k in props)
        patchProp(dom, k, null, props[k], isSvg);
    setKey(dom, getKey(vdom));
    vdom.children.forEach(kid => dom.appendChild(createNode(vdomify(kid), isSvg)));
    return dom;
};
const getDomProps = (dom, isSvg) => {
    const props = {};
    for (let i = 0; i < dom.attributes.length; i++) {
        const { name, value } = dom.attributes[i];
        if (name in dom && name !== 'list' && !isSvg) {
            props[name] = dom[name];
        }
        else if (!options.renderKeys || name !== KEY_ATTR) {
            props[name] = value === '' ? true : value;
        }
    }
    return props;
};
const patchDom = (parent, dom, oldDom, newVdom, isSvg) => {
    if (typeof newVdom === 'string') {
        if (oldDom != null && oldDom.nodeType === Node.TEXT_NODE) {
            if (oldDom.nodeValue !== newVdom)
                dom.nodeValue = newVdom;
        }
        else {
            dom = parent.insertBefore(createNode(newVdom, isSvg), dom);
            if (oldDom != null) {
                parent.removeChild(oldDom);
            }
        }
    }
    else if (oldDom == null || oldDom.nodeName.toLowerCase() !== newVdom.type) {
        dom = parent.insertBefore(createNode(vdomify(newVdom), isSvg), dom);
        if (oldDom != null) {
            parent.removeChild(oldDom);
        }
    }
    else {
        var oldProps = getDomProps(oldDom, isSvg), newProps = newVdom.props;
        isSvg = isSvg || newVdom.type === 'svg';
        for (var i in { ...oldProps, ...newProps }) {
            if ((domProps.has(i)
                ? dom[i]
                : oldProps[i]) !== newProps[i]) {
                patchProp(dom, i, oldProps[i], newProps[i], isSvg);
            }
        }
        setKey(dom, newVdom.key);
        patchChildren(dom, newVdom.children, isSvg);
    }
    return dom;
};
const patchChildren = (dom, newVKids, isSvg, oldKids = Array.from(dom.childNodes)) => {
    var tmpKid, oldKid, oldKey, newKey, oldHead = 0, newHead = 0, oldTail = oldKids.length - 1, newTail = newVKids.length - 1;
    // Patch children with the same key from the beginning until they diverge
    while (newHead <= newTail && oldHead <= oldTail) {
        if ((oldKey = getKey(oldKids[oldHead])) == null ||
            oldKey !== getKey(newVKids[newHead])) {
            break;
        }
        patchDom(dom, oldKids[oldHead], oldKids[oldHead++], (newVKids[newHead] = vdomify(newVKids[newHead++])), isSvg);
    }
    // Patch children with the same key backwards from the end until they diverge
    while (newHead <= newTail && oldHead <= oldTail) {
        if ((oldKey = getKey(oldKids[oldTail])) == null ||
            oldKey !== getKey(newVKids[newTail])) {
            break;
        }
        // Update the reference for insertBefore references
        oldKids[oldTail] = patchDom(dom, oldKids[oldTail], oldKids[oldTail--], (newVKids[newTail] = vdomify(newVKids[newTail--])), isSvg);
    }
    if (oldHead > oldTail) {
        // All old matched, so new nodes were inserted
        const insertBefore = oldKids[oldHead] || (oldKids[oldHead - 1] && oldKids[oldHead - 1].nextSibling || null);
        while (newHead <= newTail) {
            dom.insertBefore(createNode((newVKids[newHead] = vdomify(newVKids[newHead++])), isSvg), insertBefore);
        }
    }
    else if (newHead > newTail) {
        // All new matched, so extra old nodes needing to be removed
        while (oldHead <= oldTail) {
            dom.removeChild(oldKids[oldHead++]);
        }
    }
    else {
        // 1 or more from old and new need to be removed/added
        // cache old keys to their dom
        const oldKeyed = new Map();
        const newKeyed = new Set();
        for (let i = oldHead; i <= oldTail; i++) {
            if ((oldKey = getKey(oldKids[i])) != null) {
                oldKeyed.set(oldKey, oldKids[i]);
            }
        }
        // Go through the rest of the new to add/update them
        while (newHead <= newTail) {
            oldKey = getKey((oldKid = oldKids[oldHead]));
            newKey = getKey((newVKids[newHead] = vdomify(newVKids[newHead])));
            // If the old key was placed somewhere else already, or the new key is after this old one, remove it
            if (newKeyed.has(oldKey) ||
                (newKey != null && newKey === getKey(oldKids[oldHead + 1]))) {
                if (oldKey == null) {
                    dom.removeChild(oldKid);
                }
                oldHead++;
                continue;
            }
            if (newKey == null) {
                if (oldKey == null) {
                    // Both keys are null, just patch it
                    patchDom(dom, oldKid, oldKid, newVKids[newHead], isSvg);
                    newHead++;
                }
                // otherwise move on, we'll remove this old one below when we iterate through oldKeyed
                oldHead++;
            }
            else {
                if (oldKey === newKey) {
                    // They match, just patch them (incr newHead below)
                    patchDom(dom, oldKid, oldKid, newVKids[newHead], isSvg);
                    newKeyed.add(newKey);
                    oldHead++;
                }
                else {
                    if ((tmpKid = oldKeyed.get(newKey)) != null) {
                        // If the matching old node is in the dom already, pull it into this location and patch it
                        patchDom(dom, dom.insertBefore(tmpKid, oldKid), tmpKid, newVKids[newHead], isSvg);
                        newKeyed.add(newKey);
                    }
                    else {
                        // This is a new item and there is no old or the old no longer belongs, patch it in, leaving oldKid
                        patchDom(dom, oldKid, null, newVKids[newHead], isSvg);
                    }
                }
                newHead++;
            }
        }
        while (oldHead <= oldTail) {
            if (getKey((oldKid = oldKids[oldHead++])) == null) {
                dom.removeChild(oldKid);
            }
        }
        for (const [key, node] of oldKeyed) {
            if (!newKeyed.has(key)) {
                dom.removeChild(node);
            }
        }
    }
    return dom;
};
const vdomify = (vdom) => vdom !== true && vdom !== false && vdom ? vdom : '';
const createVdom = (type, props, children, key) => ({
    type,
    props,
    children,
    key,
});
const recycleNode = (dom) => dom.nodeType === Node.TEXT_NODE
    ? dom.nodeValue
    : createVdom(dom.nodeName.toLowerCase(), getDomProps(dom), EMPTY_ARR.map.call(dom.childNodes, recycleNode), getKey(dom));
const h = (type, props, ch) => typeof type === 'function'
    ? type(props || {}, ch)
    : createVdom(type, props || {}, Array.isArray(ch) ? ch : ch == null ? [] : [ch], props?.key);
// Helper for Typescript JSX which translates JSX into React.createElement() calls.
// Add `import { React } from 'typewriter-editor';` at the top of any .tsx page to use JSX.
const React = { createElement: h };
const patch = (dom, vdom, oldKids) => {
    if (Array.isArray(vdom)) {
        dom = patchChildren(dom, vdom, dom instanceof window.SVGElement, oldKids);
    }
    else {
        dom = patchDom(dom.parentNode, dom, dom, vdom);
    }
    return dom;
};


/***/ }),

/***/ "./src/rendering/walker.ts":
/*!*********************************!*\
  !*** ./src/rendering/walker.ts ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "createTreeWalker": () => (/* binding */ createTreeWalker)
/* harmony export */ });
const SHOW = NodeFilter.SHOW_TEXT | NodeFilter.SHOW_ELEMENT;
function createTreeWalker(root, filter) {
    return (root.ownerDocument || document).createTreeWalker(root, SHOW, {
        acceptNode(node) {
            if (node.nodeType === Node.TEXT_NODE && node.nodeValue === '') {
                return NodeFilter.FILTER_REJECT;
            }
            else if (filter) {
                const result = filter(node);
                if (!result)
                    return NodeFilter.FILTER_REJECT;
                if (result === true)
                    return NodeFilter.FILTER_ACCEPT;
                return result;
            }
            else {
                return NodeFilter.FILTER_ACCEPT;
            }
        }
    });
}


/***/ }),

/***/ "./src/stores.ts":
/*!***********************!*\
  !*** ./src/stores.ts ***!
  \***********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "activeStore": () => (/* binding */ activeStore),
/* harmony export */   "docStore": () => (/* binding */ docStore),
/* harmony export */   "editorStores": () => (/* binding */ editorStores),
/* harmony export */   "focusStore": () => (/* binding */ focusStore),
/* harmony export */   "proxy": () => (/* binding */ proxy),
/* harmony export */   "rootStore": () => (/* binding */ rootStore),
/* harmony export */   "selectionStore": () => (/* binding */ selectionStore)
/* harmony export */ });
/* harmony import */ var svelte_store__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! svelte/store */ "./node_modules/svelte/store/index.mjs");
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");


const EMPTY_NOPTIFIER = () => { };
const EMPTY_ACTIVE = (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)({}, EMPTY_NOPTIFIER);
const EMPTY_DOC = (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(new _typewriter_document__WEBPACK_IMPORTED_MODULE_1__.TextDocument(), EMPTY_NOPTIFIER);
const EMPTY_SELECTION = (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(null, EMPTY_NOPTIFIER);
const EMPTY_ROOT = (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(undefined, EMPTY_NOPTIFIER);
function editorStores(editor) {
    const active = proxy(activeStore(editor));
    const doc = proxy(docStore(editor));
    const selection = proxy(selectionStore(editor));
    const root = proxy(rootStore(editor));
    const focus = focusStore(selection);
    function updateEditor(value) {
        if (value === editor)
            return;
        editor = value;
        active.set(activeStore(editor));
        doc.set(docStore(editor));
        selection.set(selectionStore(editor));
        root.set(rootStore(editor));
    }
    return {
        active,
        doc,
        selection,
        root,
        focus,
        updateEditor,
    };
}
function activeStore(editor) {
    if (!editor)
        return EMPTY_ACTIVE;
    let active = editor.getActive();
    return (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(active, set => {
        const update = () => {
            const newActive = editor.getActive();
            if (!(0,_typewriter_document__WEBPACK_IMPORTED_MODULE_1__.isEqual)(active, newActive))
                set(active = newActive);
        };
        editor.on('changed', update);
        editor.on('format', update);
        return () => {
            editor.off('changed', update);
            editor.off('format', update);
        };
    });
}
function docStore(editor) {
    if (!editor)
        return EMPTY_DOC;
    return (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(editor.doc, set => {
        const update = () => set(editor.doc);
        update();
        editor.on('changed', update);
        return () => editor.off('changed', update);
    });
}
function selectionStore(editor) {
    if (!editor)
        return EMPTY_SELECTION;
    return (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(editor.doc.selection, set => {
        const update = () => set(editor.doc.selection);
        update();
        editor.on('changed', update);
        return () => editor.off('changed', update);
    });
}
function focusStore(selection) {
    return (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.derived)(selection, selection => !!selection);
}
function rootStore(editor) {
    if (!editor)
        return EMPTY_ROOT;
    return (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.readable)(editor._root, set => {
        const update = () => set(editor._root);
        update();
        editor.on('root', update);
        return () => editor.off('root', update);
    });
}
// Can be create in a component on init and set to another store async, allowing for $mystore use
function proxy(defaultValueOrStore) {
    const isReadable = typeof defaultValueOrStore.subscribe === 'function';
    const defaultValue = isReadable ? (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.get)(defaultValueOrStore) : defaultValueOrStore;
    const { set: write, subscribe } = (0,svelte_store__WEBPACK_IMPORTED_MODULE_0__.writable)(defaultValue);
    let unsub;
    if (isReadable) {
        set(defaultValueOrStore);
    }
    function set(store) {
        if (unsub)
            unsub();
        if (store)
            unsub = store.subscribe(value => write(value));
    }
    return {
        set,
        subscribe
    };
}


/***/ }),

/***/ "./src/typesetting/defaults.ts":
/*!*************************************!*\
  !*** ./src/typesetting/defaults.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "defaultTypes": () => (/* binding */ defaultTypes)
/* harmony export */ });
/* harmony import */ var _lines__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./lines */ "./src/typesetting/lines.ts");
/* harmony import */ var _formats__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./formats */ "./src/typesetting/formats.ts");
/* harmony import */ var _embeds__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./embeds */ "./src/typesetting/embeds.ts");



const defaultTypes = {
    lines: ['paragraph', 'header', 'list', 'blockquote', 'code-block', 'hr',],
    formats: ['link', 'bold', 'italic', 'code',],
    embeds: ['image', 'br',],
};


/***/ }),

/***/ "./src/typesetting/embeds.ts":
/*!***********************************!*\
  !*** ./src/typesetting/embeds.ts ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "br": () => (/* binding */ br),
/* harmony export */   "image": () => (/* binding */ image)
/* harmony export */ });
/* harmony import */ var _rendering_vdom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../rendering/vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _typeset__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./typeset */ "./src/typesetting/typeset.ts");


const image = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.embed)({
    name: 'image',
    selector: 'img',
    commands: editor => (image, props) => editor.insert({ image, ...props }),
    fromDom: (node) => {
        const image = {};
        ['src', 'alt', 'width', 'height'].forEach(name => {
            if (!node.hasAttribute(name))
                return;
            const value = node.getAttribute(name);
            if (name === 'src')
                name = 'image';
            image[name] = value;
        });
        return image;
    },
    render: (embed) => {
        const { image, ...props } = embed;
        props.src = image;
        return (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('img', props);
    },
});
const br = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.embed)({
    name: 'br',
    selector: 'br',
    commands: editor => () => editor.insert({ br: true }),
    render: () => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('br'),
});


/***/ }),

/***/ "./src/typesetting/formats.ts":
/*!************************************!*\
  !*** ./src/typesetting/formats.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "bold": () => (/* binding */ bold),
/* harmony export */   "code": () => (/* binding */ code),
/* harmony export */   "italic": () => (/* binding */ italic),
/* harmony export */   "link": () => (/* binding */ link)
/* harmony export */ });
/* harmony import */ var _rendering_vdom__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../rendering/vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _typeset__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./typeset */ "./src/typesetting/typeset.ts");


const bold = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.format)({
    name: 'bold',
    selector: 'strong, b',
    styleSelector: '[style*="font-weight:bold"], [style*="font-weight: bold"]',
    commands: editor => () => editor.toggleTextFormat({ bold: true }),
    shortcuts: 'Mod+B',
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('strong', null, children),
});
const italic = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.format)({
    name: 'italic',
    selector: 'em, i',
    styleSelector: '[style*="font-style:italic"], [style*="font-style: italic"]',
    commands: editor => () => editor.toggleTextFormat({ italic: true }),
    shortcuts: 'Mod+I',
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('em', null, children),
});
const code = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.format)({
    name: 'code',
    selector: 'code',
    commands: editor => () => editor.toggleTextFormat({ code: true }),
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('code', null, children),
});
const link = (0,_typeset__WEBPACK_IMPORTED_MODULE_1__.format)({
    name: 'link',
    selector: 'a[href]',
    greedy: false,
    // If the link is a string, it is an actual address. Otherwise it is either undefined (empty) or being called from the
    // testing code (which passes a pointer to the dom object, hence the conversion to a boolean which works with the toggleTextFormat)
    commands: editor => (link) => editor.toggleTextFormat({ link: typeof link === 'string' ? link : !!link }),
    fromDom: (node) => node.href,
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_0__.h)('a', { href: attributes.link, target: '_blank' }, children),
});


/***/ }),

/***/ "./src/typesetting/lines.ts":
/*!**********************************!*\
  !*** ./src/typesetting/lines.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "blockquote": () => (/* binding */ blockquote),
/* harmony export */   "codeblock": () => (/* binding */ codeblock),
/* harmony export */   "dl": () => (/* binding */ dl),
/* harmony export */   "header": () => (/* binding */ header),
/* harmony export */   "hr": () => (/* binding */ hr),
/* harmony export */   "list": () => (/* binding */ list),
/* harmony export */   "paragraph": () => (/* binding */ paragraph)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony import */ var _rendering_vdom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../rendering/vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _typeset__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./typeset */ "./src/typesetting/typeset.ts");
/* harmony import */ var _modules_decorations__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../modules/decorations */ "./src/modules/decorations.ts");




const paragraph = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'paragraph',
    selector: 'p',
    commands: editor => () => editor.formatLine({}),
    shortcuts: 'Mod+0',
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('p', null, children)
});
const header = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'header',
    selector: 'h1, h2, h3, h4, h5, h6',
    defaultFollows: true,
    commands: editor => ({
        header: (header) => editor.toggleLineFormat({ header }),
        header1: () => editor.toggleLineFormat({ header: 1 }),
        header2: () => editor.toggleLineFormat({ header: 2 }),
        header3: () => editor.toggleLineFormat({ header: 3 }),
        header4: () => editor.toggleLineFormat({ header: 4 }),
        header5: () => editor.toggleLineFormat({ header: 5 }),
        header6: () => editor.toggleLineFormat({ header: 6 }),
    }),
    shortcuts: {
        'Mod+1': 'header1',
        'Mod+2': 'header2',
        'Mod+3': 'header3',
        'Mod+4': 'header4',
        'Mod+5': 'header5',
        'Mod+6': 'header6',
    },
    fromDom: (node) => ({ header: parseInt(node.nodeName.replace('H', '')) }),
    render: (attributes, children) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)(`h${attributes.header}`, null, children),
});
const list = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'list',
    selector: 'ul > li, ol > li',
    indentable: true,
    commands: editor => ({
        bulletList: () => editor.toggleLineFormat({ list: 'bullet' }),
        orderedList: () => editor.toggleLineFormat({ list: 'ordered' }),
        checkList: () => editor.toggleLineFormat({ list: 'check' }),
        indent: () => editor.indent(),
        outdent: () => editor.outdent(),
        toggleCheck: (id) => {
            const line = typeof id === 'string'
                ? editor.doc.getLineBy(id)
                : editor.doc.selection
                    ? editor.doc.getLineAt(editor.doc.selection[0])
                    : null;
            if (!line)
                return false;
            const [at] = editor.doc.getLineRange(line);
            const format = { list: 'check' };
            if (!line.attributes.checked)
                format.checked = true;
            editor.formatLine(format, at);
        },
    }),
    shortcuts: {
        'Mod+Space': 'toggleCheck',
    },
    fromDom(node) {
        let indent = -1, parent = node.parentNode, type = parent && parent.getAttribute('type');
        const list = node.hasAttribute('data-checked') ? 'check' : parent && parent.nodeName === 'OL' ? 'ordered' : 'bullet';
        while (parent) {
            if (/^UL|OL$/.test(parent.nodeName))
                indent++;
            else if (parent.nodeName !== 'LI')
                break;
            parent = parent.parentNode;
        }
        if (!indent && node.className.startsWith('ql-indent-')) {
            // Support pasting from quilljs content
            indent = parseInt(node.className.replace('ql-indent-', ''));
        }
        const attr = { list };
        if (indent)
            attr.indent = indent;
        if (type)
            attr.type = type;
        if (node.getAttribute('data-checked') === 'true')
            attr.checked = true;
        return attr;
    },
    nextLineAttributes(attributes) {
        const { start, ...rest } = attributes;
        return rest;
    },
    shouldCombine: (prev, next) => (prev.list === next.list && !next.start && prev.type === next.type) || next.indent,
    renderMultiple: (lists, editor, forHTML) => {
        const topLevelChildren = [];
        const levels = [];
        // e.g. levels = [ul, ul]
        lists.forEach(([attributes, children, id]) => {
            const type = attributes.list === 'ordered' ? 'ol' : 'ul';
            const index = attributes.indent || 0;
            let props = { key: id };
            if (attributes.list === 'check') {
                function toggle(event) {
                    if (!editor.enabled)
                        return;
                    event.preventDefault();
                    editor.commands.toggleCheck(id);
                }
                const check = (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('button', { class: 'check-list-check', onmousedown: toggle, ontouchstart: toggle, });
                if (children.length === 1 && children[0].type === 'br')
                    children.push(check);
                else
                    children.unshift(check);
                props = {
                    ...props,
                    class: 'check-list-item',
                    ['data-checked']: '' + (attributes.checked || false),
                };
            }
            const item = (0,_modules_decorations__WEBPACK_IMPORTED_MODULE_3__.applyDecorations)((0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('li', props, children), attributes);
            while (index >= levels.length) {
                const newLevel = (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)(type, { start: attributes.start, type: attributes.type, key: `${id}-outer` });
                const childrenArray = levels.length ? levels[levels.length - 1].children : topLevelChildren;
                const lastChild = childrenArray[childrenArray.length - 1];
                if (typeof lastChild === 'object' && lastChild.type === 'li') {
                    if (forHTML) {
                        // Correct HTML
                        lastChild.children.push(newLevel);
                    }
                    else {
                        // Technically incorrect HTML needed to fix selection bug: when clicking to the right of a list item with a
                        // sub-item, the selection goes to the start of the line instead of the end
                        childrenArray.push(newLevel);
                    }
                }
                else {
                    childrenArray.push(newLevel);
                }
                levels.push(newLevel);
            }
            if (!compareLists(levels[index], type, attributes)) {
                const newLevel = (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)(type, { start: attributes.start, type: attributes.type });
                const childrenArray = index ? levels[index - 1].children : topLevelChildren;
                childrenArray.push(newLevel);
                levels[index] = newLevel;
            }
            levels[index].children.push(item);
            levels.length = index + 1;
        });
        function compareLists(list, type, attributes) {
            return list.type === type
                && (list.props.start === attributes.start
                    || (list.props.start && !attributes.start))
                && list.props.type === attributes.type;
        }
        return topLevelChildren[0];
    }
});
const blockquote = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'blockquote',
    selector: 'blockquote p',
    commands: editor => (blockquote = true) => {
        if (typeof blockquote !== 'string')
            blockquote = true;
        editor.toggleLineFormat({ blockquote });
    },
    fromDom(node) {
        const { className } = node.parentNode;
        const match = className.match(/quote-(\S+)/);
        const blockquote = match && match[1] !== 'true' && match[1] || true;
        return { blockquote };
    },
    shouldCombine: (prev, next) => prev.blockquote === next.blockquote,
    renderMultiple: quotes => {
        const type = quotes[0][0].blockquote;
        const props = typeof type === 'string' ? { className: `quote-${type}` } : null;
        const children = quotes.map(([attributes, children, id]) => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('p', { key: id }, children));
        return (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('blockquote', props, children);
    }
});
const codeblock = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'code-block',
    selector: 'pre code',
    contained: true,
    commands: editor => () => editor.toggleLineFormat({ ['code-block']: true }),
    renderMultiple: lines => {
        const children = [];
        lines.forEach(([attributes, inlineChildren, id]) => {
            if (inlineChildren.length && (inlineChildren[inlineChildren.length - 1].type === 'br')) {
                inlineChildren.pop();
            }
            children.push((0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('code', { key: id }, inlineChildren));
            children.push('\n');
        });
        return (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('pre', { spellcheck: false }, children);
    }
});
const hr = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'hr',
    selector: 'hr',
    frozen: true,
    commands: editor => () => {
        const { doc } = editor;
        const { selection } = doc;
        if (!selection)
            return;
        const range = (0,_typewriter_document__WEBPACK_IMPORTED_MODULE_0__.normalizeRange)(selection);
        const change = editor.change.delete(range);
        if (range[0] === range[1] && doc.getLineAt(range[0]).length === 1) {
            change
                .insert(range[0], '\n', { ...doc.getLineFormat(range[0]) })
                .formatLine(range[0], { hr: true });
        }
        else {
            const delta = new _typewriter_document__WEBPACK_IMPORTED_MODULE_0__.Delta()
                .insert('\n', doc.getLineAt(range[0]).attributes)
                .insert('\n', { hr: true });
            change.insertContent(range[0], delta);
            change.select(range[0] + 2);
        }
        editor.update(change);
    },
    render: () => (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('hr'),
});
const dl = (0,_typeset__WEBPACK_IMPORTED_MODULE_2__.line)({
    name: 'dl',
    selector: 'dl dt, dl dd',
    fromDom(node) {
        return { dl: node.nodeName.toLowerCase() };
    },
    onTab: (editor, shiftKey) => {
        const { doc } = editor;
        const { selection } = doc;
        if (!selection)
            return;
        const at = shiftKey
            ? (selection[0] === selection[1] || selection[0] > selection[1] ? selection[1] : selection[1] - 1)
            : (selection[0] === selection[1] || selection[1] > selection[0] ? selection[0] : selection[0] - 1);
        const line = doc.getLineAt(at);
        const index = doc.lines.indexOf(line);
        const next = doc.lines[index + (shiftKey ? -1 : 1)];
        if ((next?.attributes.dl === line.attributes.dl || !next?.attributes.dl) && !shiftKey) {
            if (line.length === 1 && line.attributes.dl === 'dt') {
                editor.formatLine({}, doc.getLineRange(line));
            }
            else {
                const at = doc.getLineRange(line)[1] - 1;
                editor.insert('\n', { dl: line.attributes.dl === 'dt' ? 'dd' : 'dt' }, [at, at]);
            }
        }
        else if (next) {
            let nextRange = doc.getLineRange(next);
            nextRange = [nextRange[0], nextRange[1] - 1];
            if (shiftKey && !next.attributes.dl)
                nextRange = [nextRange[1], nextRange[1]];
            editor.select(nextRange);
        }
    },
    commands: editor => () => editor.toggleLineFormat({ dl: 'dt' }),
    shouldCombine: () => true,
    nextLineAttributes: (attrs) => ({ dl: attrs.dl === 'dt' ? 'dd' : 'dt' }),
    renderMultiple: (lines) => {
        const children = [];
        let last = '';
        for (const [attrs, chdlrn, key] of lines) {
            if (!last || attrs.dl === 'dt') {
                children.push((0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('div', {}, []));
            }
            children[children.length - 1].children.push((0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)(attrs.dl, { key }, chdlrn));
            last = attrs.dl;
        }
        return (0,_rendering_vdom__WEBPACK_IMPORTED_MODULE_1__.h)('dl', {}, children);
    }
});


/***/ }),

/***/ "./src/typesetting/typeset.ts":
/*!************************************!*\
  !*** ./src/typesetting/typeset.ts ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Types": () => (/* binding */ Types),
/* harmony export */   "Typeset": () => (/* binding */ Typeset),
/* harmony export */   "embed": () => (/* binding */ embed),
/* harmony export */   "format": () => (/* binding */ format),
/* harmony export */   "line": () => (/* binding */ line)
/* harmony export */ });
const EMPTY_ARR = [];
const lineTypes = {};
const formatTypes = {};
const embedTypes = {};
const shouldCombine = (prev, next) => true;
class Typeset {
    constructor(types) {
        const lines = types.lines?.map(entry => typeof entry === 'string' ? lineTypes[entry] : entry).filter(Boolean);
        const formats = types.formats?.map(entry => typeof entry === 'string' ? formatTypes[entry] : entry).filter(Boolean);
        const embeds = types.embeds?.map(entry => typeof entry === 'string' ? embedTypes[entry] : entry).filter(Boolean);
        this.lines = new Types(lines || EMPTY_ARR);
        this.formats = new Types(formats || EMPTY_ARR);
        this.embeds = new Types(embeds || EMPTY_ARR);
    }
}
Typeset.line = line;
Typeset.format = format;
Typeset.embed = embed;
function line(type) {
    if (type.renderMultiple && !type.shouldCombine)
        type.shouldCombine = shouldCombine;
    return lineTypes[type.name] = type;
}
function format(type) {
    return formatTypes[type.name] = type;
}
function embed(type) {
    return embedTypes[type.name] = type;
}
/**
 * A type store to hold types and make it easy to manage them.
 */
class Types {
    constructor(types) {
        this.list = types;
        this.init();
    }
    get default() {
        return this.list[0];
    }
    init() {
        this.selector = this.list.map(type => type.selector || '').filter(Boolean).join(', ');
        this.types = this.list.reduce((types, type) => { types[type.name] = type; return types; }, {});
        this.priorities = this.list.reduce((priorities, type, i) => { priorities[type.name] = i; return priorities; }, {});
    }
    add(type) {
        this.list.push(type);
        this.init();
    }
    remove(type) {
        const name = typeof type === 'string' ? type : type.name;
        this.list = this.list.filter(type => type.name !== name);
        this.init();
    }
    get(name) {
        return this.types[name];
    }
    priority(name) {
        // Attribute keys that do not have types assigned to them need a default sorting value.
        // A default value of -1 means that "loose" attribute keys do not corrupt priority sorting
        //   and are sorted to the back of the list in rendering.ts::renderInline()
        const priority = this.priorities[name];
        return priority !== undefined ? priority : -1;
    }
    // Whether or not the provided element is one of our types
    matches(node) {
        if (!node)
            return false;
        if (!node.nodeType)
            throw new Error('Cannot match against ' + node);
        if (node.nodeType === Node.ELEMENT_NODE) {
            return this.selector ? node.matches(this.selector) : false;
        }
    }
    findByNode(node, fallbackToDefault = false) {
        if (node.nodeType !== Node.ELEMENT_NODE)
            return;
        let i = this.list.length;
        while (i--) {
            let type = this.list[i];
            if (node.matches(type.selector))
                return type;
        }
        if (fallbackToDefault)
            return this.default;
    }
    findByAttributes(attributes, fallbackToDefault = false) {
        const keys = attributes && Object.keys(attributes);
        let type;
        keys && keys.every(name => !(type = this.get(name)));
        return type || (fallbackToDefault ? this.default : undefined);
    }
}


/***/ }),

/***/ "./src/util/EventDispatcher.ts":
/*!*************************************!*\
  !*** ./src/util/EventDispatcher.ts ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ EventDispatcher)
/* harmony export */ });
const dispatcherEvents = new WeakMap();
const onceListeners = new WeakMap();
class EventDispatcher {
    on(type, listener, options) {
        this.addEventListener(type, listener, options);
    }
    off(type, listener, options) {
        this.removeEventListener(type, listener, options);
    }
    addEventListener(type, listener, options) {
        if (options?.once)
            listener = getOnceListener(this, type, listener, true);
        getEventListeners(this, type, true).add(listener);
    }
    removeEventListener(type, listener, options) {
        if (options?.once)
            listener = getOnceListener(this, type, listener);
        if (!listener)
            return;
        const events = getEventListeners(this, type);
        events && events.delete(listener);
    }
    dispatchEvent(event, catchErrors) {
        const events = getEventListeners(this, event.type);
        if (!events)
            return;
        for (let listener of events) {
            if (catchErrors) {
                try {
                    listener.call(this, event);
                }
                catch (err) {
                    try {
                        this.dispatchEvent(new ErrorEvent('error', { error: err }));
                    }
                    catch (err) { }
                }
            }
            else {
                listener.call(this, event);
            }
            if (event.cancelBubble)
                break;
        }
    }
}
function getEventListeners(obj, type, autocreate = false) {
    let events = dispatcherEvents.get(obj);
    if (!events && autocreate)
        dispatcherEvents.set(obj, events = Object.create(null));
    return events && events[type] || autocreate && (events[type] = new Set());
}
function getOnceListener(obj, type, listener, autocreate = false) {
    let events = onceListeners.get(obj);
    if (!events && autocreate)
        dispatcherEvents.set(obj, events = Object.create(null));
    const map = events && events[type] || autocreate && (events[type] = new Map());
    if (!map.has(listener) && autocreate) {
        const wrapper = event => {
            const events = getEventListeners(obj, type);
            events && events.delete(listener);
            listener.call(obj, event);
        };
        map.set(listener, wrapper);
    }
    return map && map.get(listener);
}


/***/ }),

/***/ "./node_modules/@typewriter/document/lib/EditorRange.js":
/*!**************************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/EditorRange.js ***!
  \**************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "normalizeRange": () => (/* binding */ normalizeRange)
/* harmony export */ });
// Put it in document order (lower number first)
function normalizeRange(range) {
    if (!range)
        return range;
    if (range[0] > range[1])
        range = [range[1], range[0]];
    return range;
}
//# sourceMappingURL=EditorRange.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/Line.js":
/*!*******************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/Line.js ***!
  \*******************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LineIterator": () => (/* binding */ LineIterator),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/delta */ "./node_modules/@typewriter/delta/dist/index.js");

const EMPTY_MAP = new Map();
const INFINITY = {
    id: '',
    attributes: {},
    content: new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta([{ retain: Infinity }]),
    length: Infinity,
};
var Line;
(function (Line) {
    function iterator(lines, lineIds) {
        return new LineIterator(lines, lineIds);
    }
    Line.iterator = iterator;
    function linesToLineIds(lines) {
        const lineIds = new Map();
        lines.forEach((line) => lineIds.set(line.id || Line.createId(lineIds), line));
        return lineIds;
    }
    Line.linesToLineIds = linesToLineIds;
    function length(line) {
        return line.length;
    }
    Line.length = length;
    function getId(line) {
        console.warn('getId() is deprecated');
        return line.id;
    }
    Line.getId = getId;
    function equal(value, other) {
        return ((0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(value.attributes, other.attributes) &&
            (0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(value.content.ops, other.content.ops));
    }
    Line.equal = equal;
    function fromDelta(delta, existing) {
        const lines = [];
        const ids = new Map(existing || []);
        delta.eachLine((content, attr) => {
            const line = Line.create(content, Object.keys(attr).length ? attr : undefined, ids);
            ids.set(line.id, line);
            lines.push(line);
        });
        return lines;
    }
    Line.fromDelta = fromDelta;
    function toDelta(lines) {
        let delta = new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta();
        lines.forEach((line) => {
            delta = delta.concat(line.content);
            delta.insert('\n', line.attributes);
        });
        return delta;
    }
    Line.toDelta = toDelta;
    function create(content = new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta(), attributes = {}, id) {
        const length = content.length() + 1;
        if (typeof id !== 'string')
            id = createId(id);
        return { id, attributes, content: content, length };
    }
    Line.create = create;
    function createFrom(line, content = new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta(), lineIds) {
        const id = line ? line.id : createId(lineIds);
        const attributes = line ? line.attributes : {};
        return { id, attributes, content, length: 1 };
    }
    Line.createFrom = createFrom;
    function getLineRanges(lines) {
        const ranges = new Map();
        let pos = 0;
        lines.forEach((line) => {
            ranges.set(line, [pos, (pos += line.length)]);
        });
        return ranges;
    }
    Line.getLineRanges = getLineRanges;
    function createId(existing = EMPTY_MAP) {
        let id;
        while (existing[(id = Math.random().toString(36).slice(2))])
            ;
        return id;
    }
    Line.createId = createId;
})(Line || (Line = {}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Line);
class LineIterator {
    constructor(lines, lineIds) {
        this.lines = lines;
        this.index = 0;
        this.offset = 0;
        this.lineIds = lineIds ? new Map(lineIds) : Line.linesToLineIds(lines);
    }
    hasNext() {
        return !!this.peek();
    }
    next(length) {
        if (!length) {
            length = Infinity;
        }
        const nextLine = this.lines[this.index];
        if (nextLine) {
            const offset = this.offset;
            const lineLength = nextLine.length;
            if (length >= lineLength - offset) {
                length = lineLength - offset;
                this.index += 1;
                this.offset = 0;
            }
            else {
                this.offset += length;
            }
            if (offset === 0 && length >= nextLine.length) {
                return nextLine;
            }
            else {
                const id = offset === 0 ? nextLine.id : Line.createId(this.lineIds);
                const partialLine = {
                    id,
                    attributes: nextLine.attributes,
                    content: nextLine.content.slice(offset, length),
                    length: length - offset,
                };
                if (offset !== 0)
                    this.lineIds.set(id, partialLine);
                return partialLine;
            }
        }
        else {
            return INFINITY;
        }
    }
    peek() {
        return this.lines[this.index];
    }
    peekLength() {
        if (this.lines[this.index]) {
            // Should never return 0 if our index is being managed correctly
            return this.lines[this.index].length - this.offset;
        }
        else {
            return Infinity;
        }
    }
    rest() {
        if (!this.hasNext()) {
            return [];
        }
        else if (this.offset === 0) {
            return this.lines.slice(this.index);
        }
        else {
            const offset = this.offset;
            const index = this.index;
            const next = this.next();
            const rest = this.lines.slice(this.index);
            this.offset = offset;
            this.index = index;
            return [next].concat(rest);
        }
    }
}
//# sourceMappingURL=Line.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/LineOp.js":
/*!*********************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/LineOp.js ***!
  \*********************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LineOpIterator": () => (/* binding */ LineOpIterator),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _Line__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Line */ "./node_modules/@typewriter/document/lib/Line.js");
/* harmony import */ var _typewriter_delta__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @typewriter/delta */ "./node_modules/@typewriter/delta/dist/index.js");


var LineOp;
(function (LineOp) {
    function iterator(lines, lineIds) {
        return new LineOpIterator(lines, lineIds);
    }
    LineOp.iterator = iterator;
    function length(op) {
        return _typewriter_delta__WEBPACK_IMPORTED_MODULE_1__.Op.length(op);
    }
    LineOp.length = length;
})(LineOp || (LineOp = {}));
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (LineOp);
class LineOpIterator {
    constructor(lines, lineIds) {
        this.lineIterator = _Line__WEBPACK_IMPORTED_MODULE_0__["default"].iterator(lines, lineIds);
        const line = this.lineIterator.peek();
        this.opIterator = _typewriter_delta__WEBPACK_IMPORTED_MODULE_1__.Op.iterator((line === null || line === void 0 ? void 0 : line.content.ops) || []);
    }
    hasNext() {
        return this.opIterator.hasNext() || this.lineIterator.hasNext();
    }
    next(length) {
        let op = this.opIterator.next(length);
        if (op.retain === Infinity && this.lineIterator.hasNext()) {
            op = getLineOp(this.nextLine());
        }
        return op;
    }
    nextLine() {
        const line = this.lineIterator.next();
        const nextLine = this.lineIterator.peek();
        this.opIterator = new _typewriter_delta__WEBPACK_IMPORTED_MODULE_1__.OpIterator((nextLine === null || nextLine === void 0 ? void 0 : nextLine.content.ops) || []);
        return line;
    }
    peek() {
        if (this.opIterator.hasNext() || !this.lineIterator.hasNext()) {
            return this.opIterator.peek();
        }
        else {
            return getLineOp(this.peekLine());
        }
    }
    peekLine() {
        return this.lineIterator.peek();
    }
    peekLength() {
        if (this.opIterator.hasNext() || !this.lineIterator.hasNext()) {
            return this.opIterator.peekLength();
        }
        else {
            return 1; // a newline is length 1
        }
    }
    peekLineLength() {
        return this.lineIterator.peekLength();
    }
    peekType() {
        if (this.opIterator.hasNext()) {
            return this.opIterator.peekType();
        }
        else if (this.lineIterator.hasNext()) {
            return 'insert'; // insert: '\n'
        }
        else {
            return 'retain';
        }
    }
    restCurrentLine() {
        return this.opIterator.rest();
    }
    restLines() {
        if (this.opIterator.offset) {
            this.lineIterator.next(this.opIterator.offset);
        }
        return this.lineIterator.rest();
    }
}
function getLineOp(line) {
    const op = { insert: '\n' };
    if (line.attributes)
        op.attributes = line.attributes;
    return op;
}
//# sourceMappingURL=LineOp.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/TextChange.js":
/*!*************************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/TextChange.js ***!
  \*************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ TextChange),
/* harmony export */   "hasFormat": () => (/* binding */ hasFormat),
/* harmony export */   "intersect": () => (/* binding */ intersect)
/* harmony export */ });
/* harmony import */ var _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/delta */ "./node_modules/@typewriter/delta/dist/index.js");
/* harmony import */ var _EditorRange__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./EditorRange */ "./node_modules/@typewriter/document/lib/EditorRange.js");
/* harmony import */ var _deltaToText__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./deltaToText */ "./node_modules/@typewriter/document/lib/deltaToText.js");



class TextChange {
    constructor(doc, delta = new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta(), selection, activeFormats) {
        this._pos = 0;
        this.doc = doc;
        this.delta = delta;
        this.selection = selection;
        this.activeFormats = activeFormats;
    }
    get contentChanged() {
        return this.delta.ops.length > 0;
    }
    get selectionChanged() {
        var _a;
        return (this.selection !== undefined &&
            !(0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.selection, (_a = this.doc) === null || _a === void 0 ? void 0 : _a.selection));
    }
    apply() {
        throw new Error('Must be overridden by creator of change (e.g. Editor).');
    }
    setDelta(delta) {
        this.delta = delta;
        this._pos = delta.length();
        return this;
    }
    setActiveFormats(activeFormats) {
        this.activeFormats = activeFormats;
        return this;
    }
    select(at) {
        this.selection = typeof at === 'number' ? [at, at] : at;
        return this;
    }
    delete(range, options) {
        if (!range || !this.doc)
            return this;
        let [at, to] = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        if (at === to)
            return this;
        at = Math.min(this.doc.length - 1, Math.max(0, at));
        to = Math.min(this.doc.length, Math.max(0, to));
        if (at === to)
            return this; // check again
        const length = to - at;
        if (this.doc.selection)
            this.selection = [at, at];
        this.compose(at, (delta) => delta.delete(length), length);
        const lineRange = this.doc.getLineRange(at);
        if (!(options === null || options === void 0 ? void 0 : options.dontFixNewline) && lineRange[1] <= to) {
            const format = this.doc.getLineAt(at).attributes;
            this.formatLine(to, format);
        }
        return this;
    }
    insert(at, insert, format, options) {
        if (!this.doc)
            return this;
        at = this.normalizePoint(at);
        if (this.doc.selection) {
            const end = at + (typeof insert === 'string' ? insert.length : 1);
            this.selection = [end, end];
        }
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        const { id, ...lineFormat } = this.doc.getLineAt(at).attributes;
        if (typeof insert !== 'string') {
            this.compose(at, (delta) => delta.insert(insert, format));
        }
        else if (insert === '\n') {
            if (options === null || options === void 0 ? void 0 : options.dontFixNewline) {
                this.compose(at, (delta) => delta.insert('\n', { ...format }));
            }
            else {
                this.compose(at, (delta) => delta.insert('\n', lineFormat));
                this.formatLine(at, { ...format });
            }
        }
        else {
            if (!format)
                format = this.getFormatAt(at);
            if (insert.includes('\n')) {
                const lines = insert.split('\n');
                this.compose(at, (delta) => {
                    lines.forEach((line, i) => {
                        if (i)
                            delta.insert('\n', i === 1 ? lineFormat : {});
                        if (line.length)
                            delta.insert(line, format);
                    });
                    return delta;
                });
            }
            else {
                this.compose(at, (delta) => delta.insert(insert, format));
            }
        }
        return this;
    }
    insertContent(at, content) {
        if (!this.doc)
            return this;
        at = this.normalizePoint(at);
        if (this.doc.selection) {
            // Ignore retain ops at the end
            const ops = content.ops.filter((op) => op.delete);
            while (ops.length && ops[ops.length - 1].retain)
                ops.pop();
            const end = at + ops.reduce((length, op) => length + _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Op.length(op), 0);
            this.selection = [end, end];
        }
        const text = (0,_deltaToText__WEBPACK_IMPORTED_MODULE_2__.deltaToText)(content);
        const newlineIndex = text.indexOf('\n');
        if (newlineIndex !== -1) {
            content = content.compose(new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta().retain(newlineIndex).retain(1, this.doc.getLineFormat(at)));
        }
        this.compose(at, (delta) => delta.concat(content));
        return this;
    }
    formatText(range, format) {
        if (!this.doc)
            return this;
        range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        const length = range[1] - range[0];
        if (!length)
            return this;
        if (format) {
            Object.keys(format).forEach((name) => format[name] === false && (format[name] = null));
        }
        // get lines for at-to and apply, skipping newlines
        this.doc.getLineRanges(range).forEach(([start, end]) => {
            start = Math.max(range[0], start);
            end = Math.min(range[1], end - 1);
            const length = end - start;
            this.compose(start, (delta) => delta.retain(length, format), length);
        });
        return this;
    }
    toggleTextFormat(range, format) {
        if (!this.doc)
            return this;
        if (typeof range === 'number')
            range = [range, range];
        range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        const existing = this.doc.getTextFormat(range);
        if (hasFormat(format, existing))
            format = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.invert(format);
        return this.formatText(range, format);
    }
    formatLine(range, format, decoration) {
        if (!this.doc)
            return this;
        const doc = this.doc;
        if (typeof range === 'number')
            range = [range, range];
        range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        this.doc.getLineRanges(range).forEach(([, end]) => {
            end--;
            if (!decoration) {
                const undoFormat = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.invert(doc.getLineFormat(end));
                format = { ...undoFormat, ...format };
            }
            this.compose(end, (delta) => delta.retain(1, format), 1);
        });
        this.delta.chop();
        return this;
    }
    toggleLineFormat(range, format) {
        if (!this.doc)
            return this;
        if (typeof range === 'number')
            range = [range, range];
        range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        const existing = this.doc.getLineFormat(range);
        if (hasFormat(format, existing))
            format = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.invert(format);
        return this.formatLine(range, format);
    }
    removeFormat(range) {
        if (!this.doc)
            return this;
        range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)(range);
        const undo = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.invert(this.doc.getFormats(range));
        const length = range[1] - range[0];
        return this.compose(range[0], (delta) => delta.retain(length, undo), length);
    }
    transform(change, priority) {
        const delta = this.delta.transform(change.delta, priority);
        const selection = change.selection && this.transformSelection(change.selection);
        return new TextChange(null, delta, selection);
    }
    transformSelection(selection, priority) {
        if (!selection)
            return selection;
        const from = this.delta.transformPosition(selection[0], priority);
        const to = this.delta.transformPosition(selection[1], priority);
        if (from === selection[0] && to === selection[1])
            return selection;
        return [from, to];
    }
    transformAgainst(delta, priority) {
        const change = delta.ops
            ? new TextChange(null, delta)
            : delta;
        return change.transform(this, !priority);
    }
    isFor(doc) {
        return this.doc === doc;
    }
    clone() {
        var _a;
        return new TextChange(this.doc, new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta(this.delta.ops.slice()), (_a = this.selection) === null || _a === void 0 ? void 0 : _a.slice());
    }
    compose(at, applicator, length) {
        if (this._pos <= at) {
            this.delta = applicator(this.delta.retain(at - this._pos));
        }
        else {
            this.delta = this.delta.compose(applicator(new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta().retain(at)));
        }
        this._pos = Math.max(at + (length || 0), this._pos);
        return this;
    }
    normalizePoint(at, maxLength = this.doc ? this.doc.length - 1 : 0) {
        return Math.max(0, Math.min(maxLength, at));
    }
    getFormatAt(at) {
        let format = undefined;
        if (this.doc) {
            // Only keep the format if it is present on both sides of the cursor
            const attr1 = this.doc.getTextFormat(at);
            const attr2 = this.doc.getTextFormat(at + 1);
            if (attr1 && attr2) {
                format = attr1 === attr2 ? attr1 : intersect(attr2, Object.keys(attr1));
            }
        }
        return format;
    }
}
function hasFormat(format, attributes) {
    return Object.keys(format).every((name) => (0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(attributes[name], format[name]));
}
function intersect(value, other) {
    const obj = {};
    Object.keys(value).forEach((key) => {
        if (value[key] === other[key])
            obj[key] = value[key];
    });
    return obj;
}
//# sourceMappingURL=TextChange.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/TextDocument.js":
/*!***************************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/TextDocument.js ***!
  \***************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ TextDocument)
/* harmony export */ });
/* harmony import */ var _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/delta */ "./node_modules/@typewriter/delta/dist/index.js");
/* harmony import */ var _Line__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Line */ "./node_modules/@typewriter/document/lib/Line.js");
/* harmony import */ var _LineOp__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./LineOp */ "./node_modules/@typewriter/document/lib/LineOp.js");
/* harmony import */ var _EditorRange__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./EditorRange */ "./node_modules/@typewriter/document/lib/EditorRange.js");
/* harmony import */ var _TextChange__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./TextChange */ "./node_modules/@typewriter/document/lib/TextChange.js");
/* harmony import */ var _deltaToText__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./deltaToText */ "./node_modules/@typewriter/document/lib/deltaToText.js");
/* eslint-disable prettier/prettier */
/* eslint-disable @typescript-eslint/no-explicit-any */






const EMPTY_RANGE = [0, 0];
const EMPTY_OBJ = {};
const DELTA_CACHE = new WeakMap();
const excludeProps = new Set(['id']);
class TextDocument {
    constructor(linesOrDocOrDelta, selection = null) {
        if (linesOrDocOrDelta && linesOrDocOrDelta.lines) {
            const textDocument = linesOrDocOrDelta;
            this.lines = textDocument.lines;
            this.byId = textDocument.byId;
            this._ranges = textDocument._ranges;
            this.length = textDocument.length;
        }
        else {
            this.byId = new Map();
            if (linesOrDocOrDelta && Array.isArray(linesOrDocOrDelta)) {
                this.lines = linesOrDocOrDelta;
            }
            else if (linesOrDocOrDelta) {
                this.lines = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].fromDelta(linesOrDocOrDelta);
            }
            else {
                this.lines = [_Line__WEBPACK_IMPORTED_MODULE_1__["default"].create()];
            }
            if (!this.lines.length) {
                this.lines.push(_Line__WEBPACK_IMPORTED_MODULE_1__["default"].create());
            }
            this.byId = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].linesToLineIds(this.lines);
            // Check for line id duplicates (should never happen, indicates bug)
            this.lines.forEach((line) => {
                if (this.byId.get(line.id) !== line)
                    throw new Error('TextDocument has duplicate line ids: ' + line.id);
            });
            this._ranges = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].getLineRanges(this.lines);
            this.length = this.lines.reduce((length, line) => length + line.length, 0);
        }
        if (selection) {
            selection = selection.map((index) => Math.min(this.length, Math.max(0, index)));
            if (selection[0] === selection[1] && selection[0] === this.length)
                selection[0]--;
        }
        this.selection = selection;
    }
    get change() {
        const change = new _TextChange__WEBPACK_IMPORTED_MODULE_4__["default"](this);
        change.apply = () => this.apply(change);
        return change;
    }
    getText(range) {
        if (range)
            range = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_3__.normalizeRange)(range);
        return (0,_deltaToText__WEBPACK_IMPORTED_MODULE_5__.deltaToText)(range ? this.slice(range[0], range[1]) : this.slice(0, this.length - 1));
    }
    getLineBy(id) {
        return this.byId.get(id);
    }
    getLineAt(at) {
        return this.lines.find((line) => {
            const [start, end] = this.getLineRange(line);
            return start <= at && end > at;
        });
    }
    getLinesAt(atOrRange, encompassed) {
        let at, to;
        if (Array.isArray(atOrRange))
            [at, to] = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_3__.normalizeRange)(atOrRange);
        else
            at = to = atOrRange;
        return this.lines.filter((line) => {
            const [start, end] = this.getLineRange(line);
            return encompassed
                ? start >= at && end <= to
                : (start < to || start === at) && end > at;
        });
    }
    getLineRange(at) {
        const { lines, _ranges: lineRanges } = this;
        if (typeof at === 'number') {
            for (let i = 0; i < lines.length; i++) {
                const range = lineRanges.get(lines[i]) || EMPTY_RANGE;
                if (range[0] <= at && range[1] > at)
                    return range;
            }
            return EMPTY_RANGE;
        }
        else {
            if (typeof at === 'string')
                at = this.getLineBy(at);
            return lineRanges.get(at);
        }
    }
    getLineRanges(at) {
        if (at == null) {
            return Array.from(this._ranges.values());
        }
        else {
            return this.getLinesAt(at).map((line) => this.getLineRange(line));
        }
    }
    getLineFormat(at = this.selection, options) {
        let to = at;
        if (Array.isArray(at))
            [at, to] = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_3__.normalizeRange)(at);
        if (at === to)
            to++;
        return getAttributes(_Line__WEBPACK_IMPORTED_MODULE_1__["default"], this.lines, at, to, undefined, options);
    }
    getTextFormat(at = this.selection, options) {
        let to = at;
        if (Array.isArray(at))
            [at, to] = (0,_EditorRange__WEBPACK_IMPORTED_MODULE_3__.normalizeRange)(at);
        if (at === to)
            at--;
        return getAttributes(_LineOp__WEBPACK_IMPORTED_MODULE_2__["default"], this.lines, at, to, (op) => op.insert !== '\n', options);
    }
    getFormats(at = this.selection, options) {
        return {
            ...this.getTextFormat(at, options),
            ...this.getLineFormat(at, options),
        };
    }
    slice(start = 0, end = Infinity) {
        const ops = [];
        const iter = _LineOp__WEBPACK_IMPORTED_MODULE_2__["default"].iterator(this.lines);
        let index = 0;
        while (index < end && iter.hasNext()) {
            let nextOp;
            if (index < start) {
                nextOp = iter.next(start - index);
            }
            else {
                nextOp = iter.next(end - index);
                ops.push(nextOp);
            }
            index += _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Op.length(nextOp);
        }
        return new _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Delta(ops);
    }
    apply(change, selection, throwOnError) {
        var _a;
        let delta;
        if (change.delta) {
            delta = change.delta;
            selection = change.selection;
        }
        else {
            delta = change;
        }
        // If no change, do nothing
        if (!delta.ops.length &&
            (selection === undefined || (0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.selection, selection))) {
            return this;
        }
        // Optimization for selection-only change
        if (!delta.ops.length && selection) {
            return new TextDocument(this, selection);
        }
        if (selection === undefined && this.selection) {
            selection = [
                delta.transformPosition(this.selection[0]),
                delta.transformPosition(this.selection[1]),
            ];
            // If the selection hasn't changed, keep the original reference
            if ((0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.selection, selection)) {
                selection = this.selection;
            }
        }
        const thisIter = _LineOp__WEBPACK_IMPORTED_MODULE_2__["default"].iterator(this.lines, this.byId);
        const otherIter = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.Op.iterator(delta.ops);
        const lines = [];
        const firstChange = otherIter.peek();
        if (firstChange && firstChange.retain && !firstChange.attributes) {
            let firstLeft = firstChange.retain;
            while (thisIter.peekLineLength() <= firstLeft) {
                firstLeft -= thisIter.peekLineLength();
                lines.push(thisIter.nextLine());
            }
            if (firstChange.retain - firstLeft > 0) {
                otherIter.next(firstChange.retain - firstLeft);
            }
        }
        if (!thisIter.hasNext()) {
            if (throwOnError)
                throw new Error('apply() called with change that extends beyond document');
        }
        let line = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].createFrom(thisIter.peekLine());
        // let wentBeyond = false;
        function addLine(line) {
            line.length = line.content.length() + 1;
            lines.push(line);
        }
        while (thisIter.hasNext() || otherIter.hasNext()) {
            if (otherIter.peekType() === 'insert') {
                const otherOp = otherIter.peek();
                const index = typeof otherOp.insert === 'string'
                    ? otherOp.insert.indexOf('\n', otherIter.offset)
                    : -1;
                if (index < 0) {
                    line.content.push(otherIter.next());
                }
                else {
                    const nextIndex = index - otherIter.offset;
                    if (nextIndex)
                        line.content.push(otherIter.next(nextIndex));
                    const newlineOp = otherIter.next(1);
                    // Ensure that the content up until now retains the current line id
                    addLine(_Line__WEBPACK_IMPORTED_MODULE_1__["default"].create(line.content, newlineOp.attributes, line.id));
                    // Reset the content and ID of the new line
                    line = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].create(undefined, line.attributes);
                }
            }
            else {
                const length = Math.min(thisIter.peekLength(), otherIter.peekLength());
                const thisOp = thisIter.next(length);
                const otherOp = otherIter.next(length);
                if (typeof thisOp.retain === 'number') {
                    if (throwOnError)
                        throw new Error('apply() called with change that extends beyond document');
                    // line.content.push({ insert: '#'.repeat(otherOp.retain || 1) });
                    // wentBeyond = true;
                    continue;
                }
                if (typeof otherOp.retain === 'number') {
                    const isLine = thisOp.insert === '\n';
                    let newOp = thisOp;
                    // Preserve null when composing with a retain, otherwise remove it for inserts
                    const attributes = otherOp.attributes &&
                        _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.compose(thisOp.attributes, otherOp.attributes);
                    if (otherOp.attributes && !(0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(attributes, thisOp.attributes)) {
                        if (isLine) {
                            line.attributes = attributes || {};
                        }
                        else {
                            newOp = { insert: thisOp.insert };
                            if (attributes)
                                newOp.attributes = attributes;
                        }
                    }
                    if (isLine) {
                        addLine(line);
                        line = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].createFrom(thisIter.peekLine());
                    }
                    else {
                        line.content.push(newOp);
                    }
                    // Optimization if at the end of other
                    if (otherOp.retain === Infinity || !otherIter.hasNext()) {
                        if (thisIter.opIterator.index !== 0 ||
                            thisIter.opIterator.offset !== 0) {
                            const ops = thisIter.restCurrentLine();
                            for (let i = 0; i < ops.length; i++) {
                                line.content.push(ops[i]);
                            }
                            addLine(line);
                            thisIter.nextLine();
                        }
                        lines.push(...thisIter.restLines());
                        break;
                    }
                }
                else if (typeof otherOp.delete === 'number') {
                    if (thisOp.insert === '\n') {
                        // Be sure a deleted line is not kept
                        line = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].create(line.content, (_a = thisIter.peekLine()) === null || _a === void 0 ? void 0 : _a.attributes, line.id);
                    }
                    // else ... otherOp should be a delete so we won't add the next thisOp insert
                }
            }
        }
        // if (wentBeyond) {
        //   console.log('went beyond:', line);
        //   addLine(line);
        // }
        // Deleted the last newline without replacing it
        if (!lines.length) {
            lines.push(line);
        }
        return new TextDocument(lines, selection);
    }
    replace(delta, selection) {
        return new TextDocument(delta, selection);
    }
    toDelta() {
        const cache = DELTA_CACHE;
        let delta = cache.get(this);
        if (!delta) {
            delta = _Line__WEBPACK_IMPORTED_MODULE_1__["default"].toDelta(this.lines);
            cache.set(this, delta);
        }
        return delta;
    }
    equals(other, options) {
        return (this === other ||
            (((options === null || options === void 0 ? void 0 : options.contentOnly) || (0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.selection, other.selection)) &&
                (0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(this.lines, other.lines, { excludeProps })));
    }
    toJSON() {
        return this.toDelta();
    }
    toString() {
        return (this.lines
            .map((line) => line.content
            .map((op) => (typeof op.insert === 'string' ? op.insert : ' '))
            .join(''))
            .join('\n') + '\n');
    }
}
function getAttributes(Type, data, from, to, filter, options) {
    const iter = Type.iterator(data);
    let attributes;
    let index = 0;
    if (iter.skip)
        index += iter.skip(from);
    while (index < to && iter.hasNext()) {
        const next = iter.next();
        index += Type.length(next);
        if (index > from && (!filter || filter(next))) {
            if (!next.attributes)
                attributes = {};
            else if (!attributes)
                attributes = { ...next.attributes };
            else if (options === null || options === void 0 ? void 0 : options.allFormats)
                attributes = _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.AttributeMap.compose(attributes, next.attributes);
            else
                attributes = intersectAttributes(attributes, next.attributes, options === null || options === void 0 ? void 0 : options.nameOnly);
        }
    }
    return attributes || EMPTY_OBJ;
}
// Intersect 2 attibute maps, keeping only those that are equal in both
function intersectAttributes(attributes, other, nameOnly) {
    return Object.keys(other).reduce(function (intersect, name) {
        if (nameOnly) {
            if (name in attributes && name in other)
                intersect[name] = true;
        }
        else if ((0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(attributes[name], other[name], { partial: true })) {
            intersect[name] = other[name];
        }
        else if ((0,_typewriter_delta__WEBPACK_IMPORTED_MODULE_0__.isEqual)(other[name], attributes[name], { partial: true })) {
            intersect[name] = attributes[name];
        }
        return intersect;
    }, {});
}
//# sourceMappingURL=TextDocument.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/deltaToText.js":
/*!**************************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/deltaToText.js ***!
  \**************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "deltaToText": () => (/* binding */ deltaToText)
/* harmony export */ });
function deltaToText(delta) {
    return delta
        .map((op) => typeof op.insert === 'string' ? op.insert : op.insert ? ' ' : '')
        .join('');
}
//# sourceMappingURL=deltaToText.js.map

/***/ }),

/***/ "./node_modules/@typewriter/document/lib/index.js":
/*!********************************************************!*\
  !*** ./node_modules/@typewriter/document/lib/index.js ***!
  \********************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Line": () => (/* reexport safe */ _Line__WEBPACK_IMPORTED_MODULE_3__["default"]),
/* harmony export */   "LineIterator": () => (/* reexport safe */ _Line__WEBPACK_IMPORTED_MODULE_3__.LineIterator),
/* harmony export */   "LineOp": () => (/* reexport safe */ _LineOp__WEBPACK_IMPORTED_MODULE_4__["default"]),
/* harmony export */   "LineOpIterator": () => (/* reexport safe */ _LineOp__WEBPACK_IMPORTED_MODULE_4__.LineOpIterator),
/* harmony export */   "TextChange": () => (/* reexport safe */ _TextChange__WEBPACK_IMPORTED_MODULE_5__["default"]),
/* harmony export */   "TextDocument": () => (/* reexport safe */ _TextDocument__WEBPACK_IMPORTED_MODULE_6__["default"]),
/* harmony export */   "deltaToText": () => (/* reexport safe */ _deltaToText__WEBPACK_IMPORTED_MODULE_2__.deltaToText),
/* harmony export */   "hasFormat": () => (/* reexport safe */ _TextChange__WEBPACK_IMPORTED_MODULE_5__.hasFormat),
/* harmony export */   "intersect": () => (/* reexport safe */ _TextChange__WEBPACK_IMPORTED_MODULE_5__.intersect),
/* harmony export */   "normalizeRange": () => (/* reexport safe */ _EditorRange__WEBPACK_IMPORTED_MODULE_1__.normalizeRange)
/* harmony export */ });
/* harmony import */ var _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/delta */ "./node_modules/@typewriter/delta/dist/index.js");
/* harmony reexport (unknown) */ var __WEBPACK_REEXPORT_OBJECT__ = {};
/* harmony reexport (unknown) */ for(const __WEBPACK_IMPORT_KEY__ in _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__) if(["default","Line","LineOp","TextChange","TextDocument"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) __WEBPACK_REEXPORT_OBJECT__[__WEBPACK_IMPORT_KEY__] = () => _typewriter_delta__WEBPACK_IMPORTED_MODULE_0__[__WEBPACK_IMPORT_KEY__]
/* harmony reexport (unknown) */ __webpack_require__.d(__webpack_exports__, __WEBPACK_REEXPORT_OBJECT__);
/* harmony import */ var _EditorRange__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./EditorRange */ "./node_modules/@typewriter/document/lib/EditorRange.js");
/* harmony import */ var _deltaToText__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./deltaToText */ "./node_modules/@typewriter/document/lib/deltaToText.js");
/* harmony import */ var _Line__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Line */ "./node_modules/@typewriter/document/lib/Line.js");
/* harmony import */ var _LineOp__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./LineOp */ "./node_modules/@typewriter/document/lib/LineOp.js");
/* harmony import */ var _TextChange__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./TextChange */ "./node_modules/@typewriter/document/lib/TextChange.js");
/* harmony import */ var _TextDocument__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./TextDocument */ "./node_modules/@typewriter/document/lib/TextDocument.js");











//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./node_modules/svelte/internal/index.mjs":
/*!************************************************!*\
  !*** ./node_modules/svelte/internal/index.mjs ***!
  \************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HtmlTag": () => (/* binding */ HtmlTag),
/* harmony export */   "HtmlTagHydration": () => (/* binding */ HtmlTagHydration),
/* harmony export */   "SvelteComponent": () => (/* binding */ SvelteComponent),
/* harmony export */   "SvelteComponentDev": () => (/* binding */ SvelteComponentDev),
/* harmony export */   "SvelteComponentTyped": () => (/* binding */ SvelteComponentTyped),
/* harmony export */   "SvelteElement": () => (/* binding */ SvelteElement),
/* harmony export */   "action_destroyer": () => (/* binding */ action_destroyer),
/* harmony export */   "add_attribute": () => (/* binding */ add_attribute),
/* harmony export */   "add_classes": () => (/* binding */ add_classes),
/* harmony export */   "add_flush_callback": () => (/* binding */ add_flush_callback),
/* harmony export */   "add_location": () => (/* binding */ add_location),
/* harmony export */   "add_render_callback": () => (/* binding */ add_render_callback),
/* harmony export */   "add_resize_listener": () => (/* binding */ add_resize_listener),
/* harmony export */   "add_styles": () => (/* binding */ add_styles),
/* harmony export */   "add_transform": () => (/* binding */ add_transform),
/* harmony export */   "afterUpdate": () => (/* binding */ afterUpdate),
/* harmony export */   "append": () => (/* binding */ append),
/* harmony export */   "append_dev": () => (/* binding */ append_dev),
/* harmony export */   "append_empty_stylesheet": () => (/* binding */ append_empty_stylesheet),
/* harmony export */   "append_hydration": () => (/* binding */ append_hydration),
/* harmony export */   "append_hydration_dev": () => (/* binding */ append_hydration_dev),
/* harmony export */   "append_styles": () => (/* binding */ append_styles),
/* harmony export */   "assign": () => (/* binding */ assign),
/* harmony export */   "attr": () => (/* binding */ attr),
/* harmony export */   "attr_dev": () => (/* binding */ attr_dev),
/* harmony export */   "attribute_to_object": () => (/* binding */ attribute_to_object),
/* harmony export */   "beforeUpdate": () => (/* binding */ beforeUpdate),
/* harmony export */   "bind": () => (/* binding */ bind),
/* harmony export */   "binding_callbacks": () => (/* binding */ binding_callbacks),
/* harmony export */   "blank_object": () => (/* binding */ blank_object),
/* harmony export */   "bubble": () => (/* binding */ bubble),
/* harmony export */   "check_outros": () => (/* binding */ check_outros),
/* harmony export */   "children": () => (/* binding */ children),
/* harmony export */   "claim_component": () => (/* binding */ claim_component),
/* harmony export */   "claim_element": () => (/* binding */ claim_element),
/* harmony export */   "claim_html_tag": () => (/* binding */ claim_html_tag),
/* harmony export */   "claim_space": () => (/* binding */ claim_space),
/* harmony export */   "claim_svg_element": () => (/* binding */ claim_svg_element),
/* harmony export */   "claim_text": () => (/* binding */ claim_text),
/* harmony export */   "clear_loops": () => (/* binding */ clear_loops),
/* harmony export */   "component_subscribe": () => (/* binding */ component_subscribe),
/* harmony export */   "compute_rest_props": () => (/* binding */ compute_rest_props),
/* harmony export */   "compute_slots": () => (/* binding */ compute_slots),
/* harmony export */   "construct_svelte_component": () => (/* binding */ construct_svelte_component),
/* harmony export */   "construct_svelte_component_dev": () => (/* binding */ construct_svelte_component_dev),
/* harmony export */   "createEventDispatcher": () => (/* binding */ createEventDispatcher),
/* harmony export */   "create_animation": () => (/* binding */ create_animation),
/* harmony export */   "create_bidirectional_transition": () => (/* binding */ create_bidirectional_transition),
/* harmony export */   "create_component": () => (/* binding */ create_component),
/* harmony export */   "create_in_transition": () => (/* binding */ create_in_transition),
/* harmony export */   "create_out_transition": () => (/* binding */ create_out_transition),
/* harmony export */   "create_slot": () => (/* binding */ create_slot),
/* harmony export */   "create_ssr_component": () => (/* binding */ create_ssr_component),
/* harmony export */   "current_component": () => (/* binding */ current_component),
/* harmony export */   "custom_event": () => (/* binding */ custom_event),
/* harmony export */   "dataset_dev": () => (/* binding */ dataset_dev),
/* harmony export */   "debug": () => (/* binding */ debug),
/* harmony export */   "destroy_block": () => (/* binding */ destroy_block),
/* harmony export */   "destroy_component": () => (/* binding */ destroy_component),
/* harmony export */   "destroy_each": () => (/* binding */ destroy_each),
/* harmony export */   "detach": () => (/* binding */ detach),
/* harmony export */   "detach_after_dev": () => (/* binding */ detach_after_dev),
/* harmony export */   "detach_before_dev": () => (/* binding */ detach_before_dev),
/* harmony export */   "detach_between_dev": () => (/* binding */ detach_between_dev),
/* harmony export */   "detach_dev": () => (/* binding */ detach_dev),
/* harmony export */   "dirty_components": () => (/* binding */ dirty_components),
/* harmony export */   "dispatch_dev": () => (/* binding */ dispatch_dev),
/* harmony export */   "each": () => (/* binding */ each),
/* harmony export */   "element": () => (/* binding */ element),
/* harmony export */   "element_is": () => (/* binding */ element_is),
/* harmony export */   "empty": () => (/* binding */ empty),
/* harmony export */   "end_hydrating": () => (/* binding */ end_hydrating),
/* harmony export */   "escape": () => (/* binding */ escape),
/* harmony export */   "escape_attribute_value": () => (/* binding */ escape_attribute_value),
/* harmony export */   "escape_object": () => (/* binding */ escape_object),
/* harmony export */   "exclude_internal_props": () => (/* binding */ exclude_internal_props),
/* harmony export */   "fix_and_destroy_block": () => (/* binding */ fix_and_destroy_block),
/* harmony export */   "fix_and_outro_and_destroy_block": () => (/* binding */ fix_and_outro_and_destroy_block),
/* harmony export */   "fix_position": () => (/* binding */ fix_position),
/* harmony export */   "flush": () => (/* binding */ flush),
/* harmony export */   "getAllContexts": () => (/* binding */ getAllContexts),
/* harmony export */   "getContext": () => (/* binding */ getContext),
/* harmony export */   "get_all_dirty_from_scope": () => (/* binding */ get_all_dirty_from_scope),
/* harmony export */   "get_binding_group_value": () => (/* binding */ get_binding_group_value),
/* harmony export */   "get_current_component": () => (/* binding */ get_current_component),
/* harmony export */   "get_custom_elements_slots": () => (/* binding */ get_custom_elements_slots),
/* harmony export */   "get_root_for_style": () => (/* binding */ get_root_for_style),
/* harmony export */   "get_slot_changes": () => (/* binding */ get_slot_changes),
/* harmony export */   "get_spread_object": () => (/* binding */ get_spread_object),
/* harmony export */   "get_spread_update": () => (/* binding */ get_spread_update),
/* harmony export */   "get_store_value": () => (/* binding */ get_store_value),
/* harmony export */   "globals": () => (/* binding */ globals),
/* harmony export */   "group_outros": () => (/* binding */ group_outros),
/* harmony export */   "handle_promise": () => (/* binding */ handle_promise),
/* harmony export */   "hasContext": () => (/* binding */ hasContext),
/* harmony export */   "has_prop": () => (/* binding */ has_prop),
/* harmony export */   "head_selector": () => (/* binding */ head_selector),
/* harmony export */   "identity": () => (/* binding */ identity),
/* harmony export */   "init": () => (/* binding */ init),
/* harmony export */   "insert": () => (/* binding */ insert),
/* harmony export */   "insert_dev": () => (/* binding */ insert_dev),
/* harmony export */   "insert_hydration": () => (/* binding */ insert_hydration),
/* harmony export */   "insert_hydration_dev": () => (/* binding */ insert_hydration_dev),
/* harmony export */   "intros": () => (/* binding */ intros),
/* harmony export */   "invalid_attribute_name_character": () => (/* binding */ invalid_attribute_name_character),
/* harmony export */   "is_client": () => (/* binding */ is_client),
/* harmony export */   "is_crossorigin": () => (/* binding */ is_crossorigin),
/* harmony export */   "is_empty": () => (/* binding */ is_empty),
/* harmony export */   "is_function": () => (/* binding */ is_function),
/* harmony export */   "is_promise": () => (/* binding */ is_promise),
/* harmony export */   "is_void": () => (/* binding */ is_void),
/* harmony export */   "listen": () => (/* binding */ listen),
/* harmony export */   "listen_dev": () => (/* binding */ listen_dev),
/* harmony export */   "loop": () => (/* binding */ loop),
/* harmony export */   "loop_guard": () => (/* binding */ loop_guard),
/* harmony export */   "merge_ssr_styles": () => (/* binding */ merge_ssr_styles),
/* harmony export */   "missing_component": () => (/* binding */ missing_component),
/* harmony export */   "mount_component": () => (/* binding */ mount_component),
/* harmony export */   "noop": () => (/* binding */ noop),
/* harmony export */   "not_equal": () => (/* binding */ not_equal),
/* harmony export */   "now": () => (/* binding */ now),
/* harmony export */   "null_to_empty": () => (/* binding */ null_to_empty),
/* harmony export */   "object_without_properties": () => (/* binding */ object_without_properties),
/* harmony export */   "onDestroy": () => (/* binding */ onDestroy),
/* harmony export */   "onMount": () => (/* binding */ onMount),
/* harmony export */   "once": () => (/* binding */ once),
/* harmony export */   "outro_and_destroy_block": () => (/* binding */ outro_and_destroy_block),
/* harmony export */   "prevent_default": () => (/* binding */ prevent_default),
/* harmony export */   "prop_dev": () => (/* binding */ prop_dev),
/* harmony export */   "query_selector_all": () => (/* binding */ query_selector_all),
/* harmony export */   "raf": () => (/* binding */ raf),
/* harmony export */   "run": () => (/* binding */ run),
/* harmony export */   "run_all": () => (/* binding */ run_all),
/* harmony export */   "safe_not_equal": () => (/* binding */ safe_not_equal),
/* harmony export */   "schedule_update": () => (/* binding */ schedule_update),
/* harmony export */   "select_multiple_value": () => (/* binding */ select_multiple_value),
/* harmony export */   "select_option": () => (/* binding */ select_option),
/* harmony export */   "select_options": () => (/* binding */ select_options),
/* harmony export */   "select_value": () => (/* binding */ select_value),
/* harmony export */   "self": () => (/* binding */ self),
/* harmony export */   "setContext": () => (/* binding */ setContext),
/* harmony export */   "set_attributes": () => (/* binding */ set_attributes),
/* harmony export */   "set_current_component": () => (/* binding */ set_current_component),
/* harmony export */   "set_custom_element_data": () => (/* binding */ set_custom_element_data),
/* harmony export */   "set_custom_element_data_map": () => (/* binding */ set_custom_element_data_map),
/* harmony export */   "set_data": () => (/* binding */ set_data),
/* harmony export */   "set_data_dev": () => (/* binding */ set_data_dev),
/* harmony export */   "set_input_type": () => (/* binding */ set_input_type),
/* harmony export */   "set_input_value": () => (/* binding */ set_input_value),
/* harmony export */   "set_now": () => (/* binding */ set_now),
/* harmony export */   "set_raf": () => (/* binding */ set_raf),
/* harmony export */   "set_store_value": () => (/* binding */ set_store_value),
/* harmony export */   "set_style": () => (/* binding */ set_style),
/* harmony export */   "set_svg_attributes": () => (/* binding */ set_svg_attributes),
/* harmony export */   "space": () => (/* binding */ space),
/* harmony export */   "spread": () => (/* binding */ spread),
/* harmony export */   "src_url_equal": () => (/* binding */ src_url_equal),
/* harmony export */   "start_hydrating": () => (/* binding */ start_hydrating),
/* harmony export */   "stop_propagation": () => (/* binding */ stop_propagation),
/* harmony export */   "subscribe": () => (/* binding */ subscribe),
/* harmony export */   "svg_element": () => (/* binding */ svg_element),
/* harmony export */   "text": () => (/* binding */ text),
/* harmony export */   "tick": () => (/* binding */ tick),
/* harmony export */   "time_ranges_to_array": () => (/* binding */ time_ranges_to_array),
/* harmony export */   "to_number": () => (/* binding */ to_number),
/* harmony export */   "toggle_class": () => (/* binding */ toggle_class),
/* harmony export */   "transition_in": () => (/* binding */ transition_in),
/* harmony export */   "transition_out": () => (/* binding */ transition_out),
/* harmony export */   "trusted": () => (/* binding */ trusted),
/* harmony export */   "update_await_block_branch": () => (/* binding */ update_await_block_branch),
/* harmony export */   "update_keyed_each": () => (/* binding */ update_keyed_each),
/* harmony export */   "update_slot": () => (/* binding */ update_slot),
/* harmony export */   "update_slot_base": () => (/* binding */ update_slot_base),
/* harmony export */   "validate_component": () => (/* binding */ validate_component),
/* harmony export */   "validate_dynamic_element": () => (/* binding */ validate_dynamic_element),
/* harmony export */   "validate_each_argument": () => (/* binding */ validate_each_argument),
/* harmony export */   "validate_each_keys": () => (/* binding */ validate_each_keys),
/* harmony export */   "validate_slots": () => (/* binding */ validate_slots),
/* harmony export */   "validate_store": () => (/* binding */ validate_store),
/* harmony export */   "validate_void_dynamic_element": () => (/* binding */ validate_void_dynamic_element),
/* harmony export */   "xlink_attr": () => (/* binding */ xlink_attr)
/* harmony export */ });
function noop() { }
const identity = x => x;
function assign(tar, src) {
    // @ts-ignore
    for (const k in src)
        tar[k] = src[k];
    return tar;
}
// Adapted from https://github.com/then/is-promise/blob/master/index.js
// Distributed under MIT License https://github.com/then/is-promise/blob/master/LICENSE
function is_promise(value) {
    return !!value && (typeof value === 'object' || typeof value === 'function') && typeof value.then === 'function';
}
function add_location(element, file, line, column, char) {
    element.__svelte_meta = {
        loc: { file, line, column, char }
    };
}
function run(fn) {
    return fn();
}
function blank_object() {
    return Object.create(null);
}
function run_all(fns) {
    fns.forEach(run);
}
function is_function(thing) {
    return typeof thing === 'function';
}
function safe_not_equal(a, b) {
    return a != a ? b == b : a !== b || ((a && typeof a === 'object') || typeof a === 'function');
}
let src_url_equal_anchor;
function src_url_equal(element_src, url) {
    if (!src_url_equal_anchor) {
        src_url_equal_anchor = document.createElement('a');
    }
    src_url_equal_anchor.href = url;
    return element_src === src_url_equal_anchor.href;
}
function not_equal(a, b) {
    return a != a ? b == b : a !== b;
}
function is_empty(obj) {
    return Object.keys(obj).length === 0;
}
function validate_store(store, name) {
    if (store != null && typeof store.subscribe !== 'function') {
        throw new Error(`'${name}' is not a store with a 'subscribe' method`);
    }
}
function subscribe(store, ...callbacks) {
    if (store == null) {
        return noop;
    }
    const unsub = store.subscribe(...callbacks);
    return unsub.unsubscribe ? () => unsub.unsubscribe() : unsub;
}
function get_store_value(store) {
    let value;
    subscribe(store, _ => value = _)();
    return value;
}
function component_subscribe(component, store, callback) {
    component.$$.on_destroy.push(subscribe(store, callback));
}
function create_slot(definition, ctx, $$scope, fn) {
    if (definition) {
        const slot_ctx = get_slot_context(definition, ctx, $$scope, fn);
        return definition[0](slot_ctx);
    }
}
function get_slot_context(definition, ctx, $$scope, fn) {
    return definition[1] && fn
        ? assign($$scope.ctx.slice(), definition[1](fn(ctx)))
        : $$scope.ctx;
}
function get_slot_changes(definition, $$scope, dirty, fn) {
    if (definition[2] && fn) {
        const lets = definition[2](fn(dirty));
        if ($$scope.dirty === undefined) {
            return lets;
        }
        if (typeof lets === 'object') {
            const merged = [];
            const len = Math.max($$scope.dirty.length, lets.length);
            for (let i = 0; i < len; i += 1) {
                merged[i] = $$scope.dirty[i] | lets[i];
            }
            return merged;
        }
        return $$scope.dirty | lets;
    }
    return $$scope.dirty;
}
function update_slot_base(slot, slot_definition, ctx, $$scope, slot_changes, get_slot_context_fn) {
    if (slot_changes) {
        const slot_context = get_slot_context(slot_definition, ctx, $$scope, get_slot_context_fn);
        slot.p(slot_context, slot_changes);
    }
}
function update_slot(slot, slot_definition, ctx, $$scope, dirty, get_slot_changes_fn, get_slot_context_fn) {
    const slot_changes = get_slot_changes(slot_definition, $$scope, dirty, get_slot_changes_fn);
    update_slot_base(slot, slot_definition, ctx, $$scope, slot_changes, get_slot_context_fn);
}
function get_all_dirty_from_scope($$scope) {
    if ($$scope.ctx.length > 32) {
        const dirty = [];
        const length = $$scope.ctx.length / 32;
        for (let i = 0; i < length; i++) {
            dirty[i] = -1;
        }
        return dirty;
    }
    return -1;
}
function exclude_internal_props(props) {
    const result = {};
    for (const k in props)
        if (k[0] !== '$')
            result[k] = props[k];
    return result;
}
function compute_rest_props(props, keys) {
    const rest = {};
    keys = new Set(keys);
    for (const k in props)
        if (!keys.has(k) && k[0] !== '$')
            rest[k] = props[k];
    return rest;
}
function compute_slots(slots) {
    const result = {};
    for (const key in slots) {
        result[key] = true;
    }
    return result;
}
function once(fn) {
    let ran = false;
    return function (...args) {
        if (ran)
            return;
        ran = true;
        fn.call(this, ...args);
    };
}
function null_to_empty(value) {
    return value == null ? '' : value;
}
function set_store_value(store, ret, value) {
    store.set(value);
    return ret;
}
const has_prop = (obj, prop) => Object.prototype.hasOwnProperty.call(obj, prop);
function action_destroyer(action_result) {
    return action_result && is_function(action_result.destroy) ? action_result.destroy : noop;
}

const is_client = typeof window !== 'undefined';
let now = is_client
    ? () => window.performance.now()
    : () => Date.now();
let raf = is_client ? cb => requestAnimationFrame(cb) : noop;
// used internally for testing
function set_now(fn) {
    now = fn;
}
function set_raf(fn) {
    raf = fn;
}

const tasks = new Set();
function run_tasks(now) {
    tasks.forEach(task => {
        if (!task.c(now)) {
            tasks.delete(task);
            task.f();
        }
    });
    if (tasks.size !== 0)
        raf(run_tasks);
}
/**
 * For testing purposes only!
 */
function clear_loops() {
    tasks.clear();
}
/**
 * Creates a new task that runs on each raf frame
 * until it returns a falsy value or is aborted
 */
function loop(callback) {
    let task;
    if (tasks.size === 0)
        raf(run_tasks);
    return {
        promise: new Promise(fulfill => {
            tasks.add(task = { c: callback, f: fulfill });
        }),
        abort() {
            tasks.delete(task);
        }
    };
}

// Track which nodes are claimed during hydration. Unclaimed nodes can then be removed from the DOM
// at the end of hydration without touching the remaining nodes.
let is_hydrating = false;
function start_hydrating() {
    is_hydrating = true;
}
function end_hydrating() {
    is_hydrating = false;
}
function upper_bound(low, high, key, value) {
    // Return first index of value larger than input value in the range [low, high)
    while (low < high) {
        const mid = low + ((high - low) >> 1);
        if (key(mid) <= value) {
            low = mid + 1;
        }
        else {
            high = mid;
        }
    }
    return low;
}
function init_hydrate(target) {
    if (target.hydrate_init)
        return;
    target.hydrate_init = true;
    // We know that all children have claim_order values since the unclaimed have been detached if target is not <head>
    let children = target.childNodes;
    // If target is <head>, there may be children without claim_order
    if (target.nodeName === 'HEAD') {
        const myChildren = [];
        for (let i = 0; i < children.length; i++) {
            const node = children[i];
            if (node.claim_order !== undefined) {
                myChildren.push(node);
            }
        }
        children = myChildren;
    }
    /*
    * Reorder claimed children optimally.
    * We can reorder claimed children optimally by finding the longest subsequence of
    * nodes that are already claimed in order and only moving the rest. The longest
    * subsequence of nodes that are claimed in order can be found by
    * computing the longest increasing subsequence of .claim_order values.
    *
    * This algorithm is optimal in generating the least amount of reorder operations
    * possible.
    *
    * Proof:
    * We know that, given a set of reordering operations, the nodes that do not move
    * always form an increasing subsequence, since they do not move among each other
    * meaning that they must be already ordered among each other. Thus, the maximal
    * set of nodes that do not move form a longest increasing subsequence.
    */
    // Compute longest increasing subsequence
    // m: subsequence length j => index k of smallest value that ends an increasing subsequence of length j
    const m = new Int32Array(children.length + 1);
    // Predecessor indices + 1
    const p = new Int32Array(children.length);
    m[0] = -1;
    let longest = 0;
    for (let i = 0; i < children.length; i++) {
        const current = children[i].claim_order;
        // Find the largest subsequence length such that it ends in a value less than our current value
        // upper_bound returns first greater value, so we subtract one
        // with fast path for when we are on the current longest subsequence
        const seqLen = ((longest > 0 && children[m[longest]].claim_order <= current) ? longest + 1 : upper_bound(1, longest, idx => children[m[idx]].claim_order, current)) - 1;
        p[i] = m[seqLen] + 1;
        const newLen = seqLen + 1;
        // We can guarantee that current is the smallest value. Otherwise, we would have generated a longer sequence.
        m[newLen] = i;
        longest = Math.max(newLen, longest);
    }
    // The longest increasing subsequence of nodes (initially reversed)
    const lis = [];
    // The rest of the nodes, nodes that will be moved
    const toMove = [];
    let last = children.length - 1;
    for (let cur = m[longest] + 1; cur != 0; cur = p[cur - 1]) {
        lis.push(children[cur - 1]);
        for (; last >= cur; last--) {
            toMove.push(children[last]);
        }
        last--;
    }
    for (; last >= 0; last--) {
        toMove.push(children[last]);
    }
    lis.reverse();
    // We sort the nodes being moved to guarantee that their insertion order matches the claim order
    toMove.sort((a, b) => a.claim_order - b.claim_order);
    // Finally, we move the nodes
    for (let i = 0, j = 0; i < toMove.length; i++) {
        while (j < lis.length && toMove[i].claim_order >= lis[j].claim_order) {
            j++;
        }
        const anchor = j < lis.length ? lis[j] : null;
        target.insertBefore(toMove[i], anchor);
    }
}
function append(target, node) {
    target.appendChild(node);
}
function append_styles(target, style_sheet_id, styles) {
    const append_styles_to = get_root_for_style(target);
    if (!append_styles_to.getElementById(style_sheet_id)) {
        const style = element('style');
        style.id = style_sheet_id;
        style.textContent = styles;
        append_stylesheet(append_styles_to, style);
    }
}
function get_root_for_style(node) {
    if (!node)
        return document;
    const root = node.getRootNode ? node.getRootNode() : node.ownerDocument;
    if (root && root.host) {
        return root;
    }
    return node.ownerDocument;
}
function append_empty_stylesheet(node) {
    const style_element = element('style');
    append_stylesheet(get_root_for_style(node), style_element);
    return style_element.sheet;
}
function append_stylesheet(node, style) {
    append(node.head || node, style);
    return style.sheet;
}
function append_hydration(target, node) {
    if (is_hydrating) {
        init_hydrate(target);
        if ((target.actual_end_child === undefined) || ((target.actual_end_child !== null) && (target.actual_end_child.parentNode !== target))) {
            target.actual_end_child = target.firstChild;
        }
        // Skip nodes of undefined ordering
        while ((target.actual_end_child !== null) && (target.actual_end_child.claim_order === undefined)) {
            target.actual_end_child = target.actual_end_child.nextSibling;
        }
        if (node !== target.actual_end_child) {
            // We only insert if the ordering of this node should be modified or the parent node is not target
            if (node.claim_order !== undefined || node.parentNode !== target) {
                target.insertBefore(node, target.actual_end_child);
            }
        }
        else {
            target.actual_end_child = node.nextSibling;
        }
    }
    else if (node.parentNode !== target || node.nextSibling !== null) {
        target.appendChild(node);
    }
}
function insert(target, node, anchor) {
    target.insertBefore(node, anchor || null);
}
function insert_hydration(target, node, anchor) {
    if (is_hydrating && !anchor) {
        append_hydration(target, node);
    }
    else if (node.parentNode !== target || node.nextSibling != anchor) {
        target.insertBefore(node, anchor || null);
    }
}
function detach(node) {
    if (node.parentNode) {
        node.parentNode.removeChild(node);
    }
}
function destroy_each(iterations, detaching) {
    for (let i = 0; i < iterations.length; i += 1) {
        if (iterations[i])
            iterations[i].d(detaching);
    }
}
function element(name) {
    return document.createElement(name);
}
function element_is(name, is) {
    return document.createElement(name, { is });
}
function object_without_properties(obj, exclude) {
    const target = {};
    for (const k in obj) {
        if (has_prop(obj, k)
            // @ts-ignore
            && exclude.indexOf(k) === -1) {
            // @ts-ignore
            target[k] = obj[k];
        }
    }
    return target;
}
function svg_element(name) {
    return document.createElementNS('http://www.w3.org/2000/svg', name);
}
function text(data) {
    return document.createTextNode(data);
}
function space() {
    return text(' ');
}
function empty() {
    return text('');
}
function listen(node, event, handler, options) {
    node.addEventListener(event, handler, options);
    return () => node.removeEventListener(event, handler, options);
}
function prevent_default(fn) {
    return function (event) {
        event.preventDefault();
        // @ts-ignore
        return fn.call(this, event);
    };
}
function stop_propagation(fn) {
    return function (event) {
        event.stopPropagation();
        // @ts-ignore
        return fn.call(this, event);
    };
}
function self(fn) {
    return function (event) {
        // @ts-ignore
        if (event.target === this)
            fn.call(this, event);
    };
}
function trusted(fn) {
    return function (event) {
        // @ts-ignore
        if (event.isTrusted)
            fn.call(this, event);
    };
}
function attr(node, attribute, value) {
    if (value == null)
        node.removeAttribute(attribute);
    else if (node.getAttribute(attribute) !== value)
        node.setAttribute(attribute, value);
}
function set_attributes(node, attributes) {
    // @ts-ignore
    const descriptors = Object.getOwnPropertyDescriptors(node.__proto__);
    for (const key in attributes) {
        if (attributes[key] == null) {
            node.removeAttribute(key);
        }
        else if (key === 'style') {
            node.style.cssText = attributes[key];
        }
        else if (key === '__value') {
            node.value = node[key] = attributes[key];
        }
        else if (descriptors[key] && descriptors[key].set) {
            node[key] = attributes[key];
        }
        else {
            attr(node, key, attributes[key]);
        }
    }
}
function set_svg_attributes(node, attributes) {
    for (const key in attributes) {
        attr(node, key, attributes[key]);
    }
}
function set_custom_element_data_map(node, data_map) {
    Object.keys(data_map).forEach((key) => {
        set_custom_element_data(node, key, data_map[key]);
    });
}
function set_custom_element_data(node, prop, value) {
    if (prop in node) {
        node[prop] = typeof node[prop] === 'boolean' && value === '' ? true : value;
    }
    else {
        attr(node, prop, value);
    }
}
function xlink_attr(node, attribute, value) {
    node.setAttributeNS('http://www.w3.org/1999/xlink', attribute, value);
}
function get_binding_group_value(group, __value, checked) {
    const value = new Set();
    for (let i = 0; i < group.length; i += 1) {
        if (group[i].checked)
            value.add(group[i].__value);
    }
    if (!checked) {
        value.delete(__value);
    }
    return Array.from(value);
}
function to_number(value) {
    return value === '' ? null : +value;
}
function time_ranges_to_array(ranges) {
    const array = [];
    for (let i = 0; i < ranges.length; i += 1) {
        array.push({ start: ranges.start(i), end: ranges.end(i) });
    }
    return array;
}
function children(element) {
    return Array.from(element.childNodes);
}
function init_claim_info(nodes) {
    if (nodes.claim_info === undefined) {
        nodes.claim_info = { last_index: 0, total_claimed: 0 };
    }
}
function claim_node(nodes, predicate, processNode, createNode, dontUpdateLastIndex = false) {
    // Try to find nodes in an order such that we lengthen the longest increasing subsequence
    init_claim_info(nodes);
    const resultNode = (() => {
        // We first try to find an element after the previous one
        for (let i = nodes.claim_info.last_index; i < nodes.length; i++) {
            const node = nodes[i];
            if (predicate(node)) {
                const replacement = processNode(node);
                if (replacement === undefined) {
                    nodes.splice(i, 1);
                }
                else {
                    nodes[i] = replacement;
                }
                if (!dontUpdateLastIndex) {
                    nodes.claim_info.last_index = i;
                }
                return node;
            }
        }
        // Otherwise, we try to find one before
        // We iterate in reverse so that we don't go too far back
        for (let i = nodes.claim_info.last_index - 1; i >= 0; i--) {
            const node = nodes[i];
            if (predicate(node)) {
                const replacement = processNode(node);
                if (replacement === undefined) {
                    nodes.splice(i, 1);
                }
                else {
                    nodes[i] = replacement;
                }
                if (!dontUpdateLastIndex) {
                    nodes.claim_info.last_index = i;
                }
                else if (replacement === undefined) {
                    // Since we spliced before the last_index, we decrease it
                    nodes.claim_info.last_index--;
                }
                return node;
            }
        }
        // If we can't find any matching node, we create a new one
        return createNode();
    })();
    resultNode.claim_order = nodes.claim_info.total_claimed;
    nodes.claim_info.total_claimed += 1;
    return resultNode;
}
function claim_element_base(nodes, name, attributes, create_element) {
    return claim_node(nodes, (node) => node.nodeName === name, (node) => {
        const remove = [];
        for (let j = 0; j < node.attributes.length; j++) {
            const attribute = node.attributes[j];
            if (!attributes[attribute.name]) {
                remove.push(attribute.name);
            }
        }
        remove.forEach(v => node.removeAttribute(v));
        return undefined;
    }, () => create_element(name));
}
function claim_element(nodes, name, attributes) {
    return claim_element_base(nodes, name, attributes, element);
}
function claim_svg_element(nodes, name, attributes) {
    return claim_element_base(nodes, name, attributes, svg_element);
}
function claim_text(nodes, data) {
    return claim_node(nodes, (node) => node.nodeType === 3, (node) => {
        const dataStr = '' + data;
        if (node.data.startsWith(dataStr)) {
            if (node.data.length !== dataStr.length) {
                return node.splitText(dataStr.length);
            }
        }
        else {
            node.data = dataStr;
        }
    }, () => text(data), true // Text nodes should not update last index since it is likely not worth it to eliminate an increasing subsequence of actual elements
    );
}
function claim_space(nodes) {
    return claim_text(nodes, ' ');
}
function find_comment(nodes, text, start) {
    for (let i = start; i < nodes.length; i += 1) {
        const node = nodes[i];
        if (node.nodeType === 8 /* comment node */ && node.textContent.trim() === text) {
            return i;
        }
    }
    return nodes.length;
}
function claim_html_tag(nodes, is_svg) {
    // find html opening tag
    const start_index = find_comment(nodes, 'HTML_TAG_START', 0);
    const end_index = find_comment(nodes, 'HTML_TAG_END', start_index);
    if (start_index === end_index) {
        return new HtmlTagHydration(undefined, is_svg);
    }
    init_claim_info(nodes);
    const html_tag_nodes = nodes.splice(start_index, end_index - start_index + 1);
    detach(html_tag_nodes[0]);
    detach(html_tag_nodes[html_tag_nodes.length - 1]);
    const claimed_nodes = html_tag_nodes.slice(1, html_tag_nodes.length - 1);
    for (const n of claimed_nodes) {
        n.claim_order = nodes.claim_info.total_claimed;
        nodes.claim_info.total_claimed += 1;
    }
    return new HtmlTagHydration(claimed_nodes, is_svg);
}
function set_data(text, data) {
    data = '' + data;
    if (text.wholeText !== data)
        text.data = data;
}
function set_input_value(input, value) {
    input.value = value == null ? '' : value;
}
function set_input_type(input, type) {
    try {
        input.type = type;
    }
    catch (e) {
        // do nothing
    }
}
function set_style(node, key, value, important) {
    if (value === null) {
        node.style.removeProperty(key);
    }
    else {
        node.style.setProperty(key, value, important ? 'important' : '');
    }
}
function select_option(select, value) {
    for (let i = 0; i < select.options.length; i += 1) {
        const option = select.options[i];
        if (option.__value === value) {
            option.selected = true;
            return;
        }
    }
    select.selectedIndex = -1; // no option should be selected
}
function select_options(select, value) {
    for (let i = 0; i < select.options.length; i += 1) {
        const option = select.options[i];
        option.selected = ~value.indexOf(option.__value);
    }
}
function select_value(select) {
    const selected_option = select.querySelector(':checked') || select.options[0];
    return selected_option && selected_option.__value;
}
function select_multiple_value(select) {
    return [].map.call(select.querySelectorAll(':checked'), option => option.__value);
}
// unfortunately this can't be a constant as that wouldn't be tree-shakeable
// so we cache the result instead
let crossorigin;
function is_crossorigin() {
    if (crossorigin === undefined) {
        crossorigin = false;
        try {
            if (typeof window !== 'undefined' && window.parent) {
                void window.parent.document;
            }
        }
        catch (error) {
            crossorigin = true;
        }
    }
    return crossorigin;
}
function add_resize_listener(node, fn) {
    const computed_style = getComputedStyle(node);
    if (computed_style.position === 'static') {
        node.style.position = 'relative';
    }
    const iframe = element('iframe');
    iframe.setAttribute('style', 'display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; ' +
        'overflow: hidden; border: 0; opacity: 0; pointer-events: none; z-index: -1;');
    iframe.setAttribute('aria-hidden', 'true');
    iframe.tabIndex = -1;
    const crossorigin = is_crossorigin();
    let unsubscribe;
    if (crossorigin) {
        iframe.src = "data:text/html,<script>onresize=function(){parent.postMessage(0,'*')}</script>";
        unsubscribe = listen(window, 'message', (event) => {
            if (event.source === iframe.contentWindow)
                fn();
        });
    }
    else {
        iframe.src = 'about:blank';
        iframe.onload = () => {
            unsubscribe = listen(iframe.contentWindow, 'resize', fn);
        };
    }
    append(node, iframe);
    return () => {
        if (crossorigin) {
            unsubscribe();
        }
        else if (unsubscribe && iframe.contentWindow) {
            unsubscribe();
        }
        detach(iframe);
    };
}
function toggle_class(element, name, toggle) {
    element.classList[toggle ? 'add' : 'remove'](name);
}
function custom_event(type, detail, { bubbles = false, cancelable = false } = {}) {
    const e = document.createEvent('CustomEvent');
    e.initCustomEvent(type, bubbles, cancelable, detail);
    return e;
}
function query_selector_all(selector, parent = document.body) {
    return Array.from(parent.querySelectorAll(selector));
}
function head_selector(nodeId, head) {
    const result = [];
    let started = 0;
    for (const node of head.childNodes) {
        if (node.nodeType === 8 /* comment node */) {
            const comment = node.textContent.trim();
            if (comment === `HEAD_${nodeId}_END`) {
                started -= 1;
                result.push(node);
            }
            else if (comment === `HEAD_${nodeId}_START`) {
                started += 1;
                result.push(node);
            }
        }
        else if (started > 0) {
            result.push(node);
        }
    }
    return result;
}
class HtmlTag {
    constructor(is_svg = false) {
        this.is_svg = false;
        this.is_svg = is_svg;
        this.e = this.n = null;
    }
    c(html) {
        this.h(html);
    }
    m(html, target, anchor = null) {
        if (!this.e) {
            if (this.is_svg)
                this.e = svg_element(target.nodeName);
            else
                this.e = element(target.nodeName);
            this.t = target;
            this.c(html);
        }
        this.i(anchor);
    }
    h(html) {
        this.e.innerHTML = html;
        this.n = Array.from(this.e.childNodes);
    }
    i(anchor) {
        for (let i = 0; i < this.n.length; i += 1) {
            insert(this.t, this.n[i], anchor);
        }
    }
    p(html) {
        this.d();
        this.h(html);
        this.i(this.a);
    }
    d() {
        this.n.forEach(detach);
    }
}
class HtmlTagHydration extends HtmlTag {
    constructor(claimed_nodes, is_svg = false) {
        super(is_svg);
        this.e = this.n = null;
        this.l = claimed_nodes;
    }
    c(html) {
        if (this.l) {
            this.n = this.l;
        }
        else {
            super.c(html);
        }
    }
    i(anchor) {
        for (let i = 0; i < this.n.length; i += 1) {
            insert_hydration(this.t, this.n[i], anchor);
        }
    }
}
function attribute_to_object(attributes) {
    const result = {};
    for (const attribute of attributes) {
        result[attribute.name] = attribute.value;
    }
    return result;
}
function get_custom_elements_slots(element) {
    const result = {};
    element.childNodes.forEach((node) => {
        result[node.slot || 'default'] = true;
    });
    return result;
}
function construct_svelte_component(component, props) {
    return new component(props);
}

// we need to store the information for multiple documents because a Svelte application could also contain iframes
// https://github.com/sveltejs/svelte/issues/3624
const managed_styles = new Map();
let active = 0;
// https://github.com/darkskyapp/string-hash/blob/master/index.js
function hash(str) {
    let hash = 5381;
    let i = str.length;
    while (i--)
        hash = ((hash << 5) - hash) ^ str.charCodeAt(i);
    return hash >>> 0;
}
function create_style_information(doc, node) {
    const info = { stylesheet: append_empty_stylesheet(node), rules: {} };
    managed_styles.set(doc, info);
    return info;
}
function create_rule(node, a, b, duration, delay, ease, fn, uid = 0) {
    const step = 16.666 / duration;
    let keyframes = '{\n';
    for (let p = 0; p <= 1; p += step) {
        const t = a + (b - a) * ease(p);
        keyframes += p * 100 + `%{${fn(t, 1 - t)}}\n`;
    }
    const rule = keyframes + `100% {${fn(b, 1 - b)}}\n}`;
    const name = `__svelte_${hash(rule)}_${uid}`;
    const doc = get_root_for_style(node);
    const { stylesheet, rules } = managed_styles.get(doc) || create_style_information(doc, node);
    if (!rules[name]) {
        rules[name] = true;
        stylesheet.insertRule(`@keyframes ${name} ${rule}`, stylesheet.cssRules.length);
    }
    const animation = node.style.animation || '';
    node.style.animation = `${animation ? `${animation}, ` : ''}${name} ${duration}ms linear ${delay}ms 1 both`;
    active += 1;
    return name;
}
function delete_rule(node, name) {
    const previous = (node.style.animation || '').split(', ');
    const next = previous.filter(name
        ? anim => anim.indexOf(name) < 0 // remove specific animation
        : anim => anim.indexOf('__svelte') === -1 // remove all Svelte animations
    );
    const deleted = previous.length - next.length;
    if (deleted) {
        node.style.animation = next.join(', ');
        active -= deleted;
        if (!active)
            clear_rules();
    }
}
function clear_rules() {
    raf(() => {
        if (active)
            return;
        managed_styles.forEach(info => {
            const { ownerNode } = info.stylesheet;
            // there is no ownerNode if it runs on jsdom.
            if (ownerNode)
                detach(ownerNode);
        });
        managed_styles.clear();
    });
}

function create_animation(node, from, fn, params) {
    if (!from)
        return noop;
    const to = node.getBoundingClientRect();
    if (from.left === to.left && from.right === to.right && from.top === to.top && from.bottom === to.bottom)
        return noop;
    const { delay = 0, duration = 300, easing = identity, 
    // @ts-ignore todo: should this be separated from destructuring? Or start/end added to public api and documentation?
    start: start_time = now() + delay, 
    // @ts-ignore todo:
    end = start_time + duration, tick = noop, css } = fn(node, { from, to }, params);
    let running = true;
    let started = false;
    let name;
    function start() {
        if (css) {
            name = create_rule(node, 0, 1, duration, delay, easing, css);
        }
        if (!delay) {
            started = true;
        }
    }
    function stop() {
        if (css)
            delete_rule(node, name);
        running = false;
    }
    loop(now => {
        if (!started && now >= start_time) {
            started = true;
        }
        if (started && now >= end) {
            tick(1, 0);
            stop();
        }
        if (!running) {
            return false;
        }
        if (started) {
            const p = now - start_time;
            const t = 0 + 1 * easing(p / duration);
            tick(t, 1 - t);
        }
        return true;
    });
    start();
    tick(0, 1);
    return stop;
}
function fix_position(node) {
    const style = getComputedStyle(node);
    if (style.position !== 'absolute' && style.position !== 'fixed') {
        const { width, height } = style;
        const a = node.getBoundingClientRect();
        node.style.position = 'absolute';
        node.style.width = width;
        node.style.height = height;
        add_transform(node, a);
    }
}
function add_transform(node, a) {
    const b = node.getBoundingClientRect();
    if (a.left !== b.left || a.top !== b.top) {
        const style = getComputedStyle(node);
        const transform = style.transform === 'none' ? '' : style.transform;
        node.style.transform = `${transform} translate(${a.left - b.left}px, ${a.top - b.top}px)`;
    }
}

let current_component;
function set_current_component(component) {
    current_component = component;
}
function get_current_component() {
    if (!current_component)
        throw new Error('Function called outside component initialization');
    return current_component;
}
/**
 * Schedules a callback to run immediately before the component is updated after any state change.
 *
 * The first time the callback runs will be before the initial `onMount`
 *
 * https://svelte.dev/docs#run-time-svelte-beforeupdate
 */
function beforeUpdate(fn) {
    get_current_component().$$.before_update.push(fn);
}
/**
 * The `onMount` function schedules a callback to run as soon as the component has been mounted to the DOM.
 * It must be called during the component's initialisation (but doesn't need to live *inside* the component;
 * it can be called from an external module).
 *
 * `onMount` does not run inside a [server-side component](/docs#run-time-server-side-component-api).
 *
 * https://svelte.dev/docs#run-time-svelte-onmount
 */
function onMount(fn) {
    get_current_component().$$.on_mount.push(fn);
}
/**
 * Schedules a callback to run immediately after the component has been updated.
 *
 * The first time the callback runs will be after the initial `onMount`
 */
function afterUpdate(fn) {
    get_current_component().$$.after_update.push(fn);
}
/**
 * Schedules a callback to run immediately before the component is unmounted.
 *
 * Out of `onMount`, `beforeUpdate`, `afterUpdate` and `onDestroy`, this is the
 * only one that runs inside a server-side component.
 *
 * https://svelte.dev/docs#run-time-svelte-ondestroy
 */
function onDestroy(fn) {
    get_current_component().$$.on_destroy.push(fn);
}
/**
 * Creates an event dispatcher that can be used to dispatch [component events](/docs#template-syntax-component-directives-on-eventname).
 * Event dispatchers are functions that can take two arguments: `name` and `detail`.
 *
 * Component events created with `createEventDispatcher` create a
 * [CustomEvent](https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent).
 * These events do not [bubble](https://developer.mozilla.org/en-US/docs/Learn/JavaScript/Building_blocks/Events#Event_bubbling_and_capture).
 * The `detail` argument corresponds to the [CustomEvent.detail](https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent/detail)
 * property and can contain any type of data.
 *
 * https://svelte.dev/docs#run-time-svelte-createeventdispatcher
 */
function createEventDispatcher() {
    const component = get_current_component();
    return (type, detail, { cancelable = false } = {}) => {
        const callbacks = component.$$.callbacks[type];
        if (callbacks) {
            // TODO are there situations where events could be dispatched
            // in a server (non-DOM) environment?
            const event = custom_event(type, detail, { cancelable });
            callbacks.slice().forEach(fn => {
                fn.call(component, event);
            });
            return !event.defaultPrevented;
        }
        return true;
    };
}
/**
 * Associates an arbitrary `context` object with the current component and the specified `key`
 * and returns that object. The context is then available to children of the component
 * (including slotted content) with `getContext`.
 *
 * Like lifecycle functions, this must be called during component initialisation.
 *
 * https://svelte.dev/docs#run-time-svelte-setcontext
 */
function setContext(key, context) {
    get_current_component().$$.context.set(key, context);
    return context;
}
/**
 * Retrieves the context that belongs to the closest parent component with the specified `key`.
 * Must be called during component initialisation.
 *
 * https://svelte.dev/docs#run-time-svelte-getcontext
 */
function getContext(key) {
    return get_current_component().$$.context.get(key);
}
/**
 * Retrieves the whole context map that belongs to the closest parent component.
 * Must be called during component initialisation. Useful, for example, if you
 * programmatically create a component and want to pass the existing context to it.
 *
 * https://svelte.dev/docs#run-time-svelte-getallcontexts
 */
function getAllContexts() {
    return get_current_component().$$.context;
}
/**
 * Checks whether a given `key` has been set in the context of a parent component.
 * Must be called during component initialisation.
 *
 * https://svelte.dev/docs#run-time-svelte-hascontext
 */
function hasContext(key) {
    return get_current_component().$$.context.has(key);
}
// TODO figure out if we still want to support
// shorthand events, or if we want to implement
// a real bubbling mechanism
function bubble(component, event) {
    const callbacks = component.$$.callbacks[event.type];
    if (callbacks) {
        // @ts-ignore
        callbacks.slice().forEach(fn => fn.call(this, event));
    }
}

const dirty_components = [];
const intros = { enabled: false };
const binding_callbacks = [];
const render_callbacks = [];
const flush_callbacks = [];
const resolved_promise = Promise.resolve();
let update_scheduled = false;
function schedule_update() {
    if (!update_scheduled) {
        update_scheduled = true;
        resolved_promise.then(flush);
    }
}
function tick() {
    schedule_update();
    return resolved_promise;
}
function add_render_callback(fn) {
    render_callbacks.push(fn);
}
function add_flush_callback(fn) {
    flush_callbacks.push(fn);
}
// flush() calls callbacks in this order:
// 1. All beforeUpdate callbacks, in order: parents before children
// 2. All bind:this callbacks, in reverse order: children before parents.
// 3. All afterUpdate callbacks, in order: parents before children. EXCEPT
//    for afterUpdates called during the initial onMount, which are called in
//    reverse order: children before parents.
// Since callbacks might update component values, which could trigger another
// call to flush(), the following steps guard against this:
// 1. During beforeUpdate, any updated components will be added to the
//    dirty_components array and will cause a reentrant call to flush(). Because
//    the flush index is kept outside the function, the reentrant call will pick
//    up where the earlier call left off and go through all dirty components. The
//    current_component value is saved and restored so that the reentrant call will
//    not interfere with the "parent" flush() call.
// 2. bind:this callbacks cannot trigger new flush() calls.
// 3. During afterUpdate, any updated components will NOT have their afterUpdate
//    callback called a second time; the seen_callbacks set, outside the flush()
//    function, guarantees this behavior.
const seen_callbacks = new Set();
let flushidx = 0; // Do *not* move this inside the flush() function
function flush() {
    // Do not reenter flush while dirty components are updated, as this can
    // result in an infinite loop. Instead, let the inner flush handle it.
    // Reentrancy is ok afterwards for bindings etc.
    if (flushidx !== 0) {
        return;
    }
    const saved_component = current_component;
    do {
        // first, call beforeUpdate functions
        // and update components
        try {
            while (flushidx < dirty_components.length) {
                const component = dirty_components[flushidx];
                flushidx++;
                set_current_component(component);
                update(component.$$);
            }
        }
        catch (e) {
            // reset dirty state to not end up in a deadlocked state and then rethrow
            dirty_components.length = 0;
            flushidx = 0;
            throw e;
        }
        set_current_component(null);
        dirty_components.length = 0;
        flushidx = 0;
        while (binding_callbacks.length)
            binding_callbacks.pop()();
        // then, once components are updated, call
        // afterUpdate functions. This may cause
        // subsequent updates...
        for (let i = 0; i < render_callbacks.length; i += 1) {
            const callback = render_callbacks[i];
            if (!seen_callbacks.has(callback)) {
                // ...so guard against infinite loops
                seen_callbacks.add(callback);
                callback();
            }
        }
        render_callbacks.length = 0;
    } while (dirty_components.length);
    while (flush_callbacks.length) {
        flush_callbacks.pop()();
    }
    update_scheduled = false;
    seen_callbacks.clear();
    set_current_component(saved_component);
}
function update($$) {
    if ($$.fragment !== null) {
        $$.update();
        run_all($$.before_update);
        const dirty = $$.dirty;
        $$.dirty = [-1];
        $$.fragment && $$.fragment.p($$.ctx, dirty);
        $$.after_update.forEach(add_render_callback);
    }
}

let promise;
function wait() {
    if (!promise) {
        promise = Promise.resolve();
        promise.then(() => {
            promise = null;
        });
    }
    return promise;
}
function dispatch(node, direction, kind) {
    node.dispatchEvent(custom_event(`${direction ? 'intro' : 'outro'}${kind}`));
}
const outroing = new Set();
let outros;
function group_outros() {
    outros = {
        r: 0,
        c: [],
        p: outros // parent group
    };
}
function check_outros() {
    if (!outros.r) {
        run_all(outros.c);
    }
    outros = outros.p;
}
function transition_in(block, local) {
    if (block && block.i) {
        outroing.delete(block);
        block.i(local);
    }
}
function transition_out(block, local, detach, callback) {
    if (block && block.o) {
        if (outroing.has(block))
            return;
        outroing.add(block);
        outros.c.push(() => {
            outroing.delete(block);
            if (callback) {
                if (detach)
                    block.d(1);
                callback();
            }
        });
        block.o(local);
    }
    else if (callback) {
        callback();
    }
}
const null_transition = { duration: 0 };
function create_in_transition(node, fn, params) {
    const options = { direction: 'in' };
    let config = fn(node, params, options);
    let running = false;
    let animation_name;
    let task;
    let uid = 0;
    function cleanup() {
        if (animation_name)
            delete_rule(node, animation_name);
    }
    function go() {
        const { delay = 0, duration = 300, easing = identity, tick = noop, css } = config || null_transition;
        if (css)
            animation_name = create_rule(node, 0, 1, duration, delay, easing, css, uid++);
        tick(0, 1);
        const start_time = now() + delay;
        const end_time = start_time + duration;
        if (task)
            task.abort();
        running = true;
        add_render_callback(() => dispatch(node, true, 'start'));
        task = loop(now => {
            if (running) {
                if (now >= end_time) {
                    tick(1, 0);
                    dispatch(node, true, 'end');
                    cleanup();
                    return running = false;
                }
                if (now >= start_time) {
                    const t = easing((now - start_time) / duration);
                    tick(t, 1 - t);
                }
            }
            return running;
        });
    }
    let started = false;
    return {
        start() {
            if (started)
                return;
            started = true;
            delete_rule(node);
            if (is_function(config)) {
                config = config(options);
                wait().then(go);
            }
            else {
                go();
            }
        },
        invalidate() {
            started = false;
        },
        end() {
            if (running) {
                cleanup();
                running = false;
            }
        }
    };
}
function create_out_transition(node, fn, params) {
    const options = { direction: 'out' };
    let config = fn(node, params, options);
    let running = true;
    let animation_name;
    const group = outros;
    group.r += 1;
    function go() {
        const { delay = 0, duration = 300, easing = identity, tick = noop, css } = config || null_transition;
        if (css)
            animation_name = create_rule(node, 1, 0, duration, delay, easing, css);
        const start_time = now() + delay;
        const end_time = start_time + duration;
        add_render_callback(() => dispatch(node, false, 'start'));
        loop(now => {
            if (running) {
                if (now >= end_time) {
                    tick(0, 1);
                    dispatch(node, false, 'end');
                    if (!--group.r) {
                        // this will result in `end()` being called,
                        // so we don't need to clean up here
                        run_all(group.c);
                    }
                    return false;
                }
                if (now >= start_time) {
                    const t = easing((now - start_time) / duration);
                    tick(1 - t, t);
                }
            }
            return running;
        });
    }
    if (is_function(config)) {
        wait().then(() => {
            // @ts-ignore
            config = config(options);
            go();
        });
    }
    else {
        go();
    }
    return {
        end(reset) {
            if (reset && config.tick) {
                config.tick(1, 0);
            }
            if (running) {
                if (animation_name)
                    delete_rule(node, animation_name);
                running = false;
            }
        }
    };
}
function create_bidirectional_transition(node, fn, params, intro) {
    const options = { direction: 'both' };
    let config = fn(node, params, options);
    let t = intro ? 0 : 1;
    let running_program = null;
    let pending_program = null;
    let animation_name = null;
    function clear_animation() {
        if (animation_name)
            delete_rule(node, animation_name);
    }
    function init(program, duration) {
        const d = (program.b - t);
        duration *= Math.abs(d);
        return {
            a: t,
            b: program.b,
            d,
            duration,
            start: program.start,
            end: program.start + duration,
            group: program.group
        };
    }
    function go(b) {
        const { delay = 0, duration = 300, easing = identity, tick = noop, css } = config || null_transition;
        const program = {
            start: now() + delay,
            b
        };
        if (!b) {
            // @ts-ignore todo: improve typings
            program.group = outros;
            outros.r += 1;
        }
        if (running_program || pending_program) {
            pending_program = program;
        }
        else {
            // if this is an intro, and there's a delay, we need to do
            // an initial tick and/or apply CSS animation immediately
            if (css) {
                clear_animation();
                animation_name = create_rule(node, t, b, duration, delay, easing, css);
            }
            if (b)
                tick(0, 1);
            running_program = init(program, duration);
            add_render_callback(() => dispatch(node, b, 'start'));
            loop(now => {
                if (pending_program && now > pending_program.start) {
                    running_program = init(pending_program, duration);
                    pending_program = null;
                    dispatch(node, running_program.b, 'start');
                    if (css) {
                        clear_animation();
                        animation_name = create_rule(node, t, running_program.b, running_program.duration, 0, easing, config.css);
                    }
                }
                if (running_program) {
                    if (now >= running_program.end) {
                        tick(t = running_program.b, 1 - t);
                        dispatch(node, running_program.b, 'end');
                        if (!pending_program) {
                            // we're done
                            if (running_program.b) {
                                // intro — we can tidy up immediately
                                clear_animation();
                            }
                            else {
                                // outro — needs to be coordinated
                                if (!--running_program.group.r)
                                    run_all(running_program.group.c);
                            }
                        }
                        running_program = null;
                    }
                    else if (now >= running_program.start) {
                        const p = now - running_program.start;
                        t = running_program.a + running_program.d * easing(p / running_program.duration);
                        tick(t, 1 - t);
                    }
                }
                return !!(running_program || pending_program);
            });
        }
    }
    return {
        run(b) {
            if (is_function(config)) {
                wait().then(() => {
                    // @ts-ignore
                    config = config(options);
                    go(b);
                });
            }
            else {
                go(b);
            }
        },
        end() {
            clear_animation();
            running_program = pending_program = null;
        }
    };
}

function handle_promise(promise, info) {
    const token = info.token = {};
    function update(type, index, key, value) {
        if (info.token !== token)
            return;
        info.resolved = value;
        let child_ctx = info.ctx;
        if (key !== undefined) {
            child_ctx = child_ctx.slice();
            child_ctx[key] = value;
        }
        const block = type && (info.current = type)(child_ctx);
        let needs_flush = false;
        if (info.block) {
            if (info.blocks) {
                info.blocks.forEach((block, i) => {
                    if (i !== index && block) {
                        group_outros();
                        transition_out(block, 1, 1, () => {
                            if (info.blocks[i] === block) {
                                info.blocks[i] = null;
                            }
                        });
                        check_outros();
                    }
                });
            }
            else {
                info.block.d(1);
            }
            block.c();
            transition_in(block, 1);
            block.m(info.mount(), info.anchor);
            needs_flush = true;
        }
        info.block = block;
        if (info.blocks)
            info.blocks[index] = block;
        if (needs_flush) {
            flush();
        }
    }
    if (is_promise(promise)) {
        const current_component = get_current_component();
        promise.then(value => {
            set_current_component(current_component);
            update(info.then, 1, info.value, value);
            set_current_component(null);
        }, error => {
            set_current_component(current_component);
            update(info.catch, 2, info.error, error);
            set_current_component(null);
            if (!info.hasCatch) {
                throw error;
            }
        });
        // if we previously had a then/catch block, destroy it
        if (info.current !== info.pending) {
            update(info.pending, 0);
            return true;
        }
    }
    else {
        if (info.current !== info.then) {
            update(info.then, 1, info.value, promise);
            return true;
        }
        info.resolved = promise;
    }
}
function update_await_block_branch(info, ctx, dirty) {
    const child_ctx = ctx.slice();
    const { resolved } = info;
    if (info.current === info.then) {
        child_ctx[info.value] = resolved;
    }
    if (info.current === info.catch) {
        child_ctx[info.error] = resolved;
    }
    info.block.p(child_ctx, dirty);
}

const globals = (typeof window !== 'undefined'
    ? window
    : typeof globalThis !== 'undefined'
        ? globalThis
        : global);

function destroy_block(block, lookup) {
    block.d(1);
    lookup.delete(block.key);
}
function outro_and_destroy_block(block, lookup) {
    transition_out(block, 1, 1, () => {
        lookup.delete(block.key);
    });
}
function fix_and_destroy_block(block, lookup) {
    block.f();
    destroy_block(block, lookup);
}
function fix_and_outro_and_destroy_block(block, lookup) {
    block.f();
    outro_and_destroy_block(block, lookup);
}
function update_keyed_each(old_blocks, dirty, get_key, dynamic, ctx, list, lookup, node, destroy, create_each_block, next, get_context) {
    let o = old_blocks.length;
    let n = list.length;
    let i = o;
    const old_indexes = {};
    while (i--)
        old_indexes[old_blocks[i].key] = i;
    const new_blocks = [];
    const new_lookup = new Map();
    const deltas = new Map();
    i = n;
    while (i--) {
        const child_ctx = get_context(ctx, list, i);
        const key = get_key(child_ctx);
        let block = lookup.get(key);
        if (!block) {
            block = create_each_block(key, child_ctx);
            block.c();
        }
        else if (dynamic) {
            block.p(child_ctx, dirty);
        }
        new_lookup.set(key, new_blocks[i] = block);
        if (key in old_indexes)
            deltas.set(key, Math.abs(i - old_indexes[key]));
    }
    const will_move = new Set();
    const did_move = new Set();
    function insert(block) {
        transition_in(block, 1);
        block.m(node, next);
        lookup.set(block.key, block);
        next = block.first;
        n--;
    }
    while (o && n) {
        const new_block = new_blocks[n - 1];
        const old_block = old_blocks[o - 1];
        const new_key = new_block.key;
        const old_key = old_block.key;
        if (new_block === old_block) {
            // do nothing
            next = new_block.first;
            o--;
            n--;
        }
        else if (!new_lookup.has(old_key)) {
            // remove old block
            destroy(old_block, lookup);
            o--;
        }
        else if (!lookup.has(new_key) || will_move.has(new_key)) {
            insert(new_block);
        }
        else if (did_move.has(old_key)) {
            o--;
        }
        else if (deltas.get(new_key) > deltas.get(old_key)) {
            did_move.add(new_key);
            insert(new_block);
        }
        else {
            will_move.add(old_key);
            o--;
        }
    }
    while (o--) {
        const old_block = old_blocks[o];
        if (!new_lookup.has(old_block.key))
            destroy(old_block, lookup);
    }
    while (n)
        insert(new_blocks[n - 1]);
    return new_blocks;
}
function validate_each_keys(ctx, list, get_context, get_key) {
    const keys = new Set();
    for (let i = 0; i < list.length; i++) {
        const key = get_key(get_context(ctx, list, i));
        if (keys.has(key)) {
            throw new Error('Cannot have duplicate keys in a keyed each');
        }
        keys.add(key);
    }
}

function get_spread_update(levels, updates) {
    const update = {};
    const to_null_out = {};
    const accounted_for = { $$scope: 1 };
    let i = levels.length;
    while (i--) {
        const o = levels[i];
        const n = updates[i];
        if (n) {
            for (const key in o) {
                if (!(key in n))
                    to_null_out[key] = 1;
            }
            for (const key in n) {
                if (!accounted_for[key]) {
                    update[key] = n[key];
                    accounted_for[key] = 1;
                }
            }
            levels[i] = n;
        }
        else {
            for (const key in o) {
                accounted_for[key] = 1;
            }
        }
    }
    for (const key in to_null_out) {
        if (!(key in update))
            update[key] = undefined;
    }
    return update;
}
function get_spread_object(spread_props) {
    return typeof spread_props === 'object' && spread_props !== null ? spread_props : {};
}

// source: https://html.spec.whatwg.org/multipage/indices.html
const boolean_attributes = new Set([
    'allowfullscreen',
    'allowpaymentrequest',
    'async',
    'autofocus',
    'autoplay',
    'checked',
    'controls',
    'default',
    'defer',
    'disabled',
    'formnovalidate',
    'hidden',
    'inert',
    'ismap',
    'itemscope',
    'loop',
    'multiple',
    'muted',
    'nomodule',
    'novalidate',
    'open',
    'playsinline',
    'readonly',
    'required',
    'reversed',
    'selected'
]);

/** regex of all html void element names */
const void_element_names = /^(?:area|base|br|col|command|embed|hr|img|input|keygen|link|meta|param|source|track|wbr)$/;
function is_void(name) {
    return void_element_names.test(name) || name.toLowerCase() === '!doctype';
}

const invalid_attribute_name_character = /[\s'">/=\u{FDD0}-\u{FDEF}\u{FFFE}\u{FFFF}\u{1FFFE}\u{1FFFF}\u{2FFFE}\u{2FFFF}\u{3FFFE}\u{3FFFF}\u{4FFFE}\u{4FFFF}\u{5FFFE}\u{5FFFF}\u{6FFFE}\u{6FFFF}\u{7FFFE}\u{7FFFF}\u{8FFFE}\u{8FFFF}\u{9FFFE}\u{9FFFF}\u{AFFFE}\u{AFFFF}\u{BFFFE}\u{BFFFF}\u{CFFFE}\u{CFFFF}\u{DFFFE}\u{DFFFF}\u{EFFFE}\u{EFFFF}\u{FFFFE}\u{FFFFF}\u{10FFFE}\u{10FFFF}]/u;
// https://html.spec.whatwg.org/multipage/syntax.html#attributes-2
// https://infra.spec.whatwg.org/#noncharacter
function spread(args, attrs_to_add) {
    const attributes = Object.assign({}, ...args);
    if (attrs_to_add) {
        const classes_to_add = attrs_to_add.classes;
        const styles_to_add = attrs_to_add.styles;
        if (classes_to_add) {
            if (attributes.class == null) {
                attributes.class = classes_to_add;
            }
            else {
                attributes.class += ' ' + classes_to_add;
            }
        }
        if (styles_to_add) {
            if (attributes.style == null) {
                attributes.style = style_object_to_string(styles_to_add);
            }
            else {
                attributes.style = style_object_to_string(merge_ssr_styles(attributes.style, styles_to_add));
            }
        }
    }
    let str = '';
    Object.keys(attributes).forEach(name => {
        if (invalid_attribute_name_character.test(name))
            return;
        const value = attributes[name];
        if (value === true)
            str += ' ' + name;
        else if (boolean_attributes.has(name.toLowerCase())) {
            if (value)
                str += ' ' + name;
        }
        else if (value != null) {
            str += ` ${name}="${value}"`;
        }
    });
    return str;
}
function merge_ssr_styles(style_attribute, style_directive) {
    const style_object = {};
    for (const individual_style of style_attribute.split(';')) {
        const colon_index = individual_style.indexOf(':');
        const name = individual_style.slice(0, colon_index).trim();
        const value = individual_style.slice(colon_index + 1).trim();
        if (!name)
            continue;
        style_object[name] = value;
    }
    for (const name in style_directive) {
        const value = style_directive[name];
        if (value) {
            style_object[name] = value;
        }
        else {
            delete style_object[name];
        }
    }
    return style_object;
}
const ATTR_REGEX = /[&"]/g;
const CONTENT_REGEX = /[&<]/g;
/**
 * Note: this method is performance sensitive and has been optimized
 * https://github.com/sveltejs/svelte/pull/5701
 */
function escape(value, is_attr = false) {
    const str = String(value);
    const pattern = is_attr ? ATTR_REGEX : CONTENT_REGEX;
    pattern.lastIndex = 0;
    let escaped = '';
    let last = 0;
    while (pattern.test(str)) {
        const i = pattern.lastIndex - 1;
        const ch = str[i];
        escaped += str.substring(last, i) + (ch === '&' ? '&amp;' : (ch === '"' ? '&quot;' : '&lt;'));
        last = i + 1;
    }
    return escaped + str.substring(last);
}
function escape_attribute_value(value) {
    // keep booleans, null, and undefined for the sake of `spread`
    const should_escape = typeof value === 'string' || (value && typeof value === 'object');
    return should_escape ? escape(value, true) : value;
}
function escape_object(obj) {
    const result = {};
    for (const key in obj) {
        result[key] = escape_attribute_value(obj[key]);
    }
    return result;
}
function each(items, fn) {
    let str = '';
    for (let i = 0; i < items.length; i += 1) {
        str += fn(items[i], i);
    }
    return str;
}
const missing_component = {
    $$render: () => ''
};
function validate_component(component, name) {
    if (!component || !component.$$render) {
        if (name === 'svelte:component')
            name += ' this={...}';
        throw new Error(`<${name}> is not a valid SSR component. You may need to review your build config to ensure that dependencies are compiled, rather than imported as pre-compiled modules. Otherwise you may need to fix a <${name}>.`);
    }
    return component;
}
function debug(file, line, column, values) {
    console.log(`{@debug} ${file ? file + ' ' : ''}(${line}:${column})`); // eslint-disable-line no-console
    console.log(values); // eslint-disable-line no-console
    return '';
}
let on_destroy;
function create_ssr_component(fn) {
    function $$render(result, props, bindings, slots, context) {
        const parent_component = current_component;
        const $$ = {
            on_destroy,
            context: new Map(context || (parent_component ? parent_component.$$.context : [])),
            // these will be immediately discarded
            on_mount: [],
            before_update: [],
            after_update: [],
            callbacks: blank_object()
        };
        set_current_component({ $$ });
        const html = fn(result, props, bindings, slots);
        set_current_component(parent_component);
        return html;
    }
    return {
        render: (props = {}, { $$slots = {}, context = new Map() } = {}) => {
            on_destroy = [];
            const result = { title: '', head: '', css: new Set() };
            const html = $$render(result, props, {}, $$slots, context);
            run_all(on_destroy);
            return {
                html,
                css: {
                    code: Array.from(result.css).map(css => css.code).join('\n'),
                    map: null // TODO
                },
                head: result.title + result.head
            };
        },
        $$render
    };
}
function add_attribute(name, value, boolean) {
    if (value == null || (boolean && !value))
        return '';
    const assignment = (boolean && value === true) ? '' : `="${escape(value, true)}"`;
    return ` ${name}${assignment}`;
}
function add_classes(classes) {
    return classes ? ` class="${classes}"` : '';
}
function style_object_to_string(style_object) {
    return Object.keys(style_object)
        .filter(key => style_object[key])
        .map(key => `${key}: ${escape_attribute_value(style_object[key])};`)
        .join(' ');
}
function add_styles(style_object) {
    const styles = style_object_to_string(style_object);
    return styles ? ` style="${styles}"` : '';
}

function bind(component, name, callback) {
    const index = component.$$.props[name];
    if (index !== undefined) {
        component.$$.bound[index] = callback;
        callback(component.$$.ctx[index]);
    }
}
function create_component(block) {
    block && block.c();
}
function claim_component(block, parent_nodes) {
    block && block.l(parent_nodes);
}
function mount_component(component, target, anchor, customElement) {
    const { fragment, after_update } = component.$$;
    fragment && fragment.m(target, anchor);
    if (!customElement) {
        // onMount happens before the initial afterUpdate
        add_render_callback(() => {
            const new_on_destroy = component.$$.on_mount.map(run).filter(is_function);
            // if the component was destroyed immediately
            // it will update the `$$.on_destroy` reference to `null`.
            // the destructured on_destroy may still reference to the old array
            if (component.$$.on_destroy) {
                component.$$.on_destroy.push(...new_on_destroy);
            }
            else {
                // Edge case - component was destroyed immediately,
                // most likely as a result of a binding initialising
                run_all(new_on_destroy);
            }
            component.$$.on_mount = [];
        });
    }
    after_update.forEach(add_render_callback);
}
function destroy_component(component, detaching) {
    const $$ = component.$$;
    if ($$.fragment !== null) {
        run_all($$.on_destroy);
        $$.fragment && $$.fragment.d(detaching);
        // TODO null out other refs, including component.$$ (but need to
        // preserve final state?)
        $$.on_destroy = $$.fragment = null;
        $$.ctx = [];
    }
}
function make_dirty(component, i) {
    if (component.$$.dirty[0] === -1) {
        dirty_components.push(component);
        schedule_update();
        component.$$.dirty.fill(0);
    }
    component.$$.dirty[(i / 31) | 0] |= (1 << (i % 31));
}
function init(component, options, instance, create_fragment, not_equal, props, append_styles, dirty = [-1]) {
    const parent_component = current_component;
    set_current_component(component);
    const $$ = component.$$ = {
        fragment: null,
        ctx: [],
        // state
        props,
        update: noop,
        not_equal,
        bound: blank_object(),
        // lifecycle
        on_mount: [],
        on_destroy: [],
        on_disconnect: [],
        before_update: [],
        after_update: [],
        context: new Map(options.context || (parent_component ? parent_component.$$.context : [])),
        // everything else
        callbacks: blank_object(),
        dirty,
        skip_bound: false,
        root: options.target || parent_component.$$.root
    };
    append_styles && append_styles($$.root);
    let ready = false;
    $$.ctx = instance
        ? instance(component, options.props || {}, (i, ret, ...rest) => {
            const value = rest.length ? rest[0] : ret;
            if ($$.ctx && not_equal($$.ctx[i], $$.ctx[i] = value)) {
                if (!$$.skip_bound && $$.bound[i])
                    $$.bound[i](value);
                if (ready)
                    make_dirty(component, i);
            }
            return ret;
        })
        : [];
    $$.update();
    ready = true;
    run_all($$.before_update);
    // `false` as a special case of no DOM component
    $$.fragment = create_fragment ? create_fragment($$.ctx) : false;
    if (options.target) {
        if (options.hydrate) {
            start_hydrating();
            const nodes = children(options.target);
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            $$.fragment && $$.fragment.l(nodes);
            nodes.forEach(detach);
        }
        else {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            $$.fragment && $$.fragment.c();
        }
        if (options.intro)
            transition_in(component.$$.fragment);
        mount_component(component, options.target, options.anchor, options.customElement);
        end_hydrating();
        flush();
    }
    set_current_component(parent_component);
}
let SvelteElement;
if (typeof HTMLElement === 'function') {
    SvelteElement = class extends HTMLElement {
        constructor() {
            super();
            this.attachShadow({ mode: 'open' });
        }
        connectedCallback() {
            const { on_mount } = this.$$;
            this.$$.on_disconnect = on_mount.map(run).filter(is_function);
            // @ts-ignore todo: improve typings
            for (const key in this.$$.slotted) {
                // @ts-ignore todo: improve typings
                this.appendChild(this.$$.slotted[key]);
            }
        }
        attributeChangedCallback(attr, _oldValue, newValue) {
            this[attr] = newValue;
        }
        disconnectedCallback() {
            run_all(this.$$.on_disconnect);
        }
        $destroy() {
            destroy_component(this, 1);
            this.$destroy = noop;
        }
        $on(type, callback) {
            // TODO should this delegate to addEventListener?
            if (!is_function(callback)) {
                return noop;
            }
            const callbacks = (this.$$.callbacks[type] || (this.$$.callbacks[type] = []));
            callbacks.push(callback);
            return () => {
                const index = callbacks.indexOf(callback);
                if (index !== -1)
                    callbacks.splice(index, 1);
            };
        }
        $set($$props) {
            if (this.$$set && !is_empty($$props)) {
                this.$$.skip_bound = true;
                this.$$set($$props);
                this.$$.skip_bound = false;
            }
        }
    };
}
/**
 * Base class for Svelte components. Used when dev=false.
 */
class SvelteComponent {
    $destroy() {
        destroy_component(this, 1);
        this.$destroy = noop;
    }
    $on(type, callback) {
        if (!is_function(callback)) {
            return noop;
        }
        const callbacks = (this.$$.callbacks[type] || (this.$$.callbacks[type] = []));
        callbacks.push(callback);
        return () => {
            const index = callbacks.indexOf(callback);
            if (index !== -1)
                callbacks.splice(index, 1);
        };
    }
    $set($$props) {
        if (this.$$set && !is_empty($$props)) {
            this.$$.skip_bound = true;
            this.$$set($$props);
            this.$$.skip_bound = false;
        }
    }
}

function dispatch_dev(type, detail) {
    document.dispatchEvent(custom_event(type, Object.assign({ version: '3.55.1' }, detail), { bubbles: true }));
}
function append_dev(target, node) {
    dispatch_dev('SvelteDOMInsert', { target, node });
    append(target, node);
}
function append_hydration_dev(target, node) {
    dispatch_dev('SvelteDOMInsert', { target, node });
    append_hydration(target, node);
}
function insert_dev(target, node, anchor) {
    dispatch_dev('SvelteDOMInsert', { target, node, anchor });
    insert(target, node, anchor);
}
function insert_hydration_dev(target, node, anchor) {
    dispatch_dev('SvelteDOMInsert', { target, node, anchor });
    insert_hydration(target, node, anchor);
}
function detach_dev(node) {
    dispatch_dev('SvelteDOMRemove', { node });
    detach(node);
}
function detach_between_dev(before, after) {
    while (before.nextSibling && before.nextSibling !== after) {
        detach_dev(before.nextSibling);
    }
}
function detach_before_dev(after) {
    while (after.previousSibling) {
        detach_dev(after.previousSibling);
    }
}
function detach_after_dev(before) {
    while (before.nextSibling) {
        detach_dev(before.nextSibling);
    }
}
function listen_dev(node, event, handler, options, has_prevent_default, has_stop_propagation) {
    const modifiers = options === true ? ['capture'] : options ? Array.from(Object.keys(options)) : [];
    if (has_prevent_default)
        modifiers.push('preventDefault');
    if (has_stop_propagation)
        modifiers.push('stopPropagation');
    dispatch_dev('SvelteDOMAddEventListener', { node, event, handler, modifiers });
    const dispose = listen(node, event, handler, options);
    return () => {
        dispatch_dev('SvelteDOMRemoveEventListener', { node, event, handler, modifiers });
        dispose();
    };
}
function attr_dev(node, attribute, value) {
    attr(node, attribute, value);
    if (value == null)
        dispatch_dev('SvelteDOMRemoveAttribute', { node, attribute });
    else
        dispatch_dev('SvelteDOMSetAttribute', { node, attribute, value });
}
function prop_dev(node, property, value) {
    node[property] = value;
    dispatch_dev('SvelteDOMSetProperty', { node, property, value });
}
function dataset_dev(node, property, value) {
    node.dataset[property] = value;
    dispatch_dev('SvelteDOMSetDataset', { node, property, value });
}
function set_data_dev(text, data) {
    data = '' + data;
    if (text.wholeText === data)
        return;
    dispatch_dev('SvelteDOMSetData', { node: text, data });
    text.data = data;
}
function validate_each_argument(arg) {
    if (typeof arg !== 'string' && !(arg && typeof arg === 'object' && 'length' in arg)) {
        let msg = '{#each} only iterates over array-like objects.';
        if (typeof Symbol === 'function' && arg && Symbol.iterator in arg) {
            msg += ' You can use a spread to convert this iterable into an array.';
        }
        throw new Error(msg);
    }
}
function validate_slots(name, slot, keys) {
    for (const slot_key of Object.keys(slot)) {
        if (!~keys.indexOf(slot_key)) {
            console.warn(`<${name}> received an unexpected slot "${slot_key}".`);
        }
    }
}
function validate_dynamic_element(tag) {
    const is_string = typeof tag === 'string';
    if (tag && !is_string) {
        throw new Error('<svelte:element> expects "this" attribute to be a string.');
    }
}
function validate_void_dynamic_element(tag) {
    if (tag && is_void(tag)) {
        console.warn(`<svelte:element this="${tag}"> is self-closing and cannot have content.`);
    }
}
function construct_svelte_component_dev(component, props) {
    const error_message = 'this={...} of <svelte:component> should specify a Svelte component.';
    try {
        const instance = new component(props);
        if (!instance.$$ || !instance.$set || !instance.$on || !instance.$destroy) {
            throw new Error(error_message);
        }
        return instance;
    }
    catch (err) {
        const { message } = err;
        if (typeof message === 'string' && message.indexOf('is not a constructor') !== -1) {
            throw new Error(error_message);
        }
        else {
            throw err;
        }
    }
}
/**
 * Base class for Svelte components with some minor dev-enhancements. Used when dev=true.
 */
class SvelteComponentDev extends SvelteComponent {
    constructor(options) {
        if (!options || (!options.target && !options.$$inline)) {
            throw new Error("'target' is a required option");
        }
        super();
    }
    $destroy() {
        super.$destroy();
        this.$destroy = () => {
            console.warn('Component was already destroyed'); // eslint-disable-line no-console
        };
    }
    $capture_state() { }
    $inject_state() { }
}
/**
 * Base class to create strongly typed Svelte components.
 * This only exists for typing purposes and should be used in `.d.ts` files.
 *
 * ### Example:
 *
 * You have component library on npm called `component-library`, from which
 * you export a component called `MyComponent`. For Svelte+TypeScript users,
 * you want to provide typings. Therefore you create a `index.d.ts`:
 * ```ts
 * import { SvelteComponentTyped } from "svelte";
 * export class MyComponent extends SvelteComponentTyped<{foo: string}> {}
 * ```
 * Typing this makes it possible for IDEs like VS Code with the Svelte extension
 * to provide intellisense and to use the component like this in a Svelte file
 * with TypeScript:
 * ```svelte
 * <script lang="ts">
 * 	import { MyComponent } from "component-library";
 * </script>
 * <MyComponent foo={'bar'} />
 * ```
 *
 * #### Why not make this part of `SvelteComponent(Dev)`?
 * Because
 * ```ts
 * class ASubclassOfSvelteComponent extends SvelteComponent<{foo: string}> {}
 * const component: typeof SvelteComponent = ASubclassOfSvelteComponent;
 * ```
 * will throw a type error, so we need to separate the more strictly typed class.
 */
class SvelteComponentTyped extends SvelteComponentDev {
    constructor(options) {
        super(options);
    }
}
function loop_guard(timeout) {
    const start = Date.now();
    return () => {
        if (Date.now() - start > timeout) {
            throw new Error('Infinite loop detected');
        }
    };
}




/***/ }),

/***/ "./node_modules/svelte/store/index.mjs":
/*!*********************************************!*\
  !*** ./node_modules/svelte/store/index.mjs ***!
  \*********************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "derived": () => (/* binding */ derived),
/* harmony export */   "get": () => (/* reexport safe */ _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.get_store_value),
/* harmony export */   "readable": () => (/* binding */ readable),
/* harmony export */   "writable": () => (/* binding */ writable)
/* harmony export */ });
/* harmony import */ var _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../internal/index.mjs */ "./node_modules/svelte/internal/index.mjs");



const subscriber_queue = [];
/**
 * Creates a `Readable` store that allows reading by subscription.
 * @param value initial value
 * @param {StartStopNotifier}start start and stop notifications for subscriptions
 */
function readable(value, start) {
    return {
        subscribe: writable(value, start).subscribe
    };
}
/**
 * Create a `Writable` store that allows both updating and reading by subscription.
 * @param {*=}value initial value
 * @param {StartStopNotifier=}start start and stop notifications for subscriptions
 */
function writable(value, start = _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.noop) {
    let stop;
    const subscribers = new Set();
    function set(new_value) {
        if ((0,_internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.safe_not_equal)(value, new_value)) {
            value = new_value;
            if (stop) { // store is ready
                const run_queue = !subscriber_queue.length;
                for (const subscriber of subscribers) {
                    subscriber[1]();
                    subscriber_queue.push(subscriber, value);
                }
                if (run_queue) {
                    for (let i = 0; i < subscriber_queue.length; i += 2) {
                        subscriber_queue[i][0](subscriber_queue[i + 1]);
                    }
                    subscriber_queue.length = 0;
                }
            }
        }
    }
    function update(fn) {
        set(fn(value));
    }
    function subscribe(run, invalidate = _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.noop) {
        const subscriber = [run, invalidate];
        subscribers.add(subscriber);
        if (subscribers.size === 1) {
            stop = start(set) || _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.noop;
        }
        run(value);
        return () => {
            subscribers.delete(subscriber);
            if (subscribers.size === 0) {
                stop();
                stop = null;
            }
        };
    }
    return { set, update, subscribe };
}
function derived(stores, fn, initial_value) {
    const single = !Array.isArray(stores);
    const stores_array = single
        ? [stores]
        : stores;
    const auto = fn.length < 2;
    return readable(initial_value, (set) => {
        let inited = false;
        const values = [];
        let pending = 0;
        let cleanup = _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.noop;
        const sync = () => {
            if (pending) {
                return;
            }
            cleanup();
            const result = fn(single ? values[0] : values, set);
            if (auto) {
                set(result);
            }
            else {
                cleanup = (0,_internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.is_function)(result) ? result : _internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.noop;
            }
        };
        const unsubscribers = stores_array.map((store, i) => (0,_internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.subscribe)(store, (value) => {
            values[i] = value;
            pending &= ~(1 << i);
            if (inited) {
                sync();
            }
        }, () => {
            pending |= (1 << i);
        }));
        inited = true;
        sync();
        return function stop() {
            (0,_internal_index_mjs__WEBPACK_IMPORTED_MODULE_0__.run_all)(unsubscribers);
            cleanup();
        };
    });
}




/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
(() => {
"use strict";
/*!**********************!*\
  !*** ./src/index.ts ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BLOCK_ELEMENTS": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.BLOCK_ELEMENTS),
/* harmony export */   "DecorateEvent": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.DecorateEvent),
/* harmony export */   "Decorator": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.Decorator),
/* harmony export */   "Editor": () => (/* reexport safe */ _Editor__WEBPACK_IMPORTED_MODULE_12__["default"]),
/* harmony export */   "EditorChangeEvent": () => (/* reexport safe */ _Editor__WEBPACK_IMPORTED_MODULE_12__.EditorChangeEvent),
/* harmony export */   "EditorFormatEvent": () => (/* reexport safe */ _Editor__WEBPACK_IMPORTED_MODULE_12__.EditorFormatEvent),
/* harmony export */   "EventDispatcher": () => (/* reexport safe */ _util_EventDispatcher__WEBPACK_IMPORTED_MODULE_1__["default"]),
/* harmony export */   "PasteEvent": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.PasteEvent),
/* harmony export */   "React": () => (/* reexport safe */ _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__.React),
/* harmony export */   "ShortcutEvent": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.ShortcutEvent),
/* harmony export */   "Source": () => (/* reexport safe */ _Source__WEBPACK_IMPORTED_MODULE_11__.Source),
/* harmony export */   "Types": () => (/* reexport safe */ _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__.Types),
/* harmony export */   "Typeset": () => (/* reexport safe */ _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__.Typeset),
/* harmony export */   "activeStore": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.activeStore),
/* harmony export */   "addShortcutsToEvent": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.addShortcutsToEvent),
/* harmony export */   "cleanText": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.cleanText),
/* harmony export */   "combineLines": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.combineLines),
/* harmony export */   "copy": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.copy),
/* harmony export */   "decorations": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.decorations),
/* harmony export */   "defaultModules": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.defaultModules),
/* harmony export */   "defaultTypes": () => (/* reexport safe */ _typesetting_defaults__WEBPACK_IMPORTED_MODULE_10__.defaultTypes),
/* harmony export */   "deltaFromDom": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.deltaFromDom),
/* harmony export */   "deltaFromHTML": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.deltaFromHTML),
/* harmony export */   "docFromDom": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.docFromDom),
/* harmony export */   "docFromHTML": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.docFromHTML),
/* harmony export */   "docStore": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.docStore),
/* harmony export */   "docToHTML": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.docToHTML),
/* harmony export */   "editorStores": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.editorStores),
/* harmony export */   "embed": () => (/* reexport safe */ _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__.embed),
/* harmony export */   "focusStore": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.focusStore),
/* harmony export */   "format": () => (/* reexport safe */ _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__.format),
/* harmony export */   "fromNode": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.fromNode),
/* harmony export */   "getBoudingBrowserRange": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getBoudingBrowserRange),
/* harmony export */   "getBrowserRange": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getBrowserRange),
/* harmony export */   "getChangedRanges": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.getChangedRanges),
/* harmony export */   "getIndexFromNode": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getIndexFromNode),
/* harmony export */   "getIndexFromNodeAndOffset": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getIndexFromNodeAndOffset),
/* harmony export */   "getIndexFromPoint": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getIndexFromPoint),
/* harmony export */   "getLineElementAt": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getLineElementAt),
/* harmony export */   "getLineInfoFromPoint": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getLineInfoFromPoint),
/* harmony export */   "getLineNodeEnd": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.getLineNodeEnd),
/* harmony export */   "getLineNodeStart": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.getLineNodeStart),
/* harmony export */   "getNodeAndOffset": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getNodeAndOffset),
/* harmony export */   "getNodeLength": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getNodeLength),
/* harmony export */   "getNodesForRange": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.getNodesForRange),
/* harmony export */   "getSelection": () => (/* reexport safe */ _rendering_selection__WEBPACK_IMPORTED_MODULE_5__.getSelection),
/* harmony export */   "h": () => (/* reexport safe */ _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__.h),
/* harmony export */   "history": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.history),
/* harmony export */   "inlineToHTML": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.inlineToHTML),
/* harmony export */   "input": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.input),
/* harmony export */   "isBRPlaceholder": () => (/* reexport safe */ _rendering_html__WEBPACK_IMPORTED_MODULE_7__.isBRPlaceholder),
/* harmony export */   "keyboard": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.keyboard),
/* harmony export */   "line": () => (/* reexport safe */ _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__.line),
/* harmony export */   "options": () => (/* reexport safe */ _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__.options),
/* harmony export */   "paste": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.paste),
/* harmony export */   "patch": () => (/* reexport safe */ _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__.patch),
/* harmony export */   "placeholder": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.placeholder),
/* harmony export */   "proxy": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.proxy),
/* harmony export */   "recycleNode": () => (/* reexport safe */ _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__.recycleNode),
/* harmony export */   "render": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.render),
/* harmony export */   "renderChanges": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderChanges),
/* harmony export */   "renderCombined": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderCombined),
/* harmony export */   "renderDoc": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderDoc),
/* harmony export */   "renderInline": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderInline),
/* harmony export */   "renderLine": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderLine),
/* harmony export */   "renderMultiLine": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderMultiLine),
/* harmony export */   "renderSingleLine": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.renderSingleLine),
/* harmony export */   "rendering": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.rendering),
/* harmony export */   "rootStore": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.rootStore),
/* harmony export */   "selection": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.selection),
/* harmony export */   "selectionStore": () => (/* reexport safe */ _stores__WEBPACK_IMPORTED_MODULE_9__.selectionStore),
/* harmony export */   "setLineNodesRanges": () => (/* reexport safe */ _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__.setLineNodesRanges),
/* harmony export */   "setSelection": () => (/* reexport safe */ _rendering_selection__WEBPACK_IMPORTED_MODULE_5__.setSelection),
/* harmony export */   "shortcutFromEvent": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.shortcutFromEvent),
/* harmony export */   "smartEntry": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.smartEntry),
/* harmony export */   "smartQuotes": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.smartQuotes),
/* harmony export */   "textNodeLength": () => (/* reexport safe */ _rendering_position__WEBPACK_IMPORTED_MODULE_4__.textNodeLength),
/* harmony export */   "undoStack": () => (/* reexport safe */ _modules__WEBPACK_IMPORTED_MODULE_8__.undoStack)
/* harmony export */ });
/* harmony import */ var _typewriter_document__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @typewriter/document */ "./node_modules/@typewriter/document/lib/index.js");
/* harmony reexport (unknown) */ var __WEBPACK_REEXPORT_OBJECT__ = {};
/* harmony reexport (unknown) */ for(const __WEBPACK_IMPORT_KEY__ in _typewriter_document__WEBPACK_IMPORTED_MODULE_0__) if(["default","EventDispatcher","Editor"].indexOf(__WEBPACK_IMPORT_KEY__) < 0) __WEBPACK_REEXPORT_OBJECT__[__WEBPACK_IMPORT_KEY__] = () => _typewriter_document__WEBPACK_IMPORTED_MODULE_0__[__WEBPACK_IMPORT_KEY__]
/* harmony reexport (unknown) */ __webpack_require__.d(__webpack_exports__, __WEBPACK_REEXPORT_OBJECT__);
/* harmony import */ var _util_EventDispatcher__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./util/EventDispatcher */ "./src/util/EventDispatcher.ts");
/* harmony import */ var _rendering_vdom__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./rendering/vdom */ "./src/rendering/vdom.ts");
/* harmony import */ var _typesetting_typeset__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./typesetting/typeset */ "./src/typesetting/typeset.ts");
/* harmony import */ var _rendering_position__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./rendering/position */ "./src/rendering/position.ts");
/* harmony import */ var _rendering_selection__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./rendering/selection */ "./src/rendering/selection.ts");
/* harmony import */ var _rendering_rendering__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./rendering/rendering */ "./src/rendering/rendering.ts");
/* harmony import */ var _rendering_html__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./rendering/html */ "./src/rendering/html.ts");
/* harmony import */ var _modules__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./modules */ "./src/modules/index.ts");
/* harmony import */ var _stores__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./stores */ "./src/stores.ts");
/* harmony import */ var _typesetting_defaults__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./typesetting/defaults */ "./src/typesetting/defaults.ts");
/* harmony import */ var _Source__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./Source */ "./src/Source.ts");
/* harmony import */ var _Editor__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./Editor */ "./src/Editor.ts");
















})();

typewriter = __webpack_exports__;
/******/ })()
;
//# sourceMappingURL=bundle.js.map